import * as t from 'io-ts';
import { IOrganizationType } from './types';
declare const OrganizationAdditionalV: t.IntersectionC<[t.TypeC<{
    disabled: t.BooleanC;
    launcher_type: t.UnionC<[t.LiteralC<"minimal">, t.LiteralC<"alternate">, t.LiteralC<"prompt">, t.LiteralC<"none">]>;
    launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    show_launcher_recommendations: t.BooleanC;
    recommendations_type: t.UnionC<[t.LiteralC<"None">, t.LiteralC<"Custom">, t.LiteralC<"Algorithm">, t.UndefinedC]>;
    launcher_offset_x: t.NumberC;
    launcher_offset_y: t.NumberC;
    base_url: t.StringC;
    theme: t.ObjectC;
    themeV2: t.UnionC<[t.TypeC<{
        light_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
        dark_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
    }>, t.NullC, t.UndefinedC]>;
    icon: t.StringC;
    icon_suggest: t.StringC;
    icon_tutorial: t.StringC;
    icon_go_forward: t.StringC;
    chat_system_prompt_modifier: t.StringC;
    helphub_chat_welcome_message: t.StringC;
    helphub_chat_avatar: t.StringC;
    resource_options: t.RecordC<t.StringC, t.PartialC<{
        name: t.StringC;
        search: t.BooleanC;
        label_field: t.StringC;
        useCategory: t.BooleanC;
        search_fields: t.ArrayC<t.UnionC<[t.StringC, t.TypeC<{
            key: t.StringC;
            label: t.StringC;
        }>]>>;
        auto_execute: t.BooleanC;
        unfurl: t.BooleanC;
        description_field: t.StringC;
        icon: t.StringC;
        icon_color: t.StringC;
        image_color: t.StringC;
        image: t.StringC;
        sort_key: t.NumberC;
        max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
        sortFunction: t.AnyC;
        onInputChangeOptions: t.PartialC<{
            applySort: t.BooleanC;
        }>;
        default_command_id: t.UnionC<[t.NumberC, t.StringC, t.UndefinedC]>;
        render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
        showResources: t.BooleanC;
        show_with_no_results: t.BooleanC;
        search_tab_enabled: t.BooleanC;
        search_tab_name: t.UnionC<[t.StringC, t.NullC]>;
        slash_filter_enabled: t.BooleanC;
        slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
        search_tab_instruction: t.UnionC<[t.StringC, t.NullC]>;
        setting_pin_to_bottom: t.BooleanC;
        track_recents: t.BooleanC;
        detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        show_preview: t.BooleanC;
    }>>;
    should_show_onboarding: t.BooleanC;
    last_snippet_request: t.UnionC<[t.StringC, t.NullC]>;
    last_snippet_request_in_production: t.UnionC<[t.StringC, t.NullC]>;
    branding: t.StringC;
    custom_call_to_action: t.StringC;
    search_fuzzy_threshold: t.UnionC<[t.NumberC, t.NullC]>;
    show_skin_editor: t.BooleanC;
    allow_event_handlers: t.BooleanC;
    in_bar_feedback: t.BooleanC;
    summon_hotkey_override: t.UnionC<[t.StringC, t.NullC]>;
    end_user_hotkeys: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    force_end_user_identity_verification: t.BooleanC;
    force_end_user_identity_verification_for_helphub: t.BooleanC;
    end_user_shortcuts_enabled: t.BooleanC;
    end_user_recents_enabled: t.BooleanC;
    releases_available: t.BooleanC;
    releases_enabled: t.BooleanC;
    fallback_commands: t.ArrayC<t.NumberC>;
    event_attribute_block_list: t.ArrayC<t.StringC>;
    tab_direction: t.UnionC<[t.LiteralC<"horizontal">, t.LiteralC<"vertical">]>;
    recommended_tab_enabled: t.BooleanC;
    recents_tab_enabled: t.BooleanC;
    recommended_tab_instruction: t.StringC;
    recents_tab_instruction: t.StringC;
    hotload_help_docs: t.BooleanC;
    slash_filters_enabled: t.BooleanC;
    recents_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    recommended_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    experiences_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    show_suggested_synonyms: t.BooleanC;
    has_hotloaded_help_docs: t.BooleanC;
    bar_enabled: t.BooleanC;
    in_bar_doc_search: t.BooleanC;
    featured_item_cards: t.BooleanC;
    helphub_suggested_queries_enabled: t.BooleanC;
    helphub_continuations_enabled: t.BooleanC;
    helphub_enabled: t.BooleanC;
    helphub_chat_fallback_message: t.UnionC<[t.StringC, t.NullC]>;
    helphub_chat_fallback_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
    copilot_negative_feedback_fallback_enabled: t.BooleanC;
    copilot_negative_feedback_fallback_message: t.UnionC<[t.StringC, t.NullC]>;
    copilot_negative_feedback_fallback_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
    helphub_manual_suggested_queries: t.ArrayC<t.StringC>;
    copilot_name: t.StringC;
    copilot_avatar: t.StringC;
    copilot_personality: t.UnionC<[t.TypeC<{
        template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
    }>, t.TypeC<{
        template: t.LiteralC<"custom">;
        adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
        response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
        response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
    }>]>;
    nudge_rate_limit: t.UnionC<[t.NullC, t.NumberC]>;
    bar_hide_completed_nudges_questlists: t.BooleanC;
    nudge_rate_period: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"session">]>;
    share_link_param: t.StringC;
    installed_at: t.UnionC<[t.StringC, t.NullC]>;
    integrations: t.PartialC<{
        algolia: t.TypeC<{
            indexes: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.RecordC<t.StringC, t.StringC>]>>;
            applicationID: t.UnionC<[t.StringC, t.UndefinedC]>;
            apiKey: t.UnionC<[t.StringC, t.UndefinedC]>;
        }>;
        heap: t.TypeC<{
            segments: t.RecordC<t.StringC, t.StringC>;
            send_events_to_heap: t.BooleanC;
        }>;
        amplitude: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        logrocket: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        mixpanel: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        posthog: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        rudderstack: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        slack: t.TypeC<{
            channelId: t.StringC;
            configuration: t.TypeC<{
                analytic_events: t.ArrayC<t.StringC>;
            }>;
        }>;
        hubspot: t.PartialC<{
            send_events_to_hubspot: t.BooleanC;
            lists: t.RecordC<t.StringC, t.StringC>;
        }>;
    }>;
    copilot_enabled: t.BooleanC;
    user_property_targeting: t.BooleanC;
    ab_test_conditions: t.BooleanC;
    spotlight_ask_copilot_enabled: t.BooleanC;
    spotlight_ask_copilot_label: t.UnionC<[t.StringC, t.NullC]>;
    /** @deprecated Replaced by the `copilot_enabled` field */
    helphub_ai_enabled: t.BooleanC;
    /** @deprecated Removed entirely */
    copilot_experiences_enabled: t.BooleanC;
    /** @deprecated Replaced by a combination of `copilot_enabled` and `helphub_enabled` */
    helphub_chat_only_mode: t.BooleanC;
}>, t.TypeC<{
    helphub_launcher_offset_x: t.NumberC;
    helphub_launcher_offset_y: t.NumberC;
    helphub_launcher_anchor: t.StringC;
    helphub_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
    helphub_mobile_launcher_offset_x: t.NumberC;
    helphub_mobile_launcher_offset_y: t.NumberC;
    helphub_mobile_launcher_anchor: t.StringC;
    helphub_mobile_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_mobile_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
}>]>;
export declare const defaults: t.TypeOf<typeof OrganizationAdditionalV>;
export declare const OrganizationV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    name: t.StringC;
    created: t.StringC;
}>, t.PartialC<{}>]>, t.IntersectionC<[t.TypeC<{
    disabled: t.BooleanC;
    launcher_type: t.UnionC<[t.LiteralC<"minimal">, t.LiteralC<"alternate">, t.LiteralC<"prompt">, t.LiteralC<"none">]>;
    launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    show_launcher_recommendations: t.BooleanC;
    recommendations_type: t.UnionC<[t.LiteralC<"None">, t.LiteralC<"Custom">, t.LiteralC<"Algorithm">, t.UndefinedC]>;
    launcher_offset_x: t.NumberC;
    launcher_offset_y: t.NumberC;
    base_url: t.StringC;
    theme: t.ObjectC;
    themeV2: t.UnionC<[t.TypeC<{
        light_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
        dark_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
    }>, t.NullC, t.UndefinedC]>;
    icon: t.StringC;
    icon_suggest: t.StringC;
    icon_tutorial: t.StringC;
    icon_go_forward: t.StringC;
    chat_system_prompt_modifier: t.StringC;
    helphub_chat_welcome_message: t.StringC;
    helphub_chat_avatar: t.StringC;
    resource_options: t.RecordC<t.StringC, t.PartialC<{
        name: t.StringC;
        search: t.BooleanC;
        label_field: t.StringC;
        useCategory: t.BooleanC;
        search_fields: t.ArrayC<t.UnionC<[t.StringC, t.TypeC<{
            key: t.StringC;
            label: t.StringC;
        }>]>>;
        auto_execute: t.BooleanC;
        unfurl: t.BooleanC;
        description_field: t.StringC;
        icon: t.StringC;
        icon_color: t.StringC;
        image_color: t.StringC;
        image: t.StringC;
        sort_key: t.NumberC;
        max_options_count: t.UnionC<[t.NumberC, t.NullC]>;
        sortFunction: t.AnyC;
        onInputChangeOptions: t.PartialC<{
            applySort: t.BooleanC;
        }>;
        default_command_id: t.UnionC<[t.NumberC, t.StringC, t.UndefinedC]>;
        render_as: t.UnionC<[t.LiteralC<"list">, t.LiteralC<"grid">]>;
        showResources: t.BooleanC;
        show_with_no_results: t.BooleanC;
        search_tab_enabled: t.BooleanC;
        search_tab_name: t.UnionC<[t.StringC, t.NullC]>;
        slash_filter_enabled: t.BooleanC;
        slash_filter_keyword: t.UnionC<[t.StringC, t.NullC]>;
        search_tab_instruction: t.UnionC<[t.StringC, t.NullC]>;
        setting_pin_to_bottom: t.BooleanC;
        track_recents: t.BooleanC;
        detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        show_preview: t.BooleanC;
    }>>;
    should_show_onboarding: t.BooleanC;
    last_snippet_request: t.UnionC<[t.StringC, t.NullC]>;
    last_snippet_request_in_production: t.UnionC<[t.StringC, t.NullC]>;
    branding: t.StringC;
    custom_call_to_action: t.StringC;
    search_fuzzy_threshold: t.UnionC<[t.NumberC, t.NullC]>;
    show_skin_editor: t.BooleanC;
    allow_event_handlers: t.BooleanC;
    in_bar_feedback: t.BooleanC;
    summon_hotkey_override: t.UnionC<[t.StringC, t.NullC]>;
    end_user_hotkeys: t.UnionC<[t.UndefinedC, t.BooleanC]>;
    force_end_user_identity_verification: t.BooleanC;
    force_end_user_identity_verification_for_helphub: t.BooleanC;
    end_user_shortcuts_enabled: t.BooleanC;
    end_user_recents_enabled: t.BooleanC;
    releases_available: t.BooleanC;
    releases_enabled: t.BooleanC;
    fallback_commands: t.ArrayC<t.NumberC>;
    event_attribute_block_list: t.ArrayC<t.StringC>;
    tab_direction: t.UnionC<[t.LiteralC<"horizontal">, t.LiteralC<"vertical">]>;
    recommended_tab_enabled: t.BooleanC;
    recents_tab_enabled: t.BooleanC;
    recommended_tab_instruction: t.StringC;
    recents_tab_instruction: t.StringC;
    hotload_help_docs: t.BooleanC;
    slash_filters_enabled: t.BooleanC;
    recents_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    recommended_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    experiences_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    show_suggested_synonyms: t.BooleanC;
    has_hotloaded_help_docs: t.BooleanC;
    bar_enabled: t.BooleanC;
    in_bar_doc_search: t.BooleanC;
    featured_item_cards: t.BooleanC;
    helphub_suggested_queries_enabled: t.BooleanC;
    helphub_continuations_enabled: t.BooleanC;
    helphub_enabled: t.BooleanC;
    helphub_chat_fallback_message: t.UnionC<[t.StringC, t.NullC]>;
    helphub_chat_fallback_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
    copilot_negative_feedback_fallback_enabled: t.BooleanC;
    copilot_negative_feedback_fallback_message: t.UnionC<[t.StringC, t.NullC]>;
    copilot_negative_feedback_fallback_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
    helphub_manual_suggested_queries: t.ArrayC<t.StringC>;
    copilot_name: t.StringC;
    copilot_avatar: t.StringC;
    copilot_personality: t.UnionC<[t.TypeC<{
        template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
    }>, t.TypeC<{
        template: t.LiteralC<"custom">;
        adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
        response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
        response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
    }>]>;
    nudge_rate_limit: t.UnionC<[t.NullC, t.NumberC]>;
    bar_hide_completed_nudges_questlists: t.BooleanC;
    nudge_rate_period: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"session">]>;
    share_link_param: t.StringC;
    installed_at: t.UnionC<[t.StringC, t.NullC]>;
    integrations: t.PartialC<{
        algolia: t.TypeC<{
            indexes: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.RecordC<t.StringC, t.StringC>]>>;
            applicationID: t.UnionC<[t.StringC, t.UndefinedC]>;
            apiKey: t.UnionC<[t.StringC, t.UndefinedC]>;
        }>;
        heap: t.TypeC<{
            segments: t.RecordC<t.StringC, t.StringC>;
            send_events_to_heap: t.BooleanC;
        }>;
        amplitude: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        logrocket: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        mixpanel: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        posthog: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        rudderstack: t.TypeC<{
            enabled: t.BooleanC;
        }>;
        slack: t.TypeC<{
            channelId: t.StringC;
            configuration: t.TypeC<{
                analytic_events: t.ArrayC<t.StringC>;
            }>;
        }>;
        hubspot: t.PartialC<{
            send_events_to_hubspot: t.BooleanC;
            lists: t.RecordC<t.StringC, t.StringC>;
        }>;
    }>;
    copilot_enabled: t.BooleanC;
    user_property_targeting: t.BooleanC;
    ab_test_conditions: t.BooleanC;
    spotlight_ask_copilot_enabled: t.BooleanC;
    spotlight_ask_copilot_label: t.UnionC<[t.StringC, t.NullC]>;
    /** @deprecated Replaced by the `copilot_enabled` field */
    helphub_ai_enabled: t.BooleanC;
    /** @deprecated Removed entirely */
    copilot_experiences_enabled: t.BooleanC;
    /** @deprecated Replaced by a combination of `copilot_enabled` and `helphub_enabled` */
    helphub_chat_only_mode: t.BooleanC;
}>, t.TypeC<{
    helphub_launcher_offset_x: t.NumberC;
    helphub_launcher_offset_y: t.NumberC;
    helphub_launcher_anchor: t.StringC;
    helphub_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
    helphub_mobile_launcher_offset_x: t.NumberC;
    helphub_mobile_launcher_offset_y: t.NumberC;
    helphub_mobile_launcher_anchor: t.StringC;
    helphub_mobile_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_mobile_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
}>]>]>;
export declare const unknownOrganization: IOrganizationType;
export {};
