import * as t from 'io-ts';
import { GenericBatchRequest } from './generics';
export declare const AdditionalResourceV: t.IntersectionC<[t.TypeC<{}>, t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    widget: t.StringC;
    sort_key: t.NumberC;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    label: t.StringC;
    action: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
    show_as_primary_cta: t.BooleanC;
}>, t.PartialC<{}>]>]>;
export declare const BatchAdditionalResourceResponseV: t.TypeC<{
    batch: t.ArrayC<t.IntersectionC<[t.TypeC<{}>, t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        organization: t.StringC;
        widget: t.StringC;
        sort_key: t.NumberC;
        icon: t.UnionC<[t.StringC, t.NullC]>;
        icon_color: t.UnionC<[t.StringC, t.NullC]>;
        label: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        show_as_primary_cta: t.BooleanC;
    }>, t.PartialC<{}>]>]>>;
}>;
export declare const decode: (data: any) => {} & {
    id: number;
    organization: string;
    widget: string;
    sort_key: number;
    icon: string | null;
    icon_color: string | null;
    label: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
    show_as_primary_cta: boolean;
} & {};
export declare const list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({} & {
    id: number;
    organization: string;
    widget: string;
    sort_key: number;
    icon: string | null;
    icon_color: string | null;
    label: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
    show_as_primary_cta: boolean;
} & {})[]>;
export declare const create: (object: {} & {
    id: number;
    organization: string;
    widget: string;
    sort_key: number;
    icon: string | null;
    icon_color: string | null;
    label: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
    show_as_primary_cta: boolean;
} & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{} & {
    id: number;
    organization: string;
    widget: string;
    sort_key: number;
    icon: string | null;
    icon_color: string | null;
    label: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
    show_as_primary_cta: boolean;
} & {}>;
export declare const del: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
export declare const update: (object: {} & {
    id: number;
    organization: string;
    widget: string;
    sort_key: number;
    icon: string | null;
    icon_color: string | null;
    label: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
    show_as_primary_cta: boolean;
} & {}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{} & {
    id: number;
    organization: string;
    widget: string;
    sort_key: number;
    icon: string | null;
    icon_color: string | null;
    label: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
    show_as_primary_cta: boolean;
} & {}>;
export declare const batch: (request: t.TypeOf<typeof GenericBatchRequest>) => Promise<{
    batch: ({} & {
        id: number;
        organization: string;
        widget: string;
        sort_key: number;
        icon: string | null;
        icon_color: string | null;
        label: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
        show_as_primary_cta: boolean;
    } & {})[];
}>;
