import * as t from 'io-ts';
export declare const ChecklistItemV: t.IntersectionC<[t.TypeC<{
    skippable: t.BooleanC;
}>, t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    goal: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"command_executed">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"page_visited">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"element_clicked">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"conditions_met">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"cta_clicked">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"event_tracked">;
        event: t.StringC;
    }>, t.PartialC<{
        condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
    }>]>]>;
    action: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
    celebrate: t.BooleanC;
}>, t.PartialC<{
    description: t.StringC;
    cta: t.StringC;
    celebration: t.UnionC<[t.LiteralC<"confetti">, t.LiteralC<"coin">]>;
}>]>]>;
export declare const ChecklistBaseV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"when_page_reached">;
        meta: t.TypeC<{
            url: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_element_appears">;
        meta: t.TypeC<{
            selector: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_user_confusion">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_rage_click">;
    }>, t.TypeC<{
        type: t.LiteralC<"smart_delay">;
    }>, t.TypeC<{
        type: t.LiteralC<"after_time">;
        meta: t.TypeC<{
            unit: t.UnionC<[t.LiteralC<"minute">, t.LiteralC<"second">]>;
            value: t.NumberC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_share_link_viewed">;
    }>, t.TypeC<{
        type: t.LiteralC<"scheduled">;
        meta: t.TypeC<{
            interval: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"month">]>;
            value: t.NumberC;
        }>;
    }>]>;
    items: t.ArrayC<t.IntersectionC<[t.TypeC<{
        skippable: t.BooleanC;
    }>, t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        title: t.StringC;
        goal: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"command_executed">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"page_visited">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"element_clicked">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"conditions_met">;
            expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        }>, t.TypeC<{
            type: t.LiteralC<"cta_clicked">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"event_tracked">;
            event: t.StringC;
        }>, t.PartialC<{
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>]>]>;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        celebrate: t.BooleanC;
    }>, t.PartialC<{
        description: t.StringC;
        cta: t.StringC;
        celebration: t.UnionC<[t.LiteralC<"confetti">, t.LiteralC<"coin">]>;
    }>]>]>>;
}>, t.PartialC<{
    description: t.StringC;
    is_live: t.BooleanC;
    audience: t.UnionC<[t.UnionC<[t.TypeC<{
        type: t.LiteralC<"all_users">;
    }>, t.TypeC<{
        type: t.LiteralC<"rule_expression">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"named_rule_reference">;
        rule_reference: t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>;
    }>]>, t.NullC]>;
}>]>;
export declare const ChecklistV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"when_page_reached">;
        meta: t.TypeC<{
            url: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_element_appears">;
        meta: t.TypeC<{
            selector: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_user_confusion">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_rage_click">;
    }>, t.TypeC<{
        type: t.LiteralC<"smart_delay">;
    }>, t.TypeC<{
        type: t.LiteralC<"after_time">;
        meta: t.TypeC<{
            unit: t.UnionC<[t.LiteralC<"minute">, t.LiteralC<"second">]>;
            value: t.NumberC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_share_link_viewed">;
    }>, t.TypeC<{
        type: t.LiteralC<"scheduled">;
        meta: t.TypeC<{
            interval: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"month">]>;
            value: t.NumberC;
        }>;
    }>]>;
    items: t.ArrayC<t.IntersectionC<[t.TypeC<{
        skippable: t.BooleanC;
    }>, t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        title: t.StringC;
        goal: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"command_executed">;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"page_visited">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"element_clicked">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"conditions_met">;
            expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        }>, t.TypeC<{
            type: t.LiteralC<"cta_clicked">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"event_tracked">;
            event: t.StringC;
        }>, t.PartialC<{
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>]>]>;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        celebrate: t.BooleanC;
    }>, t.PartialC<{
        description: t.StringC;
        cta: t.StringC;
        celebration: t.UnionC<[t.LiteralC<"confetti">, t.LiteralC<"coin">]>;
    }>]>]>>;
}>, t.PartialC<{
    description: t.StringC;
    is_live: t.BooleanC;
    audience: t.UnionC<[t.UnionC<[t.TypeC<{
        type: t.LiteralC<"all_users">;
    }>, t.TypeC<{
        type: t.LiteralC<"rule_expression">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"named_rule_reference">;
        rule_reference: t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>;
    }>]>, t.NullC]>;
}>]>, t.TypeC<{
    celebrate: t.BooleanC;
    template_source: t.StringC;
    position: t.UnionC<[t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    skippable: t.BooleanC;
    open_by_default: t.BooleanC;
    share_page_url_or_path: t.StringC;
    show_in_spotlight_search: t.BooleanC;
    show_in_helphub_search: t.BooleanC;
    copilot_suggest: t.BooleanC;
    copilot_cta_label: t.StringC;
    copilot_description: t.StringC;
    editor_tags: t.ArrayC<t.StringC>;
}>]>;
export declare class Checklist {
    static decode: (data: any) => {
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    };
    static create: (object: {
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    }>;
    static update: (object: {
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    }>;
    static delete: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    })[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        title: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        items: ({
            skippable: boolean;
        } & {
            id: number;
            title: string;
            goal: {
                type: "command_executed";
                meta: {
                    command: string;
                };
            } | {
                type: "page_visited";
                value: string;
            } | {
                type: "element_clicked";
                value: string;
            } | {
                type: "conditions_met";
                expression: import("./helpers/rules").RuleExpression;
            } | {
                type: "cta_clicked";
            } | ({
                type: "event_tracked";
                event: string;
            } & {
                condition_group?: import("./helpers/rules").RuleExpression | null | undefined;
            });
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            celebrate: boolean;
        } & {
            description?: string | undefined;
            cta?: string | undefined;
            celebration?: "confetti" | "coin" | undefined;
        })[];
    } & {
        description?: string | undefined;
        is_live?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        celebrate: boolean;
        template_source: string;
        position: "bottomRight" | "bottomLeft";
        skippable: boolean;
        open_by_default: boolean;
        share_page_url_or_path: string;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_suggest: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    }>;
}
