/*******************************************************************************/
import * as t from 'io-ts';
import { IEditorCommandType } from './types';
export declare const DetailPreviewObjectV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
    value: t.StringC;
}>, t.PartialC<{
    position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
}>]>;
export type DetailPreviewObjectType = t.TypeOf<typeof DetailPreviewObjectV> & unknown;
export declare const DetailPreviewV: t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
    value: t.StringC;
}>, t.PartialC<{
    position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
}>]>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
    value: t.StringC;
}>, t.PartialC<{
    position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
}>]>, t.StringC]>>]>;
export type DetailPreviewType = t.TypeOf<typeof DetailPreviewV> & unknown;
export type DataRowMetadata = {
    type: 'command' | 'parameter';
    label: string;
    value: any;
    contextKey?: string;
    uid?: string;
    inputText?: string;
};
export declare const DEFAULT_DETAIL_PREVIEW_TYPE: DetailPreviewObjectType['type'];
export declare const standardize: (item: undefined | null | DetailPreviewType) => null | DetailPreviewObjectType[];
export declare const getFirstDetail: (detail?: DetailPreviewType | null) => DetailPreviewObjectType | null;
/** `true` iff the help document's body should also be used as the 'preview' for this command */
export declare const shouldUseHelpDoc: (command: IEditorCommandType) => boolean;
