import * as t from 'io-ts';
import { UserProperties } from '../client/CommandBarClientSDK';
import { IDecideResponseType, IEndUserType } from './types';
export declare const ChecklistInteractionStateV: t.IntersectionC<[t.PartialC<{
    isSkipped: t.BooleanC;
    isCompleted: t.BooleanC;
    isExpanded: t.BooleanC;
    isSeen: t.BooleanC;
    items: t.RecordC<t.StringC, t.TypeC<{
        completedTS: t.StringC;
    }>>;
}>, t.PartialC<{}>]>;
export declare const NudgeInteractionStateV: t.IntersectionC<[t.PartialC<{
    currentStep: t.NumberC;
    nudgeSeen: t.BooleanC;
    nudgeInteracted: t.BooleanC;
    seenTs: t.ArrayC<t.NumberC>;
    snoozedUntilTs: t.NumberC;
    nudgeDismissed: t.BooleanC;
    nudgeCompleted: t.BooleanC;
    nudgeDismissedTs: t.ArrayC<t.NumberC>;
    nudgeCompletedTs: t.ArrayC<t.NumberC>;
}>, t.PartialC<{
    stepIndexStack: t.ArrayC<t.NumberC>;
}>]>;
export declare const ChecklistInteractionsV: t.RecordC<t.NumberC, t.IntersectionC<[t.PartialC<{
    isSkipped: t.BooleanC;
    isCompleted: t.BooleanC;
    isExpanded: t.BooleanC;
    isSeen: t.BooleanC;
    items: t.RecordC<t.StringC, t.TypeC<{
        completedTS: t.StringC;
    }>>;
}>, t.PartialC<{}>]>>;
export declare const NudgeInteractionsV: t.RecordC<t.NumberC, t.IntersectionC<[t.PartialC<{
    currentStep: t.NumberC;
    nudgeSeen: t.BooleanC;
    nudgeInteracted: t.BooleanC;
    seenTs: t.ArrayC<t.NumberC>;
    snoozedUntilTs: t.NumberC;
    nudgeDismissed: t.BooleanC;
    nudgeCompleted: t.BooleanC;
    nudgeDismissedTs: t.ArrayC<t.NumberC>;
    nudgeCompletedTs: t.ArrayC<t.NumberC>;
}>, t.PartialC<{
    stepIndexStack: t.ArrayC<t.NumberC>;
}>]>>;
export declare const UserRemotePropertiesV: t.RecordC<t.StringC, t.AnyC>;
export declare const EndUserStoreDataV: t.TypeC<{
    hotkeys: t.AnyC;
    checklist_interactions: t.PartialC<{
        activeChecklistId: t.UnionC<[t.NumberC, t.NullC]>;
        checklists: t.RecordC<t.NumberC, t.IntersectionC<[t.PartialC<{
            isSkipped: t.BooleanC;
            isCompleted: t.BooleanC;
            isExpanded: t.BooleanC;
            isSeen: t.BooleanC;
            items: t.RecordC<t.StringC, t.TypeC<{
                completedTS: t.StringC;
            }>>;
        }>, t.PartialC<{}>]>>;
    }>;
    nudges_interactions: t.UnionC<[t.RecordC<t.NumberC, t.IntersectionC<[t.PartialC<{
        currentStep: t.NumberC;
        nudgeSeen: t.BooleanC;
        nudgeInteracted: t.BooleanC;
        seenTs: t.ArrayC<t.NumberC>;
        snoozedUntilTs: t.NumberC;
        nudgeDismissed: t.BooleanC;
        nudgeCompleted: t.BooleanC;
        nudgeDismissedTs: t.ArrayC<t.NumberC>;
        nudgeCompletedTs: t.ArrayC<t.NumberC>;
    }>, t.PartialC<{
        stepIndexStack: t.ArrayC<t.NumberC>;
    }>]>>, t.UndefinedC]>;
    analytics: t.UnionC<[t.TypeC<{
        num_command_executions: t.NumberC;
        num_shortcut_command_executions: t.NumberC;
        num_sessions: t.NumberC;
        num_opens: t.NumberC;
        num_deadends: t.NumberC;
        first_seen_at: t.StringC;
        last_seen_at: t.StringC;
    }>, t.UndefinedC, t.NullC]>;
    properties: t.RecordC<t.StringC, t.AnyC>;
}>;
export declare const EndUserV: t.TypeC<{
    username: t.StringC;
    slug: t.StringC;
    organization: t.StringC;
    has_access: t.BooleanC;
    has_opened: t.BooleanC;
    hotkeys_debug: t.BooleanC;
    hmac: t.UnionC<[t.StringC, t.UndefinedC]>;
    identifier: t.StringC;
}>;
export declare const DecideExperienceResponseV: t.RecordC<t.UnionC<[t.StringC, t.NumberC]>, t.UnionC<[t.BooleanC, t.RecordC<t.StringC, t.AnyC>, t.UndefinedC, t.NullC]>>;
export declare const DecideResponseV: t.UnionC<[t.TypeC<{
    user_property_targeting: t.UnionC<[t.BooleanC, t.UndefinedC, t.NullC]>;
    nudges: t.UnionC<[t.RecordC<t.UnionC<[t.StringC, t.NumberC]>, t.UnionC<[t.BooleanC, t.RecordC<t.StringC, t.AnyC>, t.UndefinedC, t.NullC]>>, t.UndefinedC, t.NullC]>;
    checklists: t.UnionC<[t.RecordC<t.UnionC<[t.StringC, t.NumberC]>, t.UnionC<[t.BooleanC, t.RecordC<t.StringC, t.AnyC>, t.UndefinedC, t.NullC]>>, t.UndefinedC, t.NullC]>;
    recommendation_sets: t.UnionC<[t.RecordC<t.UnionC<[t.StringC, t.NumberC]>, t.UnionC<[t.BooleanC, t.RecordC<t.StringC, t.AnyC>, t.UndefinedC, t.NullC]>>, t.UndefinedC, t.NullC]>;
}>, t.UndefinedC, t.NullC]>;
export declare const EndUser: {
    preferences: (_identifier: string | null | undefined, _hmac: string) => Promise<never>;
    decide: (orgId: string | number, distinctId: string | null | undefined, options: {
        properties?: UserProperties;
        envOverride: {
            env: string;
        } | {
            version: string;
        } | null;
        env: string | null;
        version?: string;
    }) => Promise<IDecideResponseType | null>;
    identify: (orgId: string | number, distinctId: string, options: {
        properties?: UserProperties;
    }, hmac?: string) => Promise<IEndUserType | null>;
};
export declare function getEnvOrVersion({ envOverride, env, version, }: {
    envOverride?: {
        env: string;
    } | {
        version: string;
    } | null;
    env?: string | null;
    version?: string | null;
}): {
    env: string;
} | {
    version: string;
};
