import * as t from 'io-ts';
import * as axiosInstance from './network';
import { IOrganizationType, ISearchExperiencesPayloadType } from './types';
export declare const FilterV: t.UnionC<[t.PartialC<{
    labels: t.ArrayC<t.StringC>;
}>, t.NullC]>;
export declare const ExperienceTypeOptions: t.UnionC<[t.ArrayC<t.UnionC<[t.LiteralC<"page">, t.LiteralC<"action">, t.LiteralC<"helpdoc">, t.LiteralC<"video">, t.LiteralC<"nudge">, t.LiteralC<"checklist">]>>, t.UndefinedC]>;
export declare const CommandExperience: t.TypeC<{
    type: t.UnionC<[t.LiteralC<"page">, t.LiteralC<"action">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
    experience_id: t.NumberC;
    experience: t.Type<{
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        extra: string | null;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    }, {
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        extra: string | null;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    }, any>;
    excerpt: t.StringC;
    score: t.ArrayC<t.NumberC>;
}>;
export declare const OtherExperience: t.TypeC<{
    type: t.UnionC<[t.LiteralC<"nudge">, t.LiteralC<"checklist">]>;
    experience_id: t.NumberC;
    experience: t.UndefinedC;
    excerpt: t.StringC;
    score: t.ArrayC<t.NumberC>;
}>;
export declare const ExperienceHitV: t.UnionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"page">, t.LiteralC<"action">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
    experience_id: t.NumberC;
    experience: t.Type<{
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        extra: string | null;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    }, {
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        extra: string | null;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    }, any>;
    excerpt: t.StringC;
    score: t.ArrayC<t.NumberC>;
}>, t.TypeC<{
    type: t.UnionC<[t.LiteralC<"nudge">, t.LiteralC<"checklist">]>;
    experience_id: t.NumberC;
    experience: t.UndefinedC;
    excerpt: t.StringC;
    score: t.ArrayC<t.NumberC>;
}>]>;
export declare const SearchExperiencesResponseV: t.TypeC<{
    data: t.ArrayC<t.TypeC<{
        hit: t.UnionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"page">, t.LiteralC<"action">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            experience_id: t.NumberC;
            experience: t.Type<{
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, {
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, any>;
            excerpt: t.StringC;
            score: t.ArrayC<t.NumberC>;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"nudge">, t.LiteralC<"checklist">]>;
            experience_id: t.NumberC;
            experience: t.UndefinedC;
            excerpt: t.StringC;
            score: t.ArrayC<t.NumberC>;
        }>]>;
    }>>;
}>;
export declare const SearchExperiencesPayloadV: t.PartialC<{
    query: t.StringC;
    widget: t.UnionC<[t.LiteralC<"helphub">, t.LiteralC<"spotlight">]>;
    experience_types: t.StringC;
    max_results: t.UnionC<[t.NumberC, t.UndefinedC]>;
    filter: t.UnionC<[t.PartialC<{
        labels: t.ArrayC<t.StringC>;
    }>, t.NullC]>;
}>;
export declare class ExperiencesSearch {
    static search: (orgUID: IOrganizationType['id'], payload: ISearchExperiencesPayloadType, options?: axiosInstance.FetchOptions) => Promise<{
        data: {
            hit: {
                type: "page" | "video" | "action" | "helpdoc";
                experience_id: number;
                experience: {
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                };
                excerpt: string;
                score: number[];
            } | {
                type: "nudge" | "checklist";
                experience_id: number;
                experience: undefined;
                excerpt: string;
                score: number[];
            };
        }[];
    }>;
}
