import * as t from 'io-ts';
export declare const HelpDocsIntegrationV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    type: t.StringC;
    schedule: t.StringC;
    meta: t.UnionC<[t.RecordC<t.StringC, t.AnyC>, t.NullC]>;
    helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC, t.NullC]>;
}>, t.PartialC<{
    title: t.StringC;
    icon: t.StringC;
    commands_count: t.NumberC;
    recent_sync_date: t.UnionC<[t.StringC, t.NullC]>;
}>]>;
export declare class HelpDocsIntegration {
    static create: (object: {
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
        helphub_view_article_button_hidden: boolean | null | undefined;
    } & {
        title?: string | undefined;
        icon?: string | undefined;
        commands_count?: number | undefined;
        recent_sync_date?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
        helphub_view_article_button_hidden: boolean | null | undefined;
    } & {
        title?: string | undefined;
        icon?: string | undefined;
        commands_count?: number | undefined;
        recent_sync_date?: string | null | undefined;
    }>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
        helphub_view_article_button_hidden: boolean | null | undefined;
    } & {
        title?: string | undefined;
        icon?: string | undefined;
        commands_count?: number | undefined;
        recent_sync_date?: string | null | undefined;
    }>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
        helphub_view_article_button_hidden: boolean | null | undefined;
    } & {
        title?: string | undefined;
        icon?: string | undefined;
        commands_count?: number | undefined;
        recent_sync_date?: string | null | undefined;
    })[]>;
    static update: (object: {
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
        helphub_view_article_button_hidden: boolean | null | undefined;
    } & {
        title?: string | undefined;
        icon?: string | undefined;
        commands_count?: number | undefined;
        recent_sync_date?: string | null | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        organization: string;
        type: string;
        schedule: string;
        meta: {
            [x: string]: any;
        } | null;
        helphub_view_article_button_hidden: boolean | null | undefined;
    } & {
        title?: string | undefined;
        icon?: string | undefined;
        commands_count?: number | undefined;
        recent_sync_date?: string | null | undefined;
    }>;
    static delete: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    /** Get the status of the latest currently running sync for an integration */
    static readSyncStatus: (integrationId: string) => Promise<{
        running: boolean;
        numFetched: number;
        numProcessed: number;
    } & {
        deleting?: boolean | undefined;
    }>;
}
declare const IntercomCreateConversationPayloadV: t.TypeC<{
    message_id: t.StringC;
    intercom_user_type: t.UnionC<[t.LiteralC<"visitor">, t.LiteralC<"user">]>;
    intercom_user_id: t.UnionC<[t.StringC, t.UndefinedC]>;
}>;
export declare class IntercomIntegration {
    static createConversation: (payload: t.TypeOf<typeof IntercomCreateConversationPayloadV>) => Promise<{
        conversation_id?: string | undefined;
    }>;
}
export {};
