import { DeviceType } from '../util/operatingSystem';
import * as t from 'io-ts';
import { IHelpHubLauncherSettingsType, IOrganizationType } from './types';
export declare const HelpHubLauncherPositionsV: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
export declare const HelpHubLauncherTypesV: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
export declare const HelpHubLauncherSettingsV: t.TypeC<{
    helphub_launcher_offset_x: t.NumberC;
    helphub_launcher_offset_y: t.NumberC;
    helphub_launcher_anchor: t.StringC;
    helphub_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
    helphub_mobile_launcher_offset_x: t.NumberC;
    helphub_mobile_launcher_offset_y: t.NumberC;
    helphub_mobile_launcher_anchor: t.StringC;
    helphub_mobile_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_mobile_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
}>;
export declare const getHelpHubLauncherSettingKeys: (deviceType: DeviceType) => Record<string, keyof IHelpHubLauncherSettingsType>;
export type HelpHubLauncherMergedSettings = {
    type: IHelpHubLauncherSettingsType['helphub_launcher_type'] | IHelpHubLauncherSettingsType['helphub_mobile_launcher_type'];
    anchor: IHelpHubLauncherSettingsType['helphub_launcher_anchor'] | IHelpHubLauncherSettingsType['helphub_mobile_launcher_anchor'];
    position: IHelpHubLauncherSettingsType['helphub_launcher_position'] | IHelpHubLauncherSettingsType['helphub_mobile_launcher_position'];
    offsetX: IHelpHubLauncherSettingsType['helphub_launcher_offset_x'] | IHelpHubLauncherSettingsType['helphub_mobile_launcher_offset_x'];
    offsetY: IHelpHubLauncherSettingsType['helphub_launcher_offset_y'] | IHelpHubLauncherSettingsType['helphub_mobile_launcher_offset_y'];
};
export declare const getHelpHubLauncherSettings: (deviceType: DeviceType, organization: IOrganizationType) => HelpHubLauncherMergedSettings;
