import * as t from 'io-ts';
import { LabeledAction } from '../types';
export declare const AdminAction: t.TypeC<{
    type: t.LiteralC<"admin">;
    value: t.StringC;
}>;
export declare const CallbackAction: t.TypeC<{
    type: t.LiteralC<"callback">;
    value: t.StringC;
}>;
export declare const OpenBarAction: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"open_bar">;
}>, t.PartialC<{
    value: t.StringC;
    categoryFilter: t.NumberC;
}>]>;
export declare const OpenHelpHubAction: t.TypeC<{
    type: t.LiteralC<"open_helphub">;
}>;
export declare const OpenCopilotAction: t.TypeC<{
    type: t.LiteralC<"open_copilot">;
}>;
export declare const LinkAction: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>;
export declare const OpenChatActionTypeV: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
export declare const OpenChatActionV: t.TypeC<{
    type: t.LiteralC<"open_chat">;
    meta: t.TypeC<{
        type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
    }>;
}>;
export declare const DismissAction: t.TypeC<{
    type: t.LiteralC<"dismiss">;
}>;
export declare const StepBackAction: t.TypeC<{
    type: t.LiteralC<"step_back">;
}>;
export declare const SnoozeAction: t.TypeC<{
    type: t.LiteralC<"snooze">;
}>;
export declare const ClickAction: t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>;
export declare const BuiltInAction: t.TypeC<{
    type: t.LiteralC<"builtin">;
    value: t.StringC;
}>;
export declare const WebhookAction: t.TypeC<{
    type: t.LiteralC<"webhook">;
    value: t.StringC;
}>;
export declare const AppcuesAction: t.TypeC<{
    type: t.LiteralC<"appcues">;
    value: t.StringC;
}>;
export declare const PendoGuideAction: t.TypeC<{
    type: t.LiteralC<"pendo_guide">;
    value: t.StringC;
}>;
export declare const ScriptAction: t.TypeC<{
    type: t.LiteralC<"script">;
    value: t.StringC;
}>;
export declare const VideoAction: t.TypeC<{
    type: t.LiteralC<"video">;
    value: t.StringC;
}>;
export declare const HelpDocAction: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"helpdoc">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
    doc_metadata: t.PartialC<{
        content_type: t.StringC;
        date: t.StringC;
    }>;
}>]>;
export declare const CommandActionMetaTypeV: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
export declare const CommandActionV: t.TypeC<{
    type: t.LiteralC<"execute_command">;
    meta: t.IntersectionC<[t.TypeC<{
        command: t.StringC;
    }>, t.PartialC<{
        type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
    }>]>;
}>;
export declare const NoAction: t.TypeC<{
    type: t.LiteralC<"no_action">;
}>;
export declare const ClickActionNew: t.TypeC<{
    type: t.LiteralC<"click">;
    value: t.StringC;
}>;
export declare const NudgeActionV: t.TypeC<{
    type: t.LiteralC<"nudge">;
    value: t.NumberC;
}>;
export declare const GoToNudgeStepActionV: t.TypeC<{
    type: t.LiteralC<"go_to_step">;
    value: t.NumberC;
}>;
export declare const QuestlistActionV: t.TypeC<{
    type: t.LiteralC<"questlist">;
    value: t.NumberC;
}>;
export declare const ActionV: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"execute_command">;
    meta: t.IntersectionC<[t.TypeC<{
        command: t.StringC;
    }>, t.PartialC<{
        type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
    }>]>;
}>, t.TypeC<{
    type: t.LiteralC<"no_action">;
}>, t.TypeC<{
    type: t.LiteralC<"click">;
    value: t.StringC;
}>, t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>, t.TypeC<{
    type: t.LiteralC<"open_chat">;
    meta: t.TypeC<{
        type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"dismiss">;
}>, t.TypeC<{
    type: t.LiteralC<"snooze">;
}>, t.TypeC<{
    type: t.LiteralC<"questlist">;
    value: t.NumberC;
}>, t.TypeC<{
    type: t.LiteralC<"nudge">;
    value: t.NumberC;
}>, t.TypeC<{
    type: t.LiteralC<"go_to_step">;
    value: t.NumberC;
}>, t.TypeC<{
    type: t.LiteralC<"step_back">;
}>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"open_bar">;
}>, t.PartialC<{
    value: t.StringC;
    categoryFilter: t.NumberC;
}>]>, t.TypeC<{
    type: t.LiteralC<"open_helphub">;
}>, t.TypeC<{
    type: t.LiteralC<"open_copilot">;
}>]>;
export declare const LabeledActionV: t.TypeC<{
    cta: t.StringC;
    action: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
}>;
export declare const isAction: (o: string | number | LabeledAction) => o is {
    cta: string;
    action: {
        type: "execute_command";
        meta: {
            command: string;
        } & {
            type?: "link" | "video" | "action" | "helpdoc" | undefined;
        };
    } | {
        type: "click";
        value: string;
    } | {
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    }) | {
        type: "open_chat";
        meta: {
            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
        };
    } | {
        type: "dismiss";
    } | {
        type: "snooze";
    } | {
        type: "questlist";
        value: number;
    } | {
        type: "step_back";
    } | {
        type: "nudge";
        value: number;
    } | {
        type: "go_to_step";
        value: number;
    } | ({
        type: "open_bar";
    } & {
        value?: string | undefined;
        categoryFilter?: number | undefined;
    }) | {
        type: "open_helphub";
    } | {
        type: "open_copilot";
    } | {
        type: "no_action";
    };
};
export declare const RequestV: t.IntersectionC<[t.TypeC<{
    method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
    url: t.StringC;
}>, t.PartialC<{
    headers: t.UnknownRecordC;
    body: t.UnknownRecordC;
    onSend: t.StringC;
    onSuccess: t.StringC;
    onError: t.StringC;
}>]>;
export declare const RequestAction: t.TypeC<{
    type: t.LiteralC<"request">;
    value: t.IntersectionC<[t.TypeC<{
        method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
        url: t.StringC;
    }>, t.PartialC<{
        headers: t.UnknownRecordC;
        body: t.UnknownRecordC;
        onSend: t.StringC;
        onSuccess: t.StringC;
        onError: t.StringC;
    }>]>;
}>;
export declare const TriggerAction: t.TypeC<{
    type: t.LiteralC<"trigger">;
    value: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
}>;
