/*******************************************************************************/
import * as t from 'io-ts';
/*******************************************************************************/
export declare const TemplateOptionsV: t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>;
export declare const AdminTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"admin">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const CallbackTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"callback">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const LinkTemplateV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const ClickTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const BuiltInTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"builtin">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const WebhookTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"webhook">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const ScriptTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"script">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const RequestTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"request">;
    value: t.IntersectionC<[t.TypeC<{
        method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
        url: t.StringC;
    }>, t.PartialC<{
        headers: t.UnknownRecordC;
        body: t.UnknownRecordC;
        onSend: t.StringC;
        onSuccess: t.StringC;
        onError: t.StringC;
    }>]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const AppcuesTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"appcues">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const PendoGuideTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"pendo_guide">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const VideoTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"video">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const HelpDocTemplateV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"helpdoc">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
    doc_metadata: t.PartialC<{
        content_type: t.StringC;
        date: t.StringC;
    }>;
}>]>, t.PartialC<{
    doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const TriggerTemplateV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"trigger">;
    value: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>;
export declare const TemplateV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"admin">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"callback">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"builtin">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"webhook">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"script">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"request">;
    value: t.IntersectionC<[t.TypeC<{
        method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
        url: t.StringC;
    }>, t.PartialC<{
        headers: t.UnknownRecordC;
        body: t.UnknownRecordC;
        onSend: t.StringC;
        onSuccess: t.StringC;
        onError: t.StringC;
    }>]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"appcues">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"pendo_guide">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"video">;
    value: t.StringC;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"helpdoc">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
    doc_metadata: t.PartialC<{
        content_type: t.StringC;
        date: t.StringC;
    }>;
}>]>, t.PartialC<{
    doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"trigger">;
    value: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
}>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
    commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
    object: t.StringC;
    hoverTooltip: t.BooleanC;
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
    metadata: t.UnknownRecordC;
}>]>]>]>;
