import * as t from 'io-ts';
import { IChecklist, INudgeType } from '../types';
export declare const PushTriggerV: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"when_conditions_pass">;
}>, t.TypeC<{
    type: t.LiteralC<"when_page_reached">;
    meta: t.TypeC<{
        url: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"on_command_execution">;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"on_event">;
    meta: t.TypeC<{
        event: t.StringC;
        condition_group: t.UnionC<[t.Type<import("./rules").RuleExpression, import("./rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"when_element_appears">;
    meta: t.TypeC<{
        selector: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"on_user_confusion">;
}>, t.TypeC<{
    type: t.LiteralC<"on_rage_click">;
}>, t.TypeC<{
    type: t.LiteralC<"smart_delay">;
}>, t.TypeC<{
    type: t.LiteralC<"after_time">;
    meta: t.TypeC<{
        unit: t.UnionC<[t.LiteralC<"minute">, t.LiteralC<"second">]>;
        value: t.NumberC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"when_share_link_viewed">;
}>, t.TypeC<{
    type: t.LiteralC<"scheduled">;
    meta: t.TypeC<{
        interval: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"month">]>;
        value: t.NumberC;
    }>;
}>]>;
export type TriggerableEntity = INudgeType | IChecklist;
export declare enum TriggerableEntityType {
    NUDGE = "nudge",
    CHECKLIST = "checklist"
}
export declare const isNudge: (triggerable: TriggerableEntity) => triggerable is INudgeType;
export type TriggerableEntityId = `${TriggerableEntityType}-${INudgeType['id'] | IChecklist['id']}`;
export declare const generateTriggerableEntityId: (triggerableEntity: TriggerableEntity) => TriggerableEntityId;
