import * as t from 'io-ts';
import { IRecommendationSet } from '../types';
export declare const listOperators: readonly ["includes", "doesNotInclude"];
export declare const equalityOperators: readonly ["is", "isNot"];
export declare const numericOperators: readonly ["isGreaterThan", "isLessThan"];
export declare const operators: readonly ["isTrue", "isFalse", "isTruthy", "isFalsy", "startsWith", "endsWith", "matchesRegex", "isDefined", "isNotDefined", "classnameOnPage", "idOnPage", "selectorOnPage", "classnameNotOnPage", "idNotOnPage", "selectorNotOnPage", "includes", "doesNotInclude", "is", "isNot", "isGreaterThan", "isLessThan"];
export declare const OperatorV: t.KeyofC<{
    includes: null;
    endsWith: null;
    startsWith: null;
    is: null;
    isTrue: null;
    isFalse: null;
    isTruthy: null;
    isFalsy: null;
    matchesRegex: null;
    isDefined: null;
    isNotDefined: null;
    classnameOnPage: null;
    idOnPage: null;
    selectorOnPage: null;
    classnameNotOnPage: null;
    idNotOnPage: null;
    selectorNotOnPage: null;
    doesNotInclude: null;
    isNot: null;
    isGreaterThan: null;
    isLessThan: null;
}>;
export declare const NudgeInteractionConditionV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>;
export declare const QuestlistInteractionConditionV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>;
export declare const InteractionConditionV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
declare const MultiValueConditionV: t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
    operator: t.KeyofC<{
        includes: null;
        doesNotInclude: null;
    }>;
    values: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>;
export declare const SingleValueConditionV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        matchesRegex: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
        classnameNotOnPage: null;
        idNotOnPage: null;
        selectorNotOnPage: null;
        doesNotInclude: null;
        isNot: null;
        isGreaterThan: null;
        isLessThan: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>;
export declare const ConditionV: t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        matchesRegex: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
        classnameNotOnPage: null;
        idNotOnPage: null;
        selectorNotOnPage: null;
        doesNotInclude: null;
        isNot: null;
        isGreaterThan: null;
        isLessThan: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
    operator: t.KeyofC<{
        includes: null;
        doesNotInclude: null;
    }>;
    values: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
export declare const getConditions: (expr: RuleExpression) => ExpressionCondition[];
export declare const canonicalize: (expr: RuleExpression) => RuleExpression;
export declare function isCompoundExpression(expr: RuleExpression): expr is RuleExpressionAnd | RuleExpressionOr;
export type ExpressionCondition = t.TypeOf<typeof ConditionV> | t.TypeOf<typeof NamedRuleReferenceV>;
export type RuleExpression = RuleExpressionAnd | RuleExpressionOr | RuleExpressionLiteral | RuleExpressionCondition;
export type RuleExpressionAnd = {
    type: 'AND';
    exprs: RuleExpression[];
};
export type RuleExpressionOr = {
    type: 'OR';
    exprs: RuleExpression[];
};
export type RuleExpressionLiteral = {
    type: 'LITERAL';
    value: boolean;
};
export type RuleExpressionCondition = {
    type: 'CONDITION';
    condition: ExpressionCondition;
};
export declare const RuleExpressionAndV: t.Type<RuleExpressionAnd>;
export declare const RuleExpressionOrV: t.Type<RuleExpressionOr>;
export declare const RuleExpressionLiteralV: t.Type<RuleExpressionLiteral>;
export declare const RuleExpressionConditionV: t.Type<RuleExpressionCondition>;
export declare const RuleExpressionV: t.Type<RuleExpression>;
export declare const RuleExpressionTrue: t.TypeOf<typeof RuleExpressionLiteralV>;
export declare const RuleExpressionFalse: t.TypeOf<typeof RuleExpressionLiteralV>;
export declare const NamedRuleReferenceV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"named_rule">;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>;
export declare const RecommendationRuleAlwaysV: t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"always">;
}>, t.PartialC<{
    operator: t.UnionC<[t.UndefinedC, t.NullC]>;
    field: t.UnionC<[t.UndefinedC, t.NullC]>;
    value: t.UnionC<[t.UndefinedC, t.NullC]>;
    reason: t.UnionC<[t.UndefinedC, t.NullC]>;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>;
export declare const AvailabilityRuleV: t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        matchesRegex: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
        classnameNotOnPage: null;
        idNotOnPage: null;
        selectorNotOnPage: null;
        doesNotInclude: null;
        isNot: null;
        isGreaterThan: null;
        isLessThan: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
    operator: t.KeyofC<{
        includes: null;
        doesNotInclude: null;
    }>;
    values: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
export declare const RecommendationRuleV: t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"always">;
}>, t.PartialC<{
    operator: t.UnionC<[t.UndefinedC, t.NullC]>;
    field: t.UnionC<[t.UndefinedC, t.NullC]>;
    value: t.UnionC<[t.UndefinedC, t.NullC]>;
    reason: t.UnionC<[t.UndefinedC, t.NullC]>;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        matchesRegex: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
        classnameNotOnPage: null;
        idNotOnPage: null;
        selectorNotOnPage: null;
        doesNotInclude: null;
        isNot: null;
        isGreaterThan: null;
        isLessThan: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
    operator: t.KeyofC<{
        includes: null;
        doesNotInclude: null;
    }>;
    values: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>;
export declare const EditorAvailabilityRuleV: t.UnionC<[t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        matchesRegex: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
        classnameNotOnPage: null;
        idNotOnPage: null;
        selectorNotOnPage: null;
        doesNotInclude: null;
        isNot: null;
        isGreaterThan: null;
        isLessThan: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
    operator: t.KeyofC<{
        includes: null;
        doesNotInclude: null;
    }>;
    values: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"named_rule">;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
export declare const EditorRecommendationRuleV: t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"always">;
}>, t.PartialC<{
    operator: t.UnionC<[t.UndefinedC, t.NullC]>;
    field: t.UnionC<[t.UndefinedC, t.NullC]>;
    value: t.UnionC<[t.UndefinedC, t.NullC]>;
    reason: t.UnionC<[t.UndefinedC, t.NullC]>;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
    operator: t.KeyofC<{
        includes: null;
        endsWith: null;
        startsWith: null;
        is: null;
        isTrue: null;
        isFalse: null;
        isTruthy: null;
        isFalsy: null;
        matchesRegex: null;
        isDefined: null;
        isNotDefined: null;
        classnameOnPage: null;
        idOnPage: null;
        selectorOnPage: null;
        classnameNotOnPage: null;
        idNotOnPage: null;
        selectorNotOnPage: null;
        doesNotInclude: null;
        isNot: null;
        isGreaterThan: null;
        isLessThan: null;
    }>;
}>, t.PartialC<{
    field: t.StringC;
    value: t.StringC;
    reason: t.StringC;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"nudge_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    nudge_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"questlist_interaction">;
    operator: t.KeyofC<{
        is: null;
        isNot: null;
    }>;
    value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
    questlist_id: t.NumberC;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
    operator: t.KeyofC<{
        includes: null;
        doesNotInclude: null;
    }>;
    values: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>]>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"named_rule">;
    rule_id: t.UnionC<[t.NumberC, t.StringC]>;
}>, t.PartialC<{
    reason: t.StringC;
}>]>]>;
export declare const NamedRuleBaseV: t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    name: t.StringC;
    expression: t.Type<RuleExpression, RuleExpression, unknown>;
}>;
declare const NamedRuleAdditionalV: t.TypeC<{
    is_audience: t.BooleanC;
}>;
export declare const defaults: t.TypeOf<typeof NamedRuleAdditionalV>;
export declare const NamedRuleV: t.IntersectionC<[t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    name: t.StringC;
    expression: t.Type<RuleExpression, RuleExpression, unknown>;
}>, t.TypeC<{
    is_audience: t.BooleanC;
}>]>;
export type IRuleOperator = t.TypeOf<typeof OperatorV>;
export type IAvailabilityRule = t.TypeOf<typeof AvailabilityRuleV>;
export type IEditorAvailabilityRule = t.TypeOf<typeof EditorAvailabilityRuleV>;
export type IRecommendationRule = t.TypeOf<typeof RecommendationRuleV>;
export type IEditorRecommendationRule = t.TypeOf<typeof EditorRecommendationRuleV>;
export type ISingleValueCondition = t.TypeOf<typeof SingleValueConditionV>;
export type IMultiValueCondition = t.TypeOf<typeof MultiValueConditionV>;
export type ICondition = t.TypeOf<typeof ConditionV>;
export type IInteractionCondition = t.TypeOf<typeof InteractionConditionV>;
export type IAvailabilityRuleType = IAvailabilityRule['type'];
export type IRecommendationRuleType = IRecommendationRule['type'];
export type IRule = IAvailabilityRule | IRecommendationRule;
export type IEditorRule = IEditorAvailabilityRule | IEditorRecommendationRule;
export type INamedRule = t.TypeOf<typeof NamedRuleV>;
export declare function isMultiValueRule(rule: IEditorRule | IRule): rule is IMultiValueCondition;
export declare function isMultiValueRuleType(type: IRule['type']): type is IMultiValueCondition['type'];
export declare function isInteractionCondition(condition: IEditorRule): condition is IInteractionCondition;
export declare function isInteractionConditionType(type: IEditorRule['type']): type is IInteractionCondition['type'];
export type ABTestCondition = ExpressionCondition & {
    type: 'ab_test';
    field: string;
    value: string;
};
export declare const isABTestCondition: (condition: ExpressionCondition) => condition is {
    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
} & {
    field?: string | undefined;
    value?: string | undefined;
    reason?: string | undefined;
    rule_id?: string | number | undefined;
} & {
    type: 'ab_test';
    field: string;
    value: string;
};
export type SurveyType = 'list' | 'rating' | 'text';
export declare const scoreRecommendationSet: (recommendationSet: IRecommendationSet) => number;
export {};
