export declare const setBaseURL: (url: string | undefined) => void;
export declare const getBaseURL: () => string;
export type FetchOptions = {
    signal?: AbortSignal;
    headers?: Record<string, string>;
    credentials?: RequestCredentials;
    keepalive?: boolean;
};
export type Response<T> = {
    data: T;
    status: number;
    statusText: string;
    headers: Record<string, string>;
};
export declare const put: <T = any>(url: string, data?: string | object | undefined, options?: FetchOptions) => Promise<Response<T>>;
export declare const post: <T = any>(url: string, data?: string | object | undefined, options?: FetchOptions) => Promise<Response<T>>;
export declare const get: <T = any>(url: string, options?: FetchOptions) => Promise<Response<T>>;
export declare const patch: <T = any>(url: string, data?: string | object | undefined, options?: FetchOptions) => Promise<Response<T>>;
export declare const del: <T = any>(url: string, data?: string | object | undefined, options?: FetchOptions) => Promise<Response<T>>;
export declare const getFetchHeaders: (uploadFile?: boolean) => {
    'X-CSRFToken': string;
    'X-cb-release'?: string | undefined;
    'X-cb-proj'?: string | undefined;
    'X-cb-lc'?: string | undefined;
    'Content-Type': string;
    accept: string;
} | {
    'X-CSRFToken': string;
    'X-cb-release'?: string | undefined;
    'X-cb-proj'?: string | undefined;
    'X-cb-lc'?: string | undefined;
    accept: string;
};
