import * as t from 'io-ts';
export declare const NudgeContentMarkdownBlockV: t.TypeC<{
    type: t.LiteralC<"markdown">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.TypeC<{
        value: t.StringC;
    }>;
}>;
export declare const NudgeContentImageBlockV: t.TypeC<{
    type: t.LiteralC<"image">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>;
}>;
export declare const NudgeContentVideoBlockV: t.TypeC<{
    type: t.LiteralC<"video">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"url">;
        src: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"command">;
        command: t.StringC;
    }>]>;
}>;
export declare const NudgeContentListBlockV: t.TypeC<{
    type: t.LiteralC<"survey_list">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.IntersectionC<[t.TypeC<{
        options: t.ArrayC<t.StringC>;
        list_type: t.UnionC<[t.LiteralC<"single">, t.LiteralC<"multiple">]>;
        display_type: t.UnionC<[t.LiteralC<"dropdown">, t.LiteralC<"list">, t.LiteralC<"grid">]>;
    }>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
}>;
export declare const NudgeContentHelpDocBlockV: t.TypeC<{
    type: t.LiteralC<"help_doc_command">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>;
export declare const NudgeButtonActionV: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"execute_command">;
    meta: t.IntersectionC<[t.TypeC<{
        command: t.StringC;
    }>, t.PartialC<{
        type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
    }>]>;
}>, t.TypeC<{
    type: t.LiteralC<"no_action">;
}>, t.TypeC<{
    type: t.LiteralC<"click">;
    value: t.StringC;
}>, t.TypeC<{
    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
    value: t.ArrayC<t.StringC>;
}>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"link">;
    value: t.StringC;
}>, t.PartialC<{
    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
}>]>, t.TypeC<{
    type: t.LiteralC<"open_chat">;
    meta: t.TypeC<{
        type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"dismiss">;
}>, t.TypeC<{
    type: t.LiteralC<"snooze">;
}>, t.TypeC<{
    type: t.LiteralC<"questlist">;
    value: t.NumberC;
}>, t.TypeC<{
    type: t.LiteralC<"step_back">;
}>, t.TypeC<{
    type: t.LiteralC<"nudge">;
    value: t.NumberC;
}>, t.TypeC<{
    type: t.LiteralC<"go_to_step">;
    value: t.NumberC;
}>, t.IntersectionC<[t.TypeC<{
    type: t.LiteralC<"open_bar">;
}>, t.PartialC<{
    value: t.StringC;
    categoryFilter: t.NumberC;
}>]>, t.TypeC<{
    type: t.LiteralC<"open_helphub">;
}>, t.TypeC<{
    type: t.LiteralC<"open_copilot">;
}>]>;
export declare const NudgeConditionalActionV: t.TypeC<{
    operator: t.UnionC<[t.LiteralC<"eq">, t.LiteralC<"neq">, t.LiteralC<"gt">, t.LiteralC<"lt">]>;
    operand: t.UnionC<[t.StringC, t.NumberC]>;
    action: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"click">;
        value: t.StringC;
    }>, t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_chat">;
        meta: t.TypeC<{
            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"dismiss">;
    }>, t.TypeC<{
        type: t.LiteralC<"snooze">;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"step_back">;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"go_to_step">;
        value: t.NumberC;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"open_bar">;
    }>, t.PartialC<{
        value: t.StringC;
        categoryFilter: t.NumberC;
    }>]>, t.TypeC<{
        type: t.LiteralC<"open_helphub">;
    }>, t.TypeC<{
        type: t.LiteralC<"open_copilot">;
    }>]>;
}>;
export declare const NudgeContentButtonBlockV: t.TypeC<{
    type: t.LiteralC<"button">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.UnionC<[t.PartialC<{
        label: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        button_type: t.UnionC<[t.LiteralC<"primary">, t.LiteralC<"secondary">, t.LiteralC<"snooze">]>;
        conditional_actions: t.ArrayC<t.TypeC<{
            operator: t.UnionC<[t.LiteralC<"eq">, t.LiteralC<"neq">, t.LiteralC<"gt">, t.LiteralC<"lt">]>;
            operand: t.UnionC<[t.StringC, t.NumberC]>;
            action: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.IntersectionC<[t.TypeC<{
                    command: t.StringC;
                }>, t.PartialC<{
                    type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                }>]>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.TypeC<{
                type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                value: t.ArrayC<t.StringC>;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_chat">;
                meta: t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"dismiss">;
            }>, t.TypeC<{
                type: t.LiteralC<"snooze">;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"step_back">;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"go_to_step">;
                value: t.NumberC;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"open_bar">;
            }>, t.PartialC<{
                value: t.StringC;
                categoryFilter: t.NumberC;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_helphub">;
            }>, t.TypeC<{
                type: t.LiteralC<"open_copilot">;
            }>]>;
        }>>;
    }>, t.NullC]>;
}>;
export declare const NudgeContentSurveyTextBlockV: t.TypeC<{
    type: t.LiteralC<"survey_text">;
    meta: t.IntersectionC<[t.TypeC<{
        prompt: t.StringC;
    }>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
}>;
export declare const NudgeStepContentSurveyTextShortBlockTypeV: t.TypeC<{
    type: t.LiteralC<"survey_text_short">;
    meta: t.IntersectionC<[t.TypeC<{
        prompt: t.StringC;
    }>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
}>;
export declare const NudgeContentSurveyRatingBlockV: t.TypeC<{
    type: t.LiteralC<"survey_rating">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.IntersectionC<[t.UnionC<[t.TypeC<{
        type: t.LiteralC<"emojis">;
        lower_label: t.StringC;
        upper_label: t.StringC;
        options: t.NumberC;
        emojis: t.ArrayC<t.StringC>;
    }>, t.TypeC<{
        type: t.LiteralC<"numbers">;
        lower_label: t.StringC;
        upper_label: t.StringC;
        options: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"stars">;
        lower_label: t.StringC;
        upper_label: t.StringC;
        options: t.NumberC;
    }>]>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
}>;
export declare const NudgeContentBlockV: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"markdown">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.TypeC<{
        value: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"image">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"video">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"url">;
        src: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"command">;
        command: t.StringC;
    }>]>;
}>, t.TypeC<{
    type: t.LiteralC<"help_doc_command">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.TypeC<{
        command: t.StringC;
    }>;
}>, t.TypeC<{
    type: t.LiteralC<"button">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.UnionC<[t.PartialC<{
        label: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        button_type: t.UnionC<[t.LiteralC<"primary">, t.LiteralC<"secondary">, t.LiteralC<"snooze">]>;
        conditional_actions: t.ArrayC<t.TypeC<{
            operator: t.UnionC<[t.LiteralC<"eq">, t.LiteralC<"neq">, t.LiteralC<"gt">, t.LiteralC<"lt">]>;
            operand: t.UnionC<[t.StringC, t.NumberC]>;
            action: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.IntersectionC<[t.TypeC<{
                    command: t.StringC;
                }>, t.PartialC<{
                    type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                }>]>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.TypeC<{
                type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                value: t.ArrayC<t.StringC>;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_chat">;
                meta: t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"dismiss">;
            }>, t.TypeC<{
                type: t.LiteralC<"snooze">;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"step_back">;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"go_to_step">;
                value: t.NumberC;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"open_bar">;
            }>, t.PartialC<{
                value: t.StringC;
                categoryFilter: t.NumberC;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_helphub">;
            }>, t.TypeC<{
                type: t.LiteralC<"open_copilot">;
            }>]>;
        }>>;
    }>, t.NullC]>;
}>, t.TypeC<{
    type: t.LiteralC<"survey_text">;
    meta: t.IntersectionC<[t.TypeC<{
        prompt: t.StringC;
    }>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
}>, t.TypeC<{
    type: t.LiteralC<"survey_text_short">;
    meta: t.IntersectionC<[t.TypeC<{
        prompt: t.StringC;
    }>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
}>, t.TypeC<{
    type: t.LiteralC<"survey_rating">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.IntersectionC<[t.UnionC<[t.TypeC<{
        type: t.LiteralC<"emojis">;
        lower_label: t.StringC;
        upper_label: t.StringC;
        options: t.NumberC;
        emojis: t.ArrayC<t.StringC>;
    }>, t.TypeC<{
        type: t.LiteralC<"numbers">;
        lower_label: t.StringC;
        upper_label: t.StringC;
        options: t.NumberC;
    }>, t.TypeC<{
        type: t.LiteralC<"stars">;
        lower_label: t.StringC;
        upper_label: t.StringC;
        options: t.NumberC;
    }>]>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
}>, t.TypeC<{
    type: t.LiteralC<"survey_list">;
    sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    meta: t.IntersectionC<[t.TypeC<{
        options: t.ArrayC<t.StringC>;
        list_type: t.UnionC<[t.LiteralC<"single">, t.LiteralC<"multiple">]>;
        display_type: t.UnionC<[t.LiteralC<"dropdown">, t.LiteralC<"list">, t.LiteralC<"grid">]>;
    }>, t.PartialC<{
        validation: t.PartialC<{
            required: t.UnionC<[t.TypeC<{
                value: t.LiteralC<true>;
                message: t.StringC;
            }>, t.TypeC<{
                value: t.LiteralC<false>;
                message: t.NullC;
            }>]>;
        }>;
    }>]>;
}>]>;
export declare const NudgeStepV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    title: t.StringC;
    content: t.ArrayC<t.UnionC<[t.TypeC<{
        type: t.LiteralC<"markdown">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.TypeC<{
            value: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"image">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"video">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"url">;
            src: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"command">;
            command: t.StringC;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"help_doc_command">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"button">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.UnionC<[t.PartialC<{
            label: t.StringC;
            action: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.IntersectionC<[t.TypeC<{
                    command: t.StringC;
                }>, t.PartialC<{
                    type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                }>]>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.TypeC<{
                type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                value: t.ArrayC<t.StringC>;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_chat">;
                meta: t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"dismiss">;
            }>, t.TypeC<{
                type: t.LiteralC<"snooze">;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"step_back">;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"go_to_step">;
                value: t.NumberC;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"open_bar">;
            }>, t.PartialC<{
                value: t.StringC;
                categoryFilter: t.NumberC;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_helphub">;
            }>, t.TypeC<{
                type: t.LiteralC<"open_copilot">;
            }>]>;
            button_type: t.UnionC<[t.LiteralC<"primary">, t.LiteralC<"secondary">, t.LiteralC<"snooze">]>;
            conditional_actions: t.ArrayC<t.TypeC<{
                operator: t.UnionC<[t.LiteralC<"eq">, t.LiteralC<"neq">, t.LiteralC<"gt">, t.LiteralC<"lt">]>;
                operand: t.UnionC<[t.StringC, t.NumberC]>;
                action: t.UnionC<[t.TypeC<{
                    type: t.LiteralC<"execute_command">;
                    meta: t.IntersectionC<[t.TypeC<{
                        command: t.StringC;
                    }>, t.PartialC<{
                        type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                    }>]>;
                }>, t.TypeC<{
                    type: t.LiteralC<"no_action">;
                }>, t.TypeC<{
                    type: t.LiteralC<"click">;
                    value: t.StringC;
                }>, t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                    value: t.ArrayC<t.StringC>;
                }>, t.IntersectionC<[t.TypeC<{
                    type: t.LiteralC<"link">;
                    value: t.StringC;
                }>, t.PartialC<{
                    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
                }>]>, t.TypeC<{
                    type: t.LiteralC<"open_chat">;
                    meta: t.TypeC<{
                        type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                    }>;
                }>, t.TypeC<{
                    type: t.LiteralC<"dismiss">;
                }>, t.TypeC<{
                    type: t.LiteralC<"snooze">;
                }>, t.TypeC<{
                    type: t.LiteralC<"questlist">;
                    value: t.NumberC;
                }>, t.TypeC<{
                    type: t.LiteralC<"step_back">;
                }>, t.TypeC<{
                    type: t.LiteralC<"nudge">;
                    value: t.NumberC;
                }>, t.TypeC<{
                    type: t.LiteralC<"go_to_step">;
                    value: t.NumberC;
                }>, t.IntersectionC<[t.TypeC<{
                    type: t.LiteralC<"open_bar">;
                }>, t.PartialC<{
                    value: t.StringC;
                    categoryFilter: t.NumberC;
                }>]>, t.TypeC<{
                    type: t.LiteralC<"open_helphub">;
                }>, t.TypeC<{
                    type: t.LiteralC<"open_copilot">;
                }>]>;
            }>>;
        }>, t.NullC]>;
    }>, t.TypeC<{
        type: t.LiteralC<"survey_text">;
        meta: t.IntersectionC<[t.TypeC<{
            prompt: t.StringC;
        }>, t.PartialC<{
            validation: t.PartialC<{
                required: t.UnionC<[t.TypeC<{
                    value: t.LiteralC<true>;
                    message: t.StringC;
                }>, t.TypeC<{
                    value: t.LiteralC<false>;
                    message: t.NullC;
                }>]>;
            }>;
        }>]>;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    }>, t.TypeC<{
        type: t.LiteralC<"survey_text_short">;
        meta: t.IntersectionC<[t.TypeC<{
            prompt: t.StringC;
        }>, t.PartialC<{
            validation: t.PartialC<{
                required: t.UnionC<[t.TypeC<{
                    value: t.LiteralC<true>;
                    message: t.StringC;
                }>, t.TypeC<{
                    value: t.LiteralC<false>;
                    message: t.NullC;
                }>]>;
            }>;
        }>]>;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
    }>, t.TypeC<{
        type: t.LiteralC<"survey_rating">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.IntersectionC<[t.UnionC<[t.TypeC<{
            type: t.LiteralC<"emojis">;
            lower_label: t.StringC;
            upper_label: t.StringC;
            options: t.NumberC;
            emojis: t.ArrayC<t.StringC>;
        }>, t.TypeC<{
            type: t.LiteralC<"numbers">;
            lower_label: t.StringC;
            upper_label: t.StringC;
            options: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"stars">;
            lower_label: t.StringC;
            upper_label: t.StringC;
            options: t.NumberC;
        }>]>, t.PartialC<{
            validation: t.PartialC<{
                required: t.UnionC<[t.TypeC<{
                    value: t.LiteralC<true>;
                    message: t.StringC;
                }>, t.TypeC<{
                    value: t.LiteralC<false>;
                    message: t.NullC;
                }>]>;
            }>;
        }>]>;
    }>, t.TypeC<{
        type: t.LiteralC<"survey_list">;
        sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        meta: t.IntersectionC<[t.TypeC<{
            options: t.ArrayC<t.StringC>;
            list_type: t.UnionC<[t.LiteralC<"single">, t.LiteralC<"multiple">]>;
            display_type: t.UnionC<[t.LiteralC<"dropdown">, t.LiteralC<"list">, t.LiteralC<"grid">]>;
        }>, t.PartialC<{
            validation: t.PartialC<{
                required: t.UnionC<[t.TypeC<{
                    value: t.LiteralC<true>;
                    message: t.StringC;
                }>, t.TypeC<{
                    value: t.LiteralC<false>;
                    message: t.NullC;
                }>]>;
            }>;
        }>]>;
    }>]>>;
    is_live: t.BooleanC;
}>, t.IntersectionC<[t.TypeC<{
    form_factor: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"modal">;
    }>, t.TypeC<{
        type: t.LiteralC<"popover">;
        position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
    }>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pin">;
        anchor: t.StringC;
    }>, t.PartialC<{
        is_open_by_default: t.BooleanC;
        is_showing_mask: t.BooleanC;
        advance_trigger: t.StringC;
        offset: t.TypeC<{
            x: t.StringC;
            y: t.StringC;
        }>;
    }>]>, t.TypeC<{
        type: t.LiteralC<"tooltip">;
        anchor: t.StringC;
        show_on: t.UnionC<[t.LiteralC<"hover">, t.LiteralC<"click">]>;
        marker: t.IntersectionC<[t.UnionC<[t.TypeC<{
            type: t.LiteralC<"beacon">;
        }>, t.TypeC<{
            type: t.LiteralC<"icon">;
            icon: t.UnionC<[t.LiteralC<"helpCircle">, t.LiteralC<"helpSquare">, t.LiteralC<"infoCircle">, t.LiteralC<"bookClosed">, t.LiteralC<"lightBulb">, t.LiteralC<"lightning">]>;
        }>, t.TypeC<{
            type: t.LiteralC<"image">;
            source: t.StringC;
        }>]>, t.TypeC<{
            positioning: t.TypeC<{
                position: t.UnionC<[t.LiteralC<"left">, t.LiteralC<"right">, t.LiteralC<"inline_left">, t.LiteralC<"inline_right">]>;
                offset: t.TypeC<{
                    x: t.StringC;
                    y: t.StringC;
                }>;
            }>;
        }>]>;
    }>]>;
}>, t.PartialC<{
    has_survey_response: t.BooleanC;
}>]>]>;
export declare const NudgeV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    slug: t.StringC;
    id: t.UnionC<[t.NumberC, t.StringC]>;
    organization: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"when_page_reached">;
        meta: t.TypeC<{
            url: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_element_appears">;
        meta: t.TypeC<{
            selector: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_user_confusion">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_rage_click">;
    }>, t.TypeC<{
        type: t.LiteralC<"smart_delay">;
    }>, t.TypeC<{
        type: t.LiteralC<"after_time">;
        meta: t.TypeC<{
            unit: t.UnionC<[t.LiteralC<"minute">, t.LiteralC<"second">]>;
            value: t.NumberC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_share_link_viewed">;
    }>, t.TypeC<{
        type: t.LiteralC<"scheduled">;
        meta: t.TypeC<{
            interval: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"month">]>;
            value: t.NumberC;
        }>;
    }>]>;
    frequency_limit: t.UnionC<[t.LiteralC<"no_limit">, t.LiteralC<"once_per_session">, t.LiteralC<"once_per_user">, t.LiteralC<"until_interaction">]>;
    steps: t.ArrayC<t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        title: t.StringC;
        content: t.ArrayC<t.UnionC<[t.TypeC<{
            type: t.LiteralC<"markdown">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.TypeC<{
                value: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"image">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.TypeC<{
                src: t.StringC;
                file_name: t.StringC;
                size: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"video">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"url">;
                src: t.StringC;
            }>, t.TypeC<{
                type: t.LiteralC<"command">;
                command: t.StringC;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"help_doc_command">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.TypeC<{
                command: t.StringC;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"button">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.UnionC<[t.PartialC<{
                label: t.StringC;
                action: t.UnionC<[t.TypeC<{
                    type: t.LiteralC<"execute_command">;
                    meta: t.IntersectionC<[t.TypeC<{
                        command: t.StringC;
                    }>, t.PartialC<{
                        type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                    }>]>;
                }>, t.TypeC<{
                    type: t.LiteralC<"no_action">;
                }>, t.TypeC<{
                    type: t.LiteralC<"click">;
                    value: t.StringC;
                }>, t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                    value: t.ArrayC<t.StringC>;
                }>, t.IntersectionC<[t.TypeC<{
                    type: t.LiteralC<"link">;
                    value: t.StringC;
                }>, t.PartialC<{
                    operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
                }>]>, t.TypeC<{
                    type: t.LiteralC<"open_chat">;
                    meta: t.TypeC<{
                        type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                    }>;
                }>, t.TypeC<{
                    type: t.LiteralC<"dismiss">;
                }>, t.TypeC<{
                    type: t.LiteralC<"snooze">;
                }>, t.TypeC<{
                    type: t.LiteralC<"questlist">;
                    value: t.NumberC;
                }>, t.TypeC<{
                    type: t.LiteralC<"step_back">;
                }>, t.TypeC<{
                    type: t.LiteralC<"nudge">;
                    value: t.NumberC;
                }>, t.TypeC<{
                    type: t.LiteralC<"go_to_step">;
                    value: t.NumberC;
                }>, t.IntersectionC<[t.TypeC<{
                    type: t.LiteralC<"open_bar">;
                }>, t.PartialC<{
                    value: t.StringC;
                    categoryFilter: t.NumberC;
                }>]>, t.TypeC<{
                    type: t.LiteralC<"open_helphub">;
                }>, t.TypeC<{
                    type: t.LiteralC<"open_copilot">;
                }>]>;
                button_type: t.UnionC<[t.LiteralC<"primary">, t.LiteralC<"secondary">, t.LiteralC<"snooze">]>;
                conditional_actions: t.ArrayC<t.TypeC<{
                    operator: t.UnionC<[t.LiteralC<"eq">, t.LiteralC<"neq">, t.LiteralC<"gt">, t.LiteralC<"lt">]>;
                    operand: t.UnionC<[t.StringC, t.NumberC]>;
                    action: t.UnionC<[t.TypeC<{
                        type: t.LiteralC<"execute_command">;
                        meta: t.IntersectionC<[t.TypeC<{
                            command: t.StringC;
                        }>, t.PartialC<{
                            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                        }>]>;
                    }>, t.TypeC<{
                        type: t.LiteralC<"no_action">;
                    }>, t.TypeC<{
                        type: t.LiteralC<"click">;
                        value: t.StringC;
                    }>, t.TypeC<{
                        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                        value: t.ArrayC<t.StringC>;
                    }>, t.IntersectionC<[t.TypeC<{
                        type: t.LiteralC<"link">;
                        value: t.StringC;
                    }>, t.PartialC<{
                        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
                    }>]>, t.TypeC<{
                        type: t.LiteralC<"open_chat">;
                        meta: t.TypeC<{
                            type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                        }>;
                    }>, t.TypeC<{
                        type: t.LiteralC<"dismiss">;
                    }>, t.TypeC<{
                        type: t.LiteralC<"snooze">;
                    }>, t.TypeC<{
                        type: t.LiteralC<"questlist">;
                        value: t.NumberC;
                    }>, t.TypeC<{
                        type: t.LiteralC<"step_back">;
                    }>, t.TypeC<{
                        type: t.LiteralC<"nudge">;
                        value: t.NumberC;
                    }>, t.TypeC<{
                        type: t.LiteralC<"go_to_step">;
                        value: t.NumberC;
                    }>, t.IntersectionC<[t.TypeC<{
                        type: t.LiteralC<"open_bar">;
                    }>, t.PartialC<{
                        value: t.StringC;
                        categoryFilter: t.NumberC;
                    }>]>, t.TypeC<{
                        type: t.LiteralC<"open_helphub">;
                    }>, t.TypeC<{
                        type: t.LiteralC<"open_copilot">;
                    }>]>;
                }>>;
            }>, t.NullC]>;
        }>, t.TypeC<{
            type: t.LiteralC<"survey_text">;
            meta: t.IntersectionC<[t.TypeC<{
                prompt: t.StringC;
            }>, t.PartialC<{
                validation: t.PartialC<{
                    required: t.UnionC<[t.TypeC<{
                        value: t.LiteralC<true>;
                        message: t.StringC;
                    }>, t.TypeC<{
                        value: t.LiteralC<false>;
                        message: t.NullC;
                    }>]>;
                }>;
            }>]>;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        }>, t.TypeC<{
            type: t.LiteralC<"survey_text_short">;
            meta: t.IntersectionC<[t.TypeC<{
                prompt: t.StringC;
            }>, t.PartialC<{
                validation: t.PartialC<{
                    required: t.UnionC<[t.TypeC<{
                        value: t.LiteralC<true>;
                        message: t.StringC;
                    }>, t.TypeC<{
                        value: t.LiteralC<false>;
                        message: t.NullC;
                    }>]>;
                }>;
            }>]>;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
        }>, t.TypeC<{
            type: t.LiteralC<"survey_rating">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.IntersectionC<[t.UnionC<[t.TypeC<{
                type: t.LiteralC<"emojis">;
                lower_label: t.StringC;
                upper_label: t.StringC;
                options: t.NumberC;
                emojis: t.ArrayC<t.StringC>;
            }>, t.TypeC<{
                type: t.LiteralC<"numbers">;
                lower_label: t.StringC;
                upper_label: t.StringC;
                options: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"stars">;
                lower_label: t.StringC;
                upper_label: t.StringC;
                options: t.NumberC;
            }>]>, t.PartialC<{
                validation: t.PartialC<{
                    required: t.UnionC<[t.TypeC<{
                        value: t.LiteralC<true>;
                        message: t.StringC;
                    }>, t.TypeC<{
                        value: t.LiteralC<false>;
                        message: t.NullC;
                    }>]>;
                }>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"survey_list">;
            sort_key: t.UnionC<[t.NumberC, t.UndefinedC]>;
            meta: t.IntersectionC<[t.TypeC<{
                options: t.ArrayC<t.StringC>;
                list_type: t.UnionC<[t.LiteralC<"single">, t.LiteralC<"multiple">]>;
                display_type: t.UnionC<[t.LiteralC<"dropdown">, t.LiteralC<"list">, t.LiteralC<"grid">]>;
            }>, t.PartialC<{
                validation: t.PartialC<{
                    required: t.UnionC<[t.TypeC<{
                        value: t.LiteralC<true>;
                        message: t.StringC;
                    }>, t.TypeC<{
                        value: t.LiteralC<false>;
                        message: t.NullC;
                    }>]>;
                }>;
            }>]>;
        }>]>>;
        is_live: t.BooleanC;
    }>, t.IntersectionC<[t.TypeC<{
        form_factor: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"modal">;
        }>, t.TypeC<{
            type: t.LiteralC<"popover">;
            position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"pin">;
            anchor: t.StringC;
        }>, t.PartialC<{
            is_open_by_default: t.BooleanC;
            is_showing_mask: t.BooleanC;
            advance_trigger: t.StringC;
            offset: t.TypeC<{
                x: t.StringC;
                y: t.StringC;
            }>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"tooltip">;
            anchor: t.StringC;
            show_on: t.UnionC<[t.LiteralC<"hover">, t.LiteralC<"click">]>;
            marker: t.IntersectionC<[t.UnionC<[t.TypeC<{
                type: t.LiteralC<"beacon">;
            }>, t.TypeC<{
                type: t.LiteralC<"icon">;
                icon: t.UnionC<[t.LiteralC<"helpCircle">, t.LiteralC<"helpSquare">, t.LiteralC<"infoCircle">, t.LiteralC<"bookClosed">, t.LiteralC<"lightBulb">, t.LiteralC<"lightning">]>;
            }>, t.TypeC<{
                type: t.LiteralC<"image">;
                source: t.StringC;
            }>]>, t.TypeC<{
                positioning: t.TypeC<{
                    position: t.UnionC<[t.LiteralC<"left">, t.LiteralC<"right">, t.LiteralC<"inline_left">, t.LiteralC<"inline_right">]>;
                    offset: t.TypeC<{
                        x: t.StringC;
                        y: t.StringC;
                    }>;
                }>;
            }>]>;
        }>]>;
    }>, t.PartialC<{
        has_survey_response: t.BooleanC;
    }>]>]>>;
    is_live: t.BooleanC;
}>, t.PartialC<{
    old_nudge_id: t.UnionC<[t.NumberC, t.NullC]>;
    archived: t.BooleanC;
    audience: t.UnionC<[t.UnionC<[t.TypeC<{
        type: t.LiteralC<"all_users">;
    }>, t.TypeC<{
        type: t.LiteralC<"rule_expression">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"named_rule_reference">;
        rule_reference: t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>;
    }>]>, t.NullC]>;
}>]>, t.TypeC<{
    template_source: t.StringC;
    show_step_counter: t.BooleanC;
    dismissible: t.BooleanC;
    snoozable: t.BooleanC;
    share_page_url_or_path: t.StringC;
    copilot_suggest: t.BooleanC;
    show_in_spotlight_search: t.BooleanC;
    show_in_helphub_search: t.BooleanC;
    copilot_cta_label: t.StringC;
    copilot_description: t.StringC;
    is_scheduled: t.BooleanC;
    scheduled_start_time: t.UnionC<[t.StringC, t.NullC, t.UndefinedC]>;
    scheduled_end_time: t.UnionC<[t.StringC, t.NullC, t.UndefinedC]>;
    snooze_label: t.StringC;
    type: t.UnionC<[t.LiteralC<"announcement">, t.LiteralC<"product_tour">, t.LiteralC<"survey">, t.NullC]>;
    editor_tags: t.ArrayC<t.StringC>;
}>]>;
export declare const OldNudgeBaseV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    slug: t.StringC;
    content: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_share_link_viewed">;
    }>]>;
    on_select: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>]>;
    timeout_ms: t.UnionC<[t.NumberC, t.NullC]>;
    frequency_limit: t.UnionC<[t.LiteralC<"no_limit">, t.LiteralC<"once_per_session">, t.LiteralC<"once_per_user">, t.LiteralC<"until_interaction">]>;
}>, t.PartialC<{
    title: t.StringC;
    html: t.StringC;
    cta: t.StringC;
    is_live: t.BooleanC;
    media: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"image">;
        meta: t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"help_doc_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.NullC]>;
    is_html_override: t.BooleanC;
    call_custom_handler: t.BooleanC;
}>]>;
export declare const OldNudgeAdditionalV: t.TypeC<{
    form_factor: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"modal">;
    }>, t.TypeC<{
        type: t.LiteralC<"popover">;
        position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
    }>, t.TypeC<{
        type: t.LiteralC<"pin">;
        anchor: t.StringC;
    }>]>;
    template_source: t.StringC;
}>;
export declare const OldNudgeV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    organization: t.StringC;
    slug: t.StringC;
    content: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    trigger: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"when_conditions_pass">;
    }>, t.TypeC<{
        type: t.LiteralC<"on_command_execution">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"on_event">;
        meta: t.TypeC<{
            event: t.StringC;
            condition_group: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC, t.UndefinedC]>;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"when_share_link_viewed">;
    }>]>;
    on_select: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"no_action">;
    }>, t.TypeC<{
        type: t.LiteralC<"execute_command">;
        meta: t.IntersectionC<[t.TypeC<{
            command: t.StringC;
        }>, t.PartialC<{
            type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
        }>]>;
    }>]>;
    timeout_ms: t.UnionC<[t.NumberC, t.NullC]>;
    frequency_limit: t.UnionC<[t.LiteralC<"no_limit">, t.LiteralC<"once_per_session">, t.LiteralC<"once_per_user">, t.LiteralC<"until_interaction">]>;
}>, t.PartialC<{
    title: t.StringC;
    html: t.StringC;
    cta: t.StringC;
    is_live: t.BooleanC;
    media: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"image">;
        meta: t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>;
    }>, t.TypeC<{
        type: t.LiteralC<"help_doc_command">;
        meta: t.TypeC<{
            command: t.StringC;
        }>;
    }>, t.NullC]>;
    is_html_override: t.BooleanC;
    call_custom_handler: t.BooleanC;
}>]>, t.TypeC<{
    form_factor: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"modal">;
    }>, t.TypeC<{
        type: t.LiteralC<"popover">;
        position: t.UnionC<[t.LiteralC<"top-left">, t.LiteralC<"top-right">, t.LiteralC<"bottom-right">, t.LiteralC<"bottom-left">, t.LiteralC<"center">]>;
    }>, t.TypeC<{
        type: t.LiteralC<"pin">;
        anchor: t.StringC;
    }>]>;
    template_source: t.StringC;
}>]>;
export declare class Nudge {
    static decode: (data: any) => {
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    };
    static create: (object: {
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    }>;
    static update: (object: {
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    }>;
    static delete: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    })[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        slug: string;
        id: string | number;
        organization: string;
        show_expression: import("./helpers/rules").RuleExpression;
        trigger: {
            type: "when_conditions_pass";
        } | {
            type: "when_page_reached";
            meta: {
                url: string;
            };
        } | {
            type: "on_command_execution";
            meta: {
                command: string;
            };
        } | {
            type: "on_event";
            meta: {
                event: string;
                condition_group: import("./helpers/rules").RuleExpression | null | undefined;
            };
        } | {
            type: "when_element_appears";
            meta: {
                selector: string;
            };
        } | {
            type: "on_user_confusion";
        } | {
            type: "on_rage_click";
        } | {
            type: "smart_delay";
        } | {
            type: "after_time";
            meta: {
                unit: "minute" | "second";
                value: number;
            };
        } | {
            type: "when_share_link_viewed";
        } | {
            type: "scheduled";
            meta: {
                interval: "day" | "month" | "week";
                value: number;
            };
        };
        frequency_limit: "no_limit" | "once_per_session" | "once_per_user" | "until_interaction";
        steps: ({
            id: number;
            title: string;
            content: ({
                type: "markdown";
                sort_key: number | undefined;
                meta: {
                    value: string;
                };
            } | {
                type: "image";
                sort_key: number | undefined;
                meta: {
                    src: string;
                    file_name: string;
                    size: string;
                };
            } | {
                type: "video";
                sort_key: number | undefined;
                meta: {
                    type: "url";
                    src: string;
                } | {
                    type: "command";
                    command: string;
                };
            } | {
                type: "help_doc_command";
                sort_key: number | undefined;
                meta: {
                    command: string;
                };
            } | {
                type: "button";
                sort_key: number | undefined;
                meta: {
                    label?: string | undefined;
                    action?: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "no_action";
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | undefined;
                    button_type?: "snooze" | "primary" | "secondary" | undefined;
                    conditional_actions?: {
                        operator: "eq" | "neq" | "gt" | "lt";
                        operand: string | number;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "no_action";
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        };
                    }[] | undefined;
                } | null;
            } | {
                type: "survey_text";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_text_short";
                meta: {
                    prompt: string;
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
                sort_key: number | undefined;
            } | {
                type: "survey_rating";
                sort_key: number | undefined;
                meta: ({
                    type: "emojis";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                    emojis: string[];
                } | {
                    type: "numbers";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                } | {
                    type: "stars";
                    lower_label: string;
                    upper_label: string;
                    options: number;
                }) & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            } | {
                type: "survey_list";
                sort_key: number | undefined;
                meta: {
                    options: string[];
                    list_type: "multiple" | "single";
                    display_type: "grid" | "list" | "dropdown";
                } & {
                    validation?: {
                        required?: {
                            value: true;
                            message: string;
                        } | {
                            value: false;
                            message: null;
                        } | undefined;
                    } | undefined;
                };
            })[];
            is_live: boolean;
        } & {
            form_factor: {
                type: "modal";
            } | {
                type: "popover";
                position: "center" | "top-left" | "top-right" | "bottom-right" | "bottom-left";
            } | ({
                type: "pin";
                anchor: string;
            } & {
                is_open_by_default?: boolean | undefined;
                is_showing_mask?: boolean | undefined;
                advance_trigger?: string | undefined;
                offset?: {
                    x: string;
                    y: string;
                } | undefined;
            }) | {
                type: "tooltip";
                anchor: string;
                show_on: "click" | "hover";
                marker: ({
                    type: "beacon";
                } | {
                    type: "icon";
                    icon: "helpCircle" | "helpSquare" | "infoCircle" | "bookClosed" | "lightBulb" | "lightning";
                } | {
                    type: "image";
                    source: string;
                }) & {
                    positioning: {
                        position: "left" | "right" | "inline_left" | "inline_right";
                        offset: {
                            x: string;
                            y: string;
                        };
                    };
                };
            };
        } & {
            has_survey_response?: boolean | undefined;
        })[];
        is_live: boolean;
    } & {
        old_nudge_id?: number | null | undefined;
        archived?: boolean | undefined;
        audience?: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        } | null | undefined;
    } & {
        template_source: string;
        show_step_counter: boolean;
        dismissible: boolean;
        snoozable: boolean;
        share_page_url_or_path: string;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        is_scheduled: boolean;
        scheduled_start_time: string | null | undefined;
        scheduled_end_time: string | null | undefined;
        snooze_label: string;
        type: "announcement" | "product_tour" | "survey" | null;
        editor_tags: string[];
    }>;
    /**
     * Returns true if the nudge is new (not yet saved to the backend)
     */
    static isNew: (nudge: t.TypeOf<typeof NudgeV>) => boolean;
}
