import * as t from 'io-ts';
export { RecordSettingsV, RecordSettingsByContextKeyV } from './RecordSettingsV';
export { OrganizationV, unknownOrganization } from './OrganizationV';
export declare const OrganizationStatusV: t.TypeC<{
    id: t.UnionC<[t.NumberC, t.StringC]>;
    uuid: t.StringC;
    errors_72h: t.NumberC;
    suggestions_72h: t.NumberC;
    executions_total: t.NumberC;
    users_total: t.NumberC;
}>;
export declare const KeyEventV: t.UnionC<[t.LiteralC<"Client-Error">, t.LiteralC<"Command execution">, t.LiteralC<"Command suggestion">, t.LiteralC<"Abandoned search">, t.LiteralC<"Search miss">]>;
export declare const UserPropertiesV: t.TypeC<{
    keys: t.ArrayC<t.StringC>;
}>;
export declare const InternalSettingsV: t.TypeC<{
    id: t.StringC;
    integrations: t.RecordC<t.StringC, t.RecordC<t.StringC, t.AnyC>>;
}>;
export declare const read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
    onSuccess?: (() => void) | undefined;
    onError?: ((err: string) => void) | undefined;
} | undefined) => Promise<{
    id: string | number;
    name: string;
    created: string;
} & {} & {
    disabled: boolean;
    launcher_type: "alternate" | "none" | "prompt" | "minimal";
    launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    show_launcher_recommendations: boolean;
    recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
    launcher_offset_x: number;
    launcher_offset_y: number;
    base_url: string;
    theme: object;
    themeV2: {
        light_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
        dark_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
    } | null | undefined;
    icon: string;
    icon_suggest: string;
    icon_tutorial: string;
    icon_go_forward: string;
    chat_system_prompt_modifier: string;
    helphub_chat_welcome_message: string;
    helphub_chat_avatar: string;
    resource_options: {
        [x: string]: {
            name?: string | undefined;
            search?: boolean | undefined;
            label_field?: string | undefined;
            useCategory?: boolean | undefined;
            search_fields?: (string | {
                key: string;
                label: string;
            })[] | undefined;
            auto_execute?: boolean | undefined;
            unfurl?: boolean | undefined;
            description_field?: string | undefined;
            icon?: string | undefined;
            icon_color?: string | undefined;
            image_color?: string | undefined;
            image?: string | undefined;
            sort_key?: number | undefined;
            max_options_count?: number | null | undefined;
            sortFunction?: any;
            onInputChangeOptions?: {
                applySort?: boolean | undefined;
            } | undefined;
            default_command_id?: string | number | undefined;
            render_as?: "grid" | "list" | undefined;
            showResources?: boolean | undefined;
            show_with_no_results?: boolean | undefined;
            search_tab_enabled?: boolean | undefined;
            search_tab_name?: string | null | undefined;
            slash_filter_enabled?: boolean | undefined;
            slash_filter_keyword?: string | null | undefined;
            search_tab_instruction?: string | null | undefined;
            setting_pin_to_bottom?: boolean | undefined;
            track_recents?: boolean | undefined;
            detail?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            content?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            show_preview?: boolean | undefined;
        };
    };
    should_show_onboarding: boolean;
    last_snippet_request: string | null;
    last_snippet_request_in_production: string | null;
    branding: string;
    custom_call_to_action: string;
    search_fuzzy_threshold: number | null;
    show_skin_editor: boolean;
    allow_event_handlers: boolean;
    in_bar_feedback: boolean;
    summon_hotkey_override: string | null;
    end_user_hotkeys: boolean | undefined;
    force_end_user_identity_verification: boolean;
    force_end_user_identity_verification_for_helphub: boolean;
    end_user_shortcuts_enabled: boolean;
    end_user_recents_enabled: boolean;
    releases_available: boolean;
    releases_enabled: boolean;
    fallback_commands: number[];
    event_attribute_block_list: string[];
    tab_direction: "horizontal" | "vertical";
    recommended_tab_enabled: boolean;
    recents_tab_enabled: boolean;
    recommended_tab_instruction: string;
    recents_tab_instruction: string;
    hotload_help_docs: boolean;
    slash_filters_enabled: boolean;
    recents_sort_key: number | null;
    recommended_sort_key: number | null;
    experiences_sort_key: number | null;
    show_suggested_synonyms: boolean;
    has_hotloaded_help_docs: boolean;
    bar_enabled: boolean;
    in_bar_doc_search: boolean;
    featured_item_cards: boolean;
    helphub_suggested_queries_enabled: boolean;
    helphub_continuations_enabled: boolean;
    helphub_enabled: boolean;
    helphub_chat_fallback_message: string | null;
    helphub_chat_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    copilot_negative_feedback_fallback_enabled: boolean;
    copilot_negative_feedback_fallback_message: string | null;
    copilot_negative_feedback_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    helphub_manual_suggested_queries: string[];
    copilot_name: string;
    copilot_avatar: string;
    copilot_personality: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    };
    nudge_rate_limit: number | null;
    bar_hide_completed_nudges_questlists: boolean;
    nudge_rate_period: "day" | "week" | "session";
    share_link_param: string;
    installed_at: string | null;
    integrations: {
        algolia?: {
            indexes: {
                [x: string]: string | {
                    [x: string]: string;
                };
            };
            applicationID: string | undefined;
            apiKey: string | undefined;
        } | undefined;
        heap?: {
            segments: {
                [x: string]: string;
            };
            send_events_to_heap: boolean;
        } | undefined;
        amplitude?: {
            enabled: boolean;
        } | undefined;
        logrocket?: {
            enabled: boolean;
        } | undefined;
        mixpanel?: {
            enabled: boolean;
        } | undefined;
        posthog?: {
            enabled: boolean;
        } | undefined;
        rudderstack?: {
            enabled: boolean;
        } | undefined;
        slack?: {
            channelId: string;
            configuration: {
                analytic_events: string[];
            };
        } | undefined;
        hubspot?: {
            send_events_to_hubspot?: boolean | undefined;
            lists?: {
                [x: string]: string;
            } | undefined;
        } | undefined;
    };
    copilot_enabled: boolean;
    user_property_targeting: boolean;
    ab_test_conditions: boolean;
    spotlight_ask_copilot_enabled: boolean;
    spotlight_ask_copilot_label: string | null;
    helphub_ai_enabled: boolean;
    copilot_experiences_enabled: boolean;
    helphub_chat_only_mode: boolean;
} & {
    helphub_launcher_offset_x: number;
    helphub_launcher_offset_y: number;
    helphub_launcher_anchor: string;
    helphub_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_mobile_launcher_offset_x: number;
    helphub_mobile_launcher_offset_y: number;
    helphub_mobile_launcher_anchor: string;
    helphub_mobile_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_mobile_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
}>;
export declare const update: (object: {
    id: string | number;
    name: string;
    created: string;
} & {} & {
    disabled: boolean;
    launcher_type: "alternate" | "none" | "prompt" | "minimal";
    launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    show_launcher_recommendations: boolean;
    recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
    launcher_offset_x: number;
    launcher_offset_y: number;
    base_url: string;
    theme: object;
    themeV2: {
        light_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
        dark_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
    } | null | undefined;
    icon: string;
    icon_suggest: string;
    icon_tutorial: string;
    icon_go_forward: string;
    chat_system_prompt_modifier: string;
    helphub_chat_welcome_message: string;
    helphub_chat_avatar: string;
    resource_options: {
        [x: string]: {
            name?: string | undefined;
            search?: boolean | undefined;
            label_field?: string | undefined;
            useCategory?: boolean | undefined;
            search_fields?: (string | {
                key: string;
                label: string;
            })[] | undefined;
            auto_execute?: boolean | undefined;
            unfurl?: boolean | undefined;
            description_field?: string | undefined;
            icon?: string | undefined;
            icon_color?: string | undefined;
            image_color?: string | undefined;
            image?: string | undefined;
            sort_key?: number | undefined;
            max_options_count?: number | null | undefined;
            sortFunction?: any;
            onInputChangeOptions?: {
                applySort?: boolean | undefined;
            } | undefined;
            default_command_id?: string | number | undefined;
            render_as?: "grid" | "list" | undefined;
            showResources?: boolean | undefined;
            show_with_no_results?: boolean | undefined;
            search_tab_enabled?: boolean | undefined;
            search_tab_name?: string | null | undefined;
            slash_filter_enabled?: boolean | undefined;
            slash_filter_keyword?: string | null | undefined;
            search_tab_instruction?: string | null | undefined;
            setting_pin_to_bottom?: boolean | undefined;
            track_recents?: boolean | undefined;
            detail?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            content?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            show_preview?: boolean | undefined;
        };
    };
    should_show_onboarding: boolean;
    last_snippet_request: string | null;
    last_snippet_request_in_production: string | null;
    branding: string;
    custom_call_to_action: string;
    search_fuzzy_threshold: number | null;
    show_skin_editor: boolean;
    allow_event_handlers: boolean;
    in_bar_feedback: boolean;
    summon_hotkey_override: string | null;
    end_user_hotkeys: boolean | undefined;
    force_end_user_identity_verification: boolean;
    force_end_user_identity_verification_for_helphub: boolean;
    end_user_shortcuts_enabled: boolean;
    end_user_recents_enabled: boolean;
    releases_available: boolean;
    releases_enabled: boolean;
    fallback_commands: number[];
    event_attribute_block_list: string[];
    tab_direction: "horizontal" | "vertical";
    recommended_tab_enabled: boolean;
    recents_tab_enabled: boolean;
    recommended_tab_instruction: string;
    recents_tab_instruction: string;
    hotload_help_docs: boolean;
    slash_filters_enabled: boolean;
    recents_sort_key: number | null;
    recommended_sort_key: number | null;
    experiences_sort_key: number | null;
    show_suggested_synonyms: boolean;
    has_hotloaded_help_docs: boolean;
    bar_enabled: boolean;
    in_bar_doc_search: boolean;
    featured_item_cards: boolean;
    helphub_suggested_queries_enabled: boolean;
    helphub_continuations_enabled: boolean;
    helphub_enabled: boolean;
    helphub_chat_fallback_message: string | null;
    helphub_chat_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    copilot_negative_feedback_fallback_enabled: boolean;
    copilot_negative_feedback_fallback_message: string | null;
    copilot_negative_feedback_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    helphub_manual_suggested_queries: string[];
    copilot_name: string;
    copilot_avatar: string;
    copilot_personality: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    };
    nudge_rate_limit: number | null;
    bar_hide_completed_nudges_questlists: boolean;
    nudge_rate_period: "day" | "week" | "session";
    share_link_param: string;
    installed_at: string | null;
    integrations: {
        algolia?: {
            indexes: {
                [x: string]: string | {
                    [x: string]: string;
                };
            };
            applicationID: string | undefined;
            apiKey: string | undefined;
        } | undefined;
        heap?: {
            segments: {
                [x: string]: string;
            };
            send_events_to_heap: boolean;
        } | undefined;
        amplitude?: {
            enabled: boolean;
        } | undefined;
        logrocket?: {
            enabled: boolean;
        } | undefined;
        mixpanel?: {
            enabled: boolean;
        } | undefined;
        posthog?: {
            enabled: boolean;
        } | undefined;
        rudderstack?: {
            enabled: boolean;
        } | undefined;
        slack?: {
            channelId: string;
            configuration: {
                analytic_events: string[];
            };
        } | undefined;
        hubspot?: {
            send_events_to_hubspot?: boolean | undefined;
            lists?: {
                [x: string]: string;
            } | undefined;
        } | undefined;
    };
    copilot_enabled: boolean;
    user_property_targeting: boolean;
    ab_test_conditions: boolean;
    spotlight_ask_copilot_enabled: boolean;
    spotlight_ask_copilot_label: string | null;
    helphub_ai_enabled: boolean;
    copilot_experiences_enabled: boolean;
    helphub_chat_only_mode: boolean;
} & {
    helphub_launcher_offset_x: number;
    helphub_launcher_offset_y: number;
    helphub_launcher_anchor: string;
    helphub_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_mobile_launcher_offset_x: number;
    helphub_mobile_launcher_offset_y: number;
    helphub_mobile_launcher_anchor: string;
    helphub_mobile_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_mobile_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: string | number;
    name: string;
    created: string;
} & {} & {
    disabled: boolean;
    launcher_type: "alternate" | "none" | "prompt" | "minimal";
    launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    show_launcher_recommendations: boolean;
    recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
    launcher_offset_x: number;
    launcher_offset_y: number;
    base_url: string;
    theme: object;
    themeV2: {
        light_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
        dark_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
    } | null | undefined;
    icon: string;
    icon_suggest: string;
    icon_tutorial: string;
    icon_go_forward: string;
    chat_system_prompt_modifier: string;
    helphub_chat_welcome_message: string;
    helphub_chat_avatar: string;
    resource_options: {
        [x: string]: {
            name?: string | undefined;
            search?: boolean | undefined;
            label_field?: string | undefined;
            useCategory?: boolean | undefined;
            search_fields?: (string | {
                key: string;
                label: string;
            })[] | undefined;
            auto_execute?: boolean | undefined;
            unfurl?: boolean | undefined;
            description_field?: string | undefined;
            icon?: string | undefined;
            icon_color?: string | undefined;
            image_color?: string | undefined;
            image?: string | undefined;
            sort_key?: number | undefined;
            max_options_count?: number | null | undefined;
            sortFunction?: any;
            onInputChangeOptions?: {
                applySort?: boolean | undefined;
            } | undefined;
            default_command_id?: string | number | undefined;
            render_as?: "grid" | "list" | undefined;
            showResources?: boolean | undefined;
            show_with_no_results?: boolean | undefined;
            search_tab_enabled?: boolean | undefined;
            search_tab_name?: string | null | undefined;
            slash_filter_enabled?: boolean | undefined;
            slash_filter_keyword?: string | null | undefined;
            search_tab_instruction?: string | null | undefined;
            setting_pin_to_bottom?: boolean | undefined;
            track_recents?: boolean | undefined;
            detail?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            content?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            show_preview?: boolean | undefined;
        };
    };
    should_show_onboarding: boolean;
    last_snippet_request: string | null;
    last_snippet_request_in_production: string | null;
    branding: string;
    custom_call_to_action: string;
    search_fuzzy_threshold: number | null;
    show_skin_editor: boolean;
    allow_event_handlers: boolean;
    in_bar_feedback: boolean;
    summon_hotkey_override: string | null;
    end_user_hotkeys: boolean | undefined;
    force_end_user_identity_verification: boolean;
    force_end_user_identity_verification_for_helphub: boolean;
    end_user_shortcuts_enabled: boolean;
    end_user_recents_enabled: boolean;
    releases_available: boolean;
    releases_enabled: boolean;
    fallback_commands: number[];
    event_attribute_block_list: string[];
    tab_direction: "horizontal" | "vertical";
    recommended_tab_enabled: boolean;
    recents_tab_enabled: boolean;
    recommended_tab_instruction: string;
    recents_tab_instruction: string;
    hotload_help_docs: boolean;
    slash_filters_enabled: boolean;
    recents_sort_key: number | null;
    recommended_sort_key: number | null;
    experiences_sort_key: number | null;
    show_suggested_synonyms: boolean;
    has_hotloaded_help_docs: boolean;
    bar_enabled: boolean;
    in_bar_doc_search: boolean;
    featured_item_cards: boolean;
    helphub_suggested_queries_enabled: boolean;
    helphub_continuations_enabled: boolean;
    helphub_enabled: boolean;
    helphub_chat_fallback_message: string | null;
    helphub_chat_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    copilot_negative_feedback_fallback_enabled: boolean;
    copilot_negative_feedback_fallback_message: string | null;
    copilot_negative_feedback_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    helphub_manual_suggested_queries: string[];
    copilot_name: string;
    copilot_avatar: string;
    copilot_personality: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    };
    nudge_rate_limit: number | null;
    bar_hide_completed_nudges_questlists: boolean;
    nudge_rate_period: "day" | "week" | "session";
    share_link_param: string;
    installed_at: string | null;
    integrations: {
        algolia?: {
            indexes: {
                [x: string]: string | {
                    [x: string]: string;
                };
            };
            applicationID: string | undefined;
            apiKey: string | undefined;
        } | undefined;
        heap?: {
            segments: {
                [x: string]: string;
            };
            send_events_to_heap: boolean;
        } | undefined;
        amplitude?: {
            enabled: boolean;
        } | undefined;
        logrocket?: {
            enabled: boolean;
        } | undefined;
        mixpanel?: {
            enabled: boolean;
        } | undefined;
        posthog?: {
            enabled: boolean;
        } | undefined;
        rudderstack?: {
            enabled: boolean;
        } | undefined;
        slack?: {
            channelId: string;
            configuration: {
                analytic_events: string[];
            };
        } | undefined;
        hubspot?: {
            send_events_to_hubspot?: boolean | undefined;
            lists?: {
                [x: string]: string;
            } | undefined;
        } | undefined;
    };
    copilot_enabled: boolean;
    user_property_targeting: boolean;
    ab_test_conditions: boolean;
    spotlight_ask_copilot_enabled: boolean;
    spotlight_ask_copilot_label: string | null;
    helphub_ai_enabled: boolean;
    copilot_experiences_enabled: boolean;
    helphub_chat_only_mode: boolean;
} & {
    helphub_launcher_offset_x: number;
    helphub_launcher_offset_y: number;
    helphub_launcher_anchor: string;
    helphub_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_mobile_launcher_offset_x: number;
    helphub_mobile_launcher_offset_y: number;
    helphub_mobile_launcher_anchor: string;
    helphub_mobile_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_mobile_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
}>;
export declare const listCommands: (orgUID: string) => Promise<({
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    image: string | null;
    confirm: string;
    icon: string | null;
    heading: string;
    sort_key: number | null;
    is_live: boolean;
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
    tags: string[];
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    shortcut: string[];
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    icon_color: string | null;
    image_color: string | null;
    show_preview: boolean;
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    category: number | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
})[]>;
export declare const getCommandByUrl: (orgUID: string, url: string) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression | null;
    recommend_expression: import("./helpers/rules").RuleExpression | null;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    extra: string | null;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const getCommandById: (orgUID: string, commandID: string) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const listAnswers: (orgUID: string) => Promise<({
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
})[]>;
export declare const listCommandCategories: (orgUID: string) => Promise<({
    id: number;
    organization: string | number;
    name: string;
} & {} & {
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    render_as: "grid" | "list";
    setting_hide_before_search: boolean;
    setting_max_options_count: number | null;
    setting_pin_to_bottom: boolean;
    search_tab_enabled: boolean;
    search_tab_name: string;
    slash_filter_enabled: boolean;
    slash_filter_keyword: string | null;
    search_tab_instruction: string;
    track_recents: boolean;
} & {
    contains_hotloaded_commands?: boolean | undefined;
})[]>;
export declare const listGuides: (orgUID: string) => Promise<({
    id: number;
    organization: string;
    event: string;
    nudge: string;
    guidance: string;
} & {})[]>;
export declare const listContexts: (orgUID: string) => Promise<({
    id: number;
    name: string;
    organization: string;
    value: {
        [x: string]: any;
    };
} & {})[]>;
export declare const listPlaceholders: (orgUID: string) => Promise<({
    id: number;
    organization: string;
    slug: string;
    text: string;
} & {})[]>;
export declare const listRules: (orgUID: string) => Promise<({
    id: string | number;
    name: string;
    expression: import("./helpers/rules").RuleExpression;
} & {
    is_audience: boolean;
})[]>;
export declare const listUserProperties: (orgUID: string) => (params?: Record<string, string> | undefined, callbacks?: {
    onSuccess?: (() => void) | undefined;
    onError?: ((err: string) => void) | undefined;
} | undefined) => Promise<{
    keys: string[];
}>;
export declare const readHealth: (arg0: string, urlArgs?: {
    [arg: string]: string;
} | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: string | number;
    uuid: string;
    errors_72h: number;
    suggestions_72h: number;
    executions_total: number;
    users_total: number;
}>;
export declare const readInternal: (arg0: string, urlArgs?: {
    [arg: string]: string;
} | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: string;
    integrations: {
        [x: string]: {
            [x: string]: any;
        };
    };
}>;
export declare const updateInternal: (object: {
    id: string;
    integrations: {
        [x: string]: {
            [x: string]: any;
        };
    };
}, urlArgs?: {
    [arg: string]: string;
} | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: string;
    integrations: {
        [x: string]: {
            [x: string]: any;
        };
    };
}>;
export declare const decode: (data: any) => {
    id: string | number;
    name: string;
    created: string;
} & {} & {
    disabled: boolean;
    launcher_type: "alternate" | "none" | "prompt" | "minimal";
    launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    show_launcher_recommendations: boolean;
    recommendations_type: "None" | "Custom" | "Algorithm" | undefined;
    launcher_offset_x: number;
    launcher_offset_y: number;
    base_url: string;
    theme: object;
    themeV2: {
        light_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
        dark_mode: {
            var_defaults: {
                [x: string]: string | number;
            };
            var_overrides: {
                [x: string]: string | number;
            };
            component_overrides: {
                [x: string]: any;
            };
            mobile_overrides: {
                [x: string]: any;
            };
        };
    } | null | undefined;
    icon: string;
    icon_suggest: string;
    icon_tutorial: string;
    icon_go_forward: string;
    chat_system_prompt_modifier: string;
    helphub_chat_welcome_message: string;
    helphub_chat_avatar: string;
    resource_options: {
        [x: string]: {
            name?: string | undefined;
            search?: boolean | undefined;
            label_field?: string | undefined;
            useCategory?: boolean | undefined;
            search_fields?: (string | {
                key: string;
                label: string;
            })[] | undefined;
            auto_execute?: boolean | undefined;
            unfurl?: boolean | undefined;
            description_field?: string | undefined;
            icon?: string | undefined;
            icon_color?: string | undefined;
            image_color?: string | undefined;
            image?: string | undefined;
            sort_key?: number | undefined;
            max_options_count?: number | null | undefined;
            sortFunction?: any;
            onInputChangeOptions?: {
                applySort?: boolean | undefined;
            } | undefined;
            default_command_id?: string | number | undefined;
            render_as?: "grid" | "list" | undefined;
            showResources?: boolean | undefined;
            show_with_no_results?: boolean | undefined;
            search_tab_enabled?: boolean | undefined;
            search_tab_name?: string | null | undefined;
            slash_filter_enabled?: boolean | undefined;
            slash_filter_keyword?: string | null | undefined;
            search_tab_instruction?: string | null | undefined;
            setting_pin_to_bottom?: boolean | undefined;
            track_recents?: boolean | undefined;
            detail?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            content?: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null | undefined;
            show_preview?: boolean | undefined;
        };
    };
    should_show_onboarding: boolean;
    last_snippet_request: string | null;
    last_snippet_request_in_production: string | null;
    branding: string;
    custom_call_to_action: string;
    search_fuzzy_threshold: number | null;
    show_skin_editor: boolean;
    allow_event_handlers: boolean;
    in_bar_feedback: boolean;
    summon_hotkey_override: string | null;
    end_user_hotkeys: boolean | undefined;
    force_end_user_identity_verification: boolean;
    force_end_user_identity_verification_for_helphub: boolean;
    end_user_shortcuts_enabled: boolean;
    end_user_recents_enabled: boolean;
    releases_available: boolean;
    releases_enabled: boolean;
    fallback_commands: number[];
    event_attribute_block_list: string[];
    tab_direction: "horizontal" | "vertical";
    recommended_tab_enabled: boolean;
    recents_tab_enabled: boolean;
    recommended_tab_instruction: string;
    recents_tab_instruction: string;
    hotload_help_docs: boolean;
    slash_filters_enabled: boolean;
    recents_sort_key: number | null;
    recommended_sort_key: number | null;
    experiences_sort_key: number | null;
    show_suggested_synonyms: boolean;
    has_hotloaded_help_docs: boolean;
    bar_enabled: boolean;
    in_bar_doc_search: boolean;
    featured_item_cards: boolean;
    helphub_suggested_queries_enabled: boolean;
    helphub_continuations_enabled: boolean;
    helphub_enabled: boolean;
    helphub_chat_fallback_message: string | null;
    helphub_chat_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    copilot_negative_feedback_fallback_enabled: boolean;
    copilot_negative_feedback_fallback_message: string | null;
    copilot_negative_feedback_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    helphub_manual_suggested_queries: string[];
    copilot_name: string;
    copilot_avatar: string;
    copilot_personality: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    };
    nudge_rate_limit: number | null;
    bar_hide_completed_nudges_questlists: boolean;
    nudge_rate_period: "day" | "week" | "session";
    share_link_param: string;
    installed_at: string | null;
    integrations: {
        algolia?: {
            indexes: {
                [x: string]: string | {
                    [x: string]: string;
                };
            };
            applicationID: string | undefined;
            apiKey: string | undefined;
        } | undefined;
        heap?: {
            segments: {
                [x: string]: string;
            };
            send_events_to_heap: boolean;
        } | undefined;
        amplitude?: {
            enabled: boolean;
        } | undefined;
        logrocket?: {
            enabled: boolean;
        } | undefined;
        mixpanel?: {
            enabled: boolean;
        } | undefined;
        posthog?: {
            enabled: boolean;
        } | undefined;
        rudderstack?: {
            enabled: boolean;
        } | undefined;
        slack?: {
            channelId: string;
            configuration: {
                analytic_events: string[];
            };
        } | undefined;
        hubspot?: {
            send_events_to_hubspot?: boolean | undefined;
            lists?: {
                [x: string]: string;
            } | undefined;
        } | undefined;
    };
    copilot_enabled: boolean;
    user_property_targeting: boolean;
    ab_test_conditions: boolean;
    spotlight_ask_copilot_enabled: boolean;
    spotlight_ask_copilot_label: string | null;
    helphub_ai_enabled: boolean;
    copilot_experiences_enabled: boolean;
    helphub_chat_only_mode: boolean;
} & {
    helphub_launcher_offset_x: number;
    helphub_launcher_offset_y: number;
    helphub_launcher_anchor: string;
    helphub_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_mobile_launcher_offset_x: number;
    helphub_mobile_launcher_offset_y: number;
    helphub_mobile_launcher_anchor: string;
    helphub_mobile_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_mobile_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
};
