import * as t from 'io-ts';
export declare const OrganizationSettingsV: t.TypeC<{
    end_user_limit: t.NumberC;
    user_seat_limit: t.NumberC;
    analytics_dashboard_execution_limit: t.NumberC;
    analytics_dashboard_deadend_limit: t.NumberC;
    silent_mode: t.BooleanC;
    allow_event_handlers: t.BooleanC;
    event_attribute_block_list: t.ArrayC<t.StringC>;
    skins_limit: t.NumberC;
    skins_field_set: t.UnionC<[t.LiteralC<"pro">, t.LiteralC<"basic">, t.LiteralC<"none">]>;
    show_countdown_banner: t.BooleanC;
    can_install_foobar: t.BooleanC;
    releases_available: t.BooleanC;
    releases_enabled: t.BooleanC;
    releases_environments: t.ArrayC<t.StringC>;
    in_bar_feedback: t.BooleanC;
    force_end_user_identity_verification: t.BooleanC;
    force_end_user_identity_verification_for_helphub: t.BooleanC;
    summon_hotkey_override: t.UnionC<[t.StringC, t.NullC]>;
    end_user_shortcuts_enabled: t.BooleanC;
    fallback_commands: t.ArrayC<t.NumberC>;
    end_user_recents_enabled: t.BooleanC;
    tab_direction: t.UnionC<[t.LiteralC<"horizontal">, t.LiteralC<"vertical">]>;
    recommended_tab_enabled: t.BooleanC;
    recents_tab_enabled: t.BooleanC;
    recommended_tab_instruction: t.StringC;
    recents_tab_instruction: t.StringC;
    hotload_help_docs: t.BooleanC;
    slash_filters_enabled: t.BooleanC;
    recents_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    recommended_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    experiences_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    num_live_commands: t.NumberC;
    help_center_sync: t.UnionC<[t.LiteralC<"upload-once">, t.LiteralC<"manual">, t.LiteralC<"automatic">]>;
    show_suggested_synonyms: t.BooleanC;
    bar_enabled: t.BooleanC;
    in_bar_doc_search: t.BooleanC;
    featured_item_cards: t.BooleanC;
    chat_system_prompt_modifier: t.StringC;
    helphub_chat_welcome_message: t.StringC;
    helphub_suggested_queries_enabled: t.BooleanC;
    helphub_continuations_enabled: t.BooleanC;
    helphub_manual_suggested_queries: t.ArrayC<t.StringC>;
    copilot_name: t.StringC;
    copilot_avatar: t.StringC;
    copilot_personality: t.UnionC<[t.TypeC<{
        template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
    }>, t.TypeC<{
        template: t.LiteralC<"custom">;
        adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
        response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
        response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
    }>]>;
    helphub_enabled: t.BooleanC;
    helphub_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
    helphub_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_launcher_offset_x: t.NumberC;
    helphub_launcher_offset_y: t.NumberC;
    helphub_launcher_anchor: t.StringC;
    helphub_mobile_launcher_type: t.UnionC<[t.LiteralC<"bookOpen">, t.LiteralC<"graduationHat">, t.LiteralC<"bookClosed">, t.LiteralC<"bookmark">, t.LiteralC<"chatCircle">, t.LiteralC<"askAI">, t.LiteralC<"custom">, t.LiteralC<"none">]>;
    helphub_mobile_launcher_position: t.UnionC<[t.LiteralC<"topRight">, t.LiteralC<"topLeft">, t.LiteralC<"bottomRight">, t.LiteralC<"bottomLeft">]>;
    helphub_mobile_launcher_offset_x: t.NumberC;
    helphub_mobile_launcher_offset_y: t.NumberC;
    helphub_mobile_launcher_anchor: t.StringC;
    helphub_chat_fallback_message: t.StringC;
    helphub_chat_fallback_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
    copilot_negative_feedback_fallback_enabled: t.BooleanC;
    copilot_negative_feedback_fallback_message: t.UnionC<[t.StringC, t.NullC]>;
    copilot_negative_feedback_fallback_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
    nudge_rate_limit: t.UnionC<[t.NullC, t.NumberC]>;
    bar_hide_completed_nudges_questlists: t.BooleanC;
    nudge_rate_period: t.UnionC<[t.LiteralC<"day">, t.LiteralC<"week">, t.LiteralC<"session">]>;
    share_link_param: t.StringC;
    spotlight_ask_copilot_enabled: t.BooleanC;
    spotlight_ask_copilot_label: t.UnionC<[t.StringC, t.NullC]>;
    copilot_enabled: t.BooleanC;
    /** @deprecated Replaced by the `copilot_enabled` field */
    helphub_ai_enabled: t.BooleanC;
    /** @deprecated Removed entirely */
    copilot_experiences_enabled: t.BooleanC;
    /** @deprecated Replaced by the combination of `copilot_enabled` and `helphub_enabled` */
    helphub_chat_only_mode: t.BooleanC;
}>;
export declare const read: (params?: Record<string, string> | undefined, callbacks?: {
    onSuccess?: (() => void) | undefined;
    onError?: ((err: string) => void) | undefined;
} | undefined) => Promise<{
    end_user_limit: number;
    user_seat_limit: number;
    analytics_dashboard_execution_limit: number;
    analytics_dashboard_deadend_limit: number;
    silent_mode: boolean;
    allow_event_handlers: boolean;
    event_attribute_block_list: string[];
    skins_limit: number;
    skins_field_set: "basic" | "none" | "pro";
    show_countdown_banner: boolean;
    can_install_foobar: boolean;
    releases_available: boolean;
    releases_enabled: boolean;
    releases_environments: string[];
    in_bar_feedback: boolean;
    force_end_user_identity_verification: boolean;
    force_end_user_identity_verification_for_helphub: boolean;
    summon_hotkey_override: string | null;
    end_user_shortcuts_enabled: boolean;
    fallback_commands: number[];
    end_user_recents_enabled: boolean;
    tab_direction: "horizontal" | "vertical";
    recommended_tab_enabled: boolean;
    recents_tab_enabled: boolean;
    recommended_tab_instruction: string;
    recents_tab_instruction: string;
    hotload_help_docs: boolean;
    slash_filters_enabled: boolean;
    recents_sort_key: number | null;
    recommended_sort_key: number | null;
    experiences_sort_key: number | null;
    num_live_commands: number;
    help_center_sync: "manual" | "upload-once" | "automatic";
    show_suggested_synonyms: boolean;
    bar_enabled: boolean;
    in_bar_doc_search: boolean;
    featured_item_cards: boolean;
    chat_system_prompt_modifier: string;
    helphub_chat_welcome_message: string;
    helphub_suggested_queries_enabled: boolean;
    helphub_continuations_enabled: boolean;
    helphub_manual_suggested_queries: string[];
    copilot_name: string;
    copilot_avatar: string;
    copilot_personality: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    };
    helphub_enabled: boolean;
    helphub_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_launcher_offset_x: number;
    helphub_launcher_offset_y: number;
    helphub_launcher_anchor: string;
    helphub_mobile_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_mobile_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_mobile_launcher_offset_x: number;
    helphub_mobile_launcher_offset_y: number;
    helphub_mobile_launcher_anchor: string;
    helphub_chat_fallback_message: string;
    helphub_chat_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    copilot_negative_feedback_fallback_enabled: boolean;
    copilot_negative_feedback_fallback_message: string | null;
    copilot_negative_feedback_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    nudge_rate_limit: number | null;
    bar_hide_completed_nudges_questlists: boolean;
    nudge_rate_period: "day" | "week" | "session";
    share_link_param: string;
    spotlight_ask_copilot_enabled: boolean;
    spotlight_ask_copilot_label: string | null;
    copilot_enabled: boolean;
    helphub_ai_enabled: boolean;
    copilot_experiences_enabled: boolean;
    helphub_chat_only_mode: boolean;
}>;
export declare const update: (object: {
    end_user_limit?: number | undefined;
    user_seat_limit?: number | undefined;
    analytics_dashboard_execution_limit?: number | undefined;
    analytics_dashboard_deadend_limit?: number | undefined;
    silent_mode?: boolean | undefined;
    allow_event_handlers?: boolean | undefined;
    event_attribute_block_list?: string[] | undefined;
    skins_limit?: number | undefined;
    skins_field_set?: "basic" | "none" | "pro" | undefined;
    show_countdown_banner?: boolean | undefined;
    can_install_foobar?: boolean | undefined;
    releases_available?: boolean | undefined;
    releases_enabled?: boolean | undefined;
    releases_environments?: string[] | undefined;
    in_bar_feedback?: boolean | undefined;
    force_end_user_identity_verification?: boolean | undefined;
    force_end_user_identity_verification_for_helphub?: boolean | undefined;
    summon_hotkey_override?: string | null | undefined;
    end_user_shortcuts_enabled?: boolean | undefined;
    fallback_commands?: number[] | undefined;
    end_user_recents_enabled?: boolean | undefined;
    tab_direction?: "horizontal" | "vertical" | undefined;
    recommended_tab_enabled?: boolean | undefined;
    recents_tab_enabled?: boolean | undefined;
    recommended_tab_instruction?: string | undefined;
    recents_tab_instruction?: string | undefined;
    hotload_help_docs?: boolean | undefined;
    slash_filters_enabled?: boolean | undefined;
    recents_sort_key?: number | null | undefined;
    recommended_sort_key?: number | null | undefined;
    experiences_sort_key?: number | null | undefined;
    num_live_commands?: number | undefined;
    help_center_sync?: "manual" | "upload-once" | "automatic" | undefined;
    show_suggested_synonyms?: boolean | undefined;
    bar_enabled?: boolean | undefined;
    in_bar_doc_search?: boolean | undefined;
    featured_item_cards?: boolean | undefined;
    chat_system_prompt_modifier?: string | undefined;
    helphub_chat_welcome_message?: string | undefined;
    helphub_suggested_queries_enabled?: boolean | undefined;
    helphub_continuations_enabled?: boolean | undefined;
    helphub_manual_suggested_queries?: string[] | undefined;
    copilot_name?: string | undefined;
    copilot_avatar?: string | undefined;
    copilot_personality?: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    } | undefined;
    helphub_enabled?: boolean | undefined;
    helphub_launcher_type?: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI" | undefined;
    helphub_launcher_position?: "bottomRight" | "bottomLeft" | "topRight" | "topLeft" | undefined;
    helphub_launcher_offset_x?: number | undefined;
    helphub_launcher_offset_y?: number | undefined;
    helphub_launcher_anchor?: string | undefined;
    helphub_mobile_launcher_type?: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI" | undefined;
    helphub_mobile_launcher_position?: "bottomRight" | "bottomLeft" | "topRight" | "topLeft" | undefined;
    helphub_mobile_launcher_offset_x?: number | undefined;
    helphub_mobile_launcher_offset_y?: number | undefined;
    helphub_mobile_launcher_anchor?: string | undefined;
    helphub_chat_fallback_message?: string | undefined;
    helphub_chat_fallback_actions?: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[] | undefined;
    copilot_negative_feedback_fallback_enabled?: boolean | undefined;
    copilot_negative_feedback_fallback_message?: string | null | undefined;
    copilot_negative_feedback_fallback_actions?: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[] | undefined;
    nudge_rate_limit?: number | null | undefined;
    bar_hide_completed_nudges_questlists?: boolean | undefined;
    nudge_rate_period?: "day" | "week" | "session" | undefined;
    share_link_param?: string | undefined;
    spotlight_ask_copilot_enabled?: boolean | undefined;
    spotlight_ask_copilot_label?: string | null | undefined;
    copilot_enabled?: boolean | undefined;
    helphub_ai_enabled?: boolean | undefined;
    copilot_experiences_enabled?: boolean | undefined;
    helphub_chat_only_mode?: boolean | undefined;
}, params?: Record<string, string> | undefined, callbacks?: {
    onSuccess?: (() => void) | undefined;
    onError?: ((err: string) => void) | undefined;
} | undefined) => Promise<{
    end_user_limit: number;
    user_seat_limit: number;
    analytics_dashboard_execution_limit: number;
    analytics_dashboard_deadend_limit: number;
    silent_mode: boolean;
    allow_event_handlers: boolean;
    event_attribute_block_list: string[];
    skins_limit: number;
    skins_field_set: "basic" | "none" | "pro";
    show_countdown_banner: boolean;
    can_install_foobar: boolean;
    releases_available: boolean;
    releases_enabled: boolean;
    releases_environments: string[];
    in_bar_feedback: boolean;
    force_end_user_identity_verification: boolean;
    force_end_user_identity_verification_for_helphub: boolean;
    summon_hotkey_override: string | null;
    end_user_shortcuts_enabled: boolean;
    fallback_commands: number[];
    end_user_recents_enabled: boolean;
    tab_direction: "horizontal" | "vertical";
    recommended_tab_enabled: boolean;
    recents_tab_enabled: boolean;
    recommended_tab_instruction: string;
    recents_tab_instruction: string;
    hotload_help_docs: boolean;
    slash_filters_enabled: boolean;
    recents_sort_key: number | null;
    recommended_sort_key: number | null;
    experiences_sort_key: number | null;
    num_live_commands: number;
    help_center_sync: "manual" | "upload-once" | "automatic";
    show_suggested_synonyms: boolean;
    bar_enabled: boolean;
    in_bar_doc_search: boolean;
    featured_item_cards: boolean;
    chat_system_prompt_modifier: string;
    helphub_chat_welcome_message: string;
    helphub_suggested_queries_enabled: boolean;
    helphub_continuations_enabled: boolean;
    helphub_manual_suggested_queries: string[];
    copilot_name: string;
    copilot_avatar: string;
    copilot_personality: {
        template: "professional" | "friendly" | "confident" | "serious" | "empathetic";
    } | {
        template: "custom";
        adjectives: ("assertive" | "brave" | "empathetic" | "abrasive" | "adventurous" | "affable" | "arrogant" | "assured" | "belligerent" | "cheerful" | "compassionate" | "condescending" | "courteous" | "creative" | "cynical" | "decisive" | "detached" | "diligent" | "eloquent" | "evasive" | "formal" | "frivolous" | "garrulous" | "generous" | "impulsive" | "innovative" | "intense" | "judgmental" | "jovial" | "manipulative" | "obstinate" | "optimistic" | "perceptive" | "pessimistic" | "quarrelsome" | "respectful" | "resourceful" | "sarcastic" | "sincere" | "sociable" | "solemn" | "supportive" | "tactful" | "thoughtful" | "understanding" | "unreliable" | "vain" | "vivacious" | "warm" | "withdrawn" | "witty" | "zealous")[];
        response_length: "long" | "short" | "conversational";
        response_format: "mixed" | "lists" | "paragraphs";
    };
    helphub_enabled: boolean;
    helphub_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_launcher_offset_x: number;
    helphub_launcher_offset_y: number;
    helphub_launcher_anchor: string;
    helphub_mobile_launcher_type: "none" | "custom" | "bookClosed" | "bookOpen" | "graduationHat" | "bookmark" | "chatCircle" | "askAI";
    helphub_mobile_launcher_position: "bottomRight" | "bottomLeft" | "topRight" | "topLeft";
    helphub_mobile_launcher_offset_x: number;
    helphub_mobile_launcher_offset_y: number;
    helphub_mobile_launcher_anchor: string;
    helphub_chat_fallback_message: string;
    helphub_chat_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    copilot_negative_feedback_fallback_enabled: boolean;
    copilot_negative_feedback_fallback_message: string | null;
    copilot_negative_feedback_fallback_actions: {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    }[];
    nudge_rate_limit: number | null;
    bar_hide_completed_nudges_questlists: boolean;
    nudge_rate_period: "day" | "week" | "session";
    share_link_param: string;
    spotlight_ask_copilot_enabled: boolean;
    spotlight_ask_copilot_label: string | null;
    copilot_enabled: boolean;
    helphub_ai_enabled: boolean;
    copilot_experiences_enabled: boolean;
    helphub_chat_only_mode: boolean;
}>;
