import * as t from 'io-ts';
export declare const RecommendationSetBaseV: t.TypeC<{
    id: t.NumberC;
    widget: t.StringC;
    default: t.BooleanC;
    name: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    audience: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"all_users">;
    }>, t.TypeC<{
        type: t.LiteralC<"rule_expression">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"named_rule_reference">;
        rule_reference: t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>;
    }>]>;
}>;
export declare const RecommendationSetAdditionalV: t.TypeC<{
    actions: t.ArrayC<t.TypeC<{
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        cta: t.StringC;
    }>>;
}>;
export declare const RecommendationSetV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    widget: t.StringC;
    default: t.BooleanC;
    name: t.StringC;
    show_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    audience: t.UnionC<[t.TypeC<{
        type: t.LiteralC<"all_users">;
    }>, t.TypeC<{
        type: t.LiteralC<"rule_expression">;
        expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    }>, t.TypeC<{
        type: t.LiteralC<"named_rule_reference">;
        rule_reference: t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>;
    }>]>;
}>, t.TypeC<{
    actions: t.ArrayC<t.TypeC<{
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
        cta: t.StringC;
    }>>;
}>]>;
export declare class RecommendationSet {
    static decode: (data: any) => {
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    };
    static create: (object: {
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    }>;
    static update: (object: {
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    }>;
    static delete: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    })[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: number;
        widget: string;
        default: boolean;
        name: string;
        show_expression: import("./helpers/rules").RuleExpression;
        audience: {
            type: "all_users";
        } | {
            type: "rule_expression";
            expression: import("./helpers/rules").RuleExpression;
        } | {
            type: "named_rule_reference";
            rule_reference: {
                type: "named_rule";
                rule_id: string | number;
            } & {
                reason?: string | undefined;
            };
        };
    } & {
        actions: {
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
            cta: string;
        }[];
    }>;
}
