import * as t from 'io-ts';
export declare const ThemeModeV: t.TypeC<{
    var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
    var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
    component_overrides: t.RecordC<t.StringC, t.AnyC>;
    mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
}>;
export declare const ThemeV2V: t.UnionC<[t.TypeC<{
    light_mode: t.TypeC<{
        var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
        var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
        component_overrides: t.RecordC<t.StringC, t.AnyC>;
        mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
    }>;
    dark_mode: t.TypeC<{
        var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
        var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
        component_overrides: t.RecordC<t.StringC, t.AnyC>;
        mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
    }>;
}>, t.NullC, t.UndefinedC]>;
export declare const ThemeV: t.TypeC<{
    id: t.StringC;
    slug: t.StringC;
    name: t.StringC;
    default: t.BooleanC;
    themeV2: t.UnionC<[t.TypeC<{
        light_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
        dark_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
    }>, t.NullC, t.UndefinedC]>;
    themeV2_draft: t.UnionC<[t.TypeC<{
        light_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
        dark_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
    }>, t.NullC, t.UndefinedC]>;
    organization: t.StringC;
}>;
export declare const ThemePatchV: t.PartialC<{
    id: t.StringC;
    slug: t.StringC;
    name: t.StringC;
    default: t.BooleanC;
    themeV2: t.UnionC<[t.TypeC<{
        light_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
        dark_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
    }>, t.NullC, t.UndefinedC]>;
    themeV2_draft: t.UnionC<[t.TypeC<{
        light_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
        dark_mode: t.TypeC<{
            var_defaults: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            var_overrides: t.RecordC<t.StringC, t.UnionC<[t.StringC, t.NumberC]>>;
            component_overrides: t.RecordC<t.StringC, t.AnyC>;
            mobile_overrides: t.RecordC<t.StringC, t.AnyC>;
        }>;
    }>, t.NullC, t.UndefinedC]>;
    organization: t.StringC;
}>;
export declare class Theme {
    static list: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        themeV2: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        themeV2_draft: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        organization: string;
    }[]>;
    static read: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        themeV2: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        themeV2_draft: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        organization: string;
    }>;
    static update: (theme: t.TypeOf<typeof ThemePatchV>) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        themeV2: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        themeV2_draft: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        organization: string;
    }>;
    static create: (object: {
        id?: string | undefined;
        slug?: string | undefined;
        name?: string | undefined;
        default?: boolean | undefined;
        themeV2?: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        themeV2_draft?: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        organization?: string | undefined;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string;
        slug: string;
        name: string;
        default: boolean;
        themeV2: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        themeV2_draft: {
            light_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
            dark_mode: {
                var_defaults: {
                    [x: string]: string | number;
                };
                var_overrides: {
                    [x: string]: string | number;
                };
                component_overrides: {
                    [x: string]: any;
                };
                mobile_overrides: {
                    [x: string]: any;
                };
            };
        } | null | undefined;
        organization: string;
    }>;
    static delete: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
}
