import * as t from 'io-ts';
import * as axiosInstance from './network';
import { IAIAnswerPayloadType, IContinuationsPayloadType, ICreateAnswerFeedbackPayloadType, ICreateChatPayloadType, IOrganizationType, IQuestionSuggestionsPayloadType } from './types';
export declare const ContinuationV: t.StringC;
export declare const ExperienceV: t.UnionC<[t.TypeC<{
    type: t.LiteralC<"command">;
    value: t.UnionC<[t.NumberC, t.StringC]>;
    description: t.StringC;
}>, t.TypeC<{
    type: t.LiteralC<"nudge">;
    value: t.NumberC;
    description: t.StringC;
}>, t.TypeC<{
    type: t.LiteralC<"questlist">;
    value: t.NumberC;
    description: t.StringC;
}>]>;
export declare const AIAnswerValue: t.IntersectionC<[t.TypeC<{
    answer: t.StringC;
    command_id: t.UnionC<[t.NumberC, t.NullC]>;
    command_title: t.StringC;
    passage_id: t.UnionC<[t.NumberC, t.NullC]>;
    passage_heading: t.UnionC<[t.StringC, t.NullC]>;
    doc: t.UnionC<[t.TypeC<{
        title: t.StringC;
        excerpt: t.StringC;
        content: t.StringC;
        command: t.Type<{
            id: number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "pendo_guide";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                doc_metadata?: {
                    content_type?: string | undefined;
                    date?: string | undefined;
                } | undefined;
            } & {
                doc_type?: "answer" | "doc" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "trigger";
                value: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression | null;
            recommend_expression: import("./helpers/rules").RuleExpression | null;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            content: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            show_preview: boolean;
            next_steps: (string | number | {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            })[];
            extra: string | null;
            thumbnail: {
                src: string;
                file_name: string;
                size: string;
            } | null;
            copilot_suggest: boolean;
            show_in_spotlight_search: boolean;
            show_in_helphub_search: boolean;
            copilot_cta_label: string;
            copilot_description: string;
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
            training_only?: boolean | undefined;
            integration?: {
                id: number;
                helphub_view_article_button_hidden: boolean | undefined;
            } | null | undefined;
        }, {
            id: number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "pendo_guide";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                doc_metadata?: {
                    content_type?: string | undefined;
                    date?: string | undefined;
                } | undefined;
            } & {
                doc_type?: "answer" | "doc" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "trigger";
                value: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression | null;
            recommend_expression: import("./helpers/rules").RuleExpression | null;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            content: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            show_preview: boolean;
            next_steps: (string | number | {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            })[];
            extra: string | null;
            thumbnail: {
                src: string;
                file_name: string;
                size: string;
            } | null;
            copilot_suggest: boolean;
            show_in_spotlight_search: boolean;
            show_in_helphub_search: boolean;
            copilot_cta_label: string;
            copilot_description: string;
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
            training_only?: boolean | undefined;
            integration?: {
                id: number;
                helphub_view_article_button_hidden: boolean | undefined;
            } | null | undefined;
        }, any>;
    }>, t.NullC]>;
}>, t.PartialC<{
    message_id: t.NumberC;
    chat_id: t.StringC;
    copilot_argument_values: t.UnionC<[t.RecordC<t.StringC, t.UnknownC>, t.NullC]>;
    copilot_argument_values_abort: t.BooleanC;
    copilot_command: t.Type<{
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        extra: string | null;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    }, {
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression | null;
        recommend_expression: import("./helpers/rules").RuleExpression | null;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        extra: string | null;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    }, any>;
    experiences: t.UnionC<[t.NullC, t.ArrayC<t.UnionC<[t.TypeC<{
        type: t.LiteralC<"command">;
        value: t.UnionC<[t.NumberC, t.StringC]>;
        description: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"nudge">;
        value: t.NumberC;
        description: t.StringC;
    }>, t.TypeC<{
        type: t.LiteralC<"questlist">;
        value: t.NumberC;
        description: t.StringC;
    }>]>>]>;
}>]>;
export declare const AIMessageV: t.TypeC<{
    message_type: t.LiteralC<"AI">;
    value: t.IntersectionC<[t.TypeC<{
        answer: t.StringC;
        command_id: t.UnionC<[t.NumberC, t.NullC]>;
        command_title: t.StringC;
        passage_id: t.UnionC<[t.NumberC, t.NullC]>;
        passage_heading: t.UnionC<[t.StringC, t.NullC]>;
        doc: t.UnionC<[t.TypeC<{
            title: t.StringC;
            excerpt: t.StringC;
            content: t.StringC;
            command: t.Type<{
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, {
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, any>;
        }>, t.NullC]>;
    }>, t.PartialC<{
        message_id: t.NumberC;
        chat_id: t.StringC;
        copilot_argument_values: t.UnionC<[t.RecordC<t.StringC, t.UnknownC>, t.NullC]>;
        copilot_argument_values_abort: t.BooleanC;
        copilot_command: t.Type<{
            id: number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "pendo_guide";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                doc_metadata?: {
                    content_type?: string | undefined;
                    date?: string | undefined;
                } | undefined;
            } & {
                doc_type?: "answer" | "doc" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "trigger";
                value: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression | null;
            recommend_expression: import("./helpers/rules").RuleExpression | null;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            content: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            show_preview: boolean;
            next_steps: (string | number | {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            })[];
            extra: string | null;
            thumbnail: {
                src: string;
                file_name: string;
                size: string;
            } | null;
            copilot_suggest: boolean;
            show_in_spotlight_search: boolean;
            show_in_helphub_search: boolean;
            copilot_cta_label: string;
            copilot_description: string;
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
            training_only?: boolean | undefined;
            integration?: {
                id: number;
                helphub_view_article_button_hidden: boolean | undefined;
            } | null | undefined;
        }, {
            id: number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "pendo_guide";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                doc_metadata?: {
                    content_type?: string | undefined;
                    date?: string | undefined;
                } | undefined;
            } & {
                doc_type?: "answer" | "doc" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "trigger";
                value: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression | null;
            recommend_expression: import("./helpers/rules").RuleExpression | null;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            content: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            show_preview: boolean;
            next_steps: (string | number | {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            })[];
            extra: string | null;
            thumbnail: {
                src: string;
                file_name: string;
                size: string;
            } | null;
            copilot_suggest: boolean;
            show_in_spotlight_search: boolean;
            show_in_helphub_search: boolean;
            copilot_cta_label: string;
            copilot_description: string;
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
            training_only?: boolean | undefined;
            integration?: {
                id: number;
                helphub_view_article_button_hidden: boolean | undefined;
            } | null | undefined;
        }, any>;
        experiences: t.UnionC<[t.NullC, t.ArrayC<t.UnionC<[t.TypeC<{
            type: t.LiteralC<"command">;
            value: t.UnionC<[t.NumberC, t.StringC]>;
            description: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
            description: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
            description: t.StringC;
        }>]>>]>;
    }>]>;
    uuid: t.UnionC<[t.NullC, t.StringC]>;
    error: t.StringC;
    incomplete: t.BooleanC;
    no_answer: t.BooleanC;
    used_fallback: t.BooleanC;
    feedback: t.UnionC<[t.NullC, t.TypeC<{
        rating: t.UnionC<[t.LiteralC<-1>, t.LiteralC<0>, t.LiteralC<1>]>;
    }>]>;
    continuations: t.UnionC<[t.NullC, t.ArrayC<t.StringC>]>;
    fallback_ctas: t.UnionC<[t.NullC, t.ArrayC<t.StringC>]>;
    fallback_labeled_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
}>;
export declare const UserMessageV: t.TypeC<{
    message_type: t.LiteralC<"USER">;
    value: t.TypeC<{
        question: t.StringC;
        command_ids: t.ArrayC<t.NumberC>;
    }>;
    uuid: t.UnionC<[t.NullC, t.StringC]>;
}>;
export declare const MessageV: t.UnionC<[t.TypeC<{
    message_type: t.LiteralC<"AI">;
    value: t.IntersectionC<[t.TypeC<{
        answer: t.StringC;
        command_id: t.UnionC<[t.NumberC, t.NullC]>;
        command_title: t.StringC;
        passage_id: t.UnionC<[t.NumberC, t.NullC]>;
        passage_heading: t.UnionC<[t.StringC, t.NullC]>;
        doc: t.UnionC<[t.TypeC<{
            title: t.StringC;
            excerpt: t.StringC;
            content: t.StringC;
            command: t.Type<{
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, {
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, any>;
        }>, t.NullC]>;
    }>, t.PartialC<{
        message_id: t.NumberC;
        chat_id: t.StringC;
        copilot_argument_values: t.UnionC<[t.RecordC<t.StringC, t.UnknownC>, t.NullC]>;
        copilot_argument_values_abort: t.BooleanC;
        copilot_command: t.Type<{
            id: number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "pendo_guide";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                doc_metadata?: {
                    content_type?: string | undefined;
                    date?: string | undefined;
                } | undefined;
            } & {
                doc_type?: "answer" | "doc" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "trigger";
                value: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression | null;
            recommend_expression: import("./helpers/rules").RuleExpression | null;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            content: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            show_preview: boolean;
            next_steps: (string | number | {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            })[];
            extra: string | null;
            thumbnail: {
                src: string;
                file_name: string;
                size: string;
            } | null;
            copilot_suggest: boolean;
            show_in_spotlight_search: boolean;
            show_in_helphub_search: boolean;
            copilot_cta_label: string;
            copilot_description: string;
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
            training_only?: boolean | undefined;
            integration?: {
                id: number;
                helphub_view_article_button_hidden: boolean | undefined;
            } | null | undefined;
        }, {
            id: number;
            text: string;
            template: ({
                type: "admin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "callback";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "builtin";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "webhook";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "script";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "request";
                value: {
                    method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                    url: string;
                } & {
                    headers?: {
                        [key: string]: unknown;
                    } | undefined;
                    body?: {
                        [key: string]: unknown;
                    } | undefined;
                    onSend?: string | undefined;
                    onSuccess?: string | undefined;
                    onError?: string | undefined;
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "appcues";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "pendo_guide";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "video";
                value: string;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "helpdoc";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                doc_metadata?: {
                    content_type?: string | undefined;
                    date?: string | undefined;
                } | undefined;
            } & {
                doc_type?: "answer" | "doc" | undefined;
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            }) | ({
                type: "trigger";
                value: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            } & {} & {
                commandType?: "object" | "help" | "independent" | undefined;
                object?: string | undefined;
                hoverTooltip?: boolean | undefined;
                operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                metadata?: {
                    [key: string]: unknown;
                } | undefined;
            });
        } & {
            disabledReason?: string | undefined;
            source?: string | undefined;
            name?: string | undefined;
            last_available?: string | null | undefined;
            modified?: string | undefined;
            isAsync?: boolean | undefined;
        } & {
            arguments: {
                [x: string]: ({
                    type: "context";
                    value: string;
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    show_in_record_action_list?: boolean | undefined;
                    show_in_default_list?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "set";
                    value: string[] | number[] | {
                        [key: string]: unknown;
                    }[];
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "provided";
                    value: "time" | "text";
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    dateTimeArgumentTypeId?: number | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    auto_choose?: boolean | undefined;
                    is_private?: boolean | undefined;
                }) | ({
                    type: "html" | "video";
                    value: {
                        source: string;
                    } & {
                        title?: string | undefined;
                        description?: string | undefined;
                        url?: string | undefined;
                    };
                    order_key: number;
                } & {
                    label?: string | undefined;
                    chosen?: string | number | undefined;
                    selected?: any[] | undefined;
                    input_type?: string | undefined;
                    preselected_key?: string | undefined;
                    label_field?: string | undefined;
                    loaded?: any[] | undefined;
                    allow_create?: boolean | undefined;
                    allow_create_label?: string | undefined;
                    is_private?: boolean | undefined;
                    auto_choose?: boolean | undefined;
                });
            };
            tags: string[];
            availability_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }))[];
            recommend_rules: (({
                type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
            } & {
                field?: string | undefined;
                value?: string | undefined;
                reason?: string | undefined;
                rule_id?: string | number | undefined;
            }) | ({
                type: "nudge_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                nudge_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "questlist_interaction";
                operator: "is" | "isNot";
                value: "completed" | "dismissed" | "viewed";
                questlist_id: number;
            } & {
                reason?: string | undefined;
            }) | ({
                type: "browser" | "language" | "os";
                operator: "includes" | "doesNotInclude";
                values: string[];
            } & {
                reason?: string | undefined;
            }) | ({
                type: "always";
            } & {
                operator?: null | undefined;
                field?: null | undefined;
                value?: null | undefined;
                reason?: null | undefined;
                rule_id?: string | number | undefined;
            }))[];
            availability_expression: import("./helpers/rules").RuleExpression | null;
            recommend_expression: import("./helpers/rules").RuleExpression | null;
            always_recommend: boolean;
            confirm: string;
            shortcut: string[];
            explanation: string;
            heading: string;
            is_live: boolean;
            category: number | null;
            sort_key: number | null;
            icon: string | null;
            icon_color: string | null;
            image_color: string | null;
            image: string | null;
            celebrate: boolean | {
                angle?: number | undefined;
                spread?: number | undefined;
                width?: string | undefined;
                height?: string | undefined;
                duration?: number | undefined;
                dragFriction?: number | undefined;
                stagger?: number | undefined;
                startVelocity?: number | undefined;
                elementCount?: number | undefined;
                decay?: number | undefined;
                colors?: string[] | undefined;
                random?: any;
            } | null;
            recommend_sort_key: number | null;
            shortcut_mac: string[];
            shortcut_win: string[];
            hotkey_mac: string;
            hotkey_win: string;
            detail: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            content: string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }) | (string | ({
                type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                value: string;
            } & {
                position?: "inline" | "popover" | undefined;
            }))[] | null;
            show_preview: boolean;
            next_steps: (string | number | {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            })[];
            extra: string | null;
            thumbnail: {
                src: string;
                file_name: string;
                size: string;
            } | null;
            copilot_suggest: boolean;
            show_in_spotlight_search: boolean;
            show_in_helphub_search: boolean;
            copilot_cta_label: string;
            copilot_description: string;
        } & {
            third_party_source?: string | null | undefined;
            third_party_id?: string | null | undefined;
            training_only?: boolean | undefined;
            integration?: {
                id: number;
                helphub_view_article_button_hidden: boolean | undefined;
            } | null | undefined;
        }, any>;
        experiences: t.UnionC<[t.NullC, t.ArrayC<t.UnionC<[t.TypeC<{
            type: t.LiteralC<"command">;
            value: t.UnionC<[t.NumberC, t.StringC]>;
            description: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
            description: t.StringC;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
            description: t.StringC;
        }>]>>]>;
    }>]>;
    uuid: t.UnionC<[t.NullC, t.StringC]>;
    error: t.StringC;
    incomplete: t.BooleanC;
    no_answer: t.BooleanC;
    used_fallback: t.BooleanC;
    feedback: t.UnionC<[t.NullC, t.TypeC<{
        rating: t.UnionC<[t.LiteralC<-1>, t.LiteralC<0>, t.LiteralC<1>]>;
    }>]>;
    continuations: t.UnionC<[t.NullC, t.ArrayC<t.StringC>]>;
    fallback_ctas: t.UnionC<[t.NullC, t.ArrayC<t.StringC>]>;
    fallback_labeled_actions: t.ArrayC<t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>>;
}>, t.TypeC<{
    message_type: t.LiteralC<"USER">;
    value: t.TypeC<{
        question: t.StringC;
        command_ids: t.ArrayC<t.NumberC>;
    }>;
    uuid: t.UnionC<[t.NullC, t.StringC]>;
}>]>;
export declare const QuestionSuggestionsV: t.TypeC<{
    suggestions: t.ArrayC<t.StringC>;
}>;
export declare const QuestionSuggestionsPayloadV: t.PartialC<{
    user: t.UnionC<[t.StringC, t.NullC, t.UndefinedC]>;
    page_context: t.TypeC<{
        title: t.StringC;
        description: t.UnionC<[t.StringC, t.NullC]>;
        h1s: t.ArrayC<t.StringC>;
        h2s: t.ArrayC<t.StringC>;
        h3s: t.ArrayC<t.StringC>;
    }>;
}>;
export declare const ContinuationsPayloadV: t.TypeC<{
    command_ids: t.UnionC<[t.ArrayC<t.NumberC>, t.UndefinedC]>;
    passage_ids: t.UnionC<[t.ArrayC<t.NumberC>, t.UndefinedC]>;
    user: t.UnionC<[t.StringC, t.NullC, t.UndefinedC]>;
    chat_id: t.StringC;
}>;
export declare const CopilotSettingsPreviewV: t.UnionC<[t.TypeC<{
    avatar: t.UnionC<[t.StringC, t.NullC]>;
    name: t.UnionC<[t.StringC, t.NullC]>;
    personality: t.UnionC<[t.UnionC<[t.TypeC<{
        template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
    }>, t.TypeC<{
        template: t.LiteralC<"custom">;
        adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
        response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
        response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
    }>]>, t.NullC]>;
    custom_instructions: t.UnionC<[t.StringC, t.NullC]>;
}>, t.NullC]>;
export declare const CopilotSettingsPreviewPayloadV: t.UnionC<[t.TypeC<{
    name: t.UnionC<[t.StringC, t.NullC]>;
    personality: t.UnionC<[t.UnionC<[t.TypeC<{
        template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
    }>, t.TypeC<{
        template: t.LiteralC<"custom">;
        adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
        response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
        response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
    }>]>, t.NullC]>;
    custom_instructions: t.UnionC<[t.StringC, t.NullC]>;
}>, t.NullC]>;
export declare const AIAnswerPayloadV: t.IntersectionC<[t.TypeC<{
    /** @deprecated Removed entirely, since we no longer can ask AI about a specific doc */
    command_ids: t.UnionC<[t.ArrayC<t.NumberC>, t.UndefinedC]>;
    query: t.StringC;
    user: t.UnionC<[t.StringC, t.NullC, t.UndefinedC]>;
    chat_id: t.UnionC<[t.StringC, t.UndefinedC]>;
    filter: t.UnionC<[t.UnionC<[t.PartialC<{
        labels: t.ArrayC<t.StringC>;
    }>, t.NullC]>, t.UndefinedC]>;
    disable_experiences: t.UnionC<[t.BooleanC, t.UndefinedC]>;
}>, t.PartialC<{
    system_template_override: t.StringC;
    settings_override: t.UnionC<[t.TypeC<{
        name: t.UnionC<[t.StringC, t.NullC]>;
        personality: t.UnionC<[t.UnionC<[t.TypeC<{
            template: t.UnionC<[t.LiteralC<"professional">, t.LiteralC<"friendly">, t.LiteralC<"confident">, t.LiteralC<"serious">, t.LiteralC<"empathetic">]>;
        }>, t.TypeC<{
            template: t.LiteralC<"custom">;
            adjectives: t.ArrayC<t.UnionC<[t.LiteralC<"abrasive">, t.LiteralC<"adventurous">, t.LiteralC<"affable">, t.LiteralC<"arrogant">, t.LiteralC<"assertive">, t.LiteralC<"assured">, t.LiteralC<"belligerent">, t.LiteralC<"brave">, t.LiteralC<"cheerful">, t.LiteralC<"compassionate">, t.LiteralC<"condescending">, t.LiteralC<"courteous">, t.LiteralC<"creative">, t.LiteralC<"cynical">, t.LiteralC<"decisive">, t.LiteralC<"detached">, t.LiteralC<"diligent">, t.LiteralC<"eloquent">, t.LiteralC<"empathetic">, t.LiteralC<"evasive">, t.LiteralC<"formal">, t.LiteralC<"frivolous">, t.LiteralC<"garrulous">, t.LiteralC<"generous">, t.LiteralC<"impulsive">, t.LiteralC<"innovative">, t.LiteralC<"intense">, t.LiteralC<"judgmental">, t.LiteralC<"jovial">, t.LiteralC<"manipulative">, t.LiteralC<"obstinate">, t.LiteralC<"optimistic">, t.LiteralC<"perceptive">, t.LiteralC<"pessimistic">, t.LiteralC<"quarrelsome">, t.LiteralC<"respectful">, t.LiteralC<"resourceful">, t.LiteralC<"sarcastic">, t.LiteralC<"sincere">, t.LiteralC<"sociable">, t.LiteralC<"solemn">, t.LiteralC<"supportive">, t.LiteralC<"tactful">, t.LiteralC<"thoughtful">, t.LiteralC<"understanding">, t.LiteralC<"unreliable">, t.LiteralC<"vain">, t.LiteralC<"vivacious">, t.LiteralC<"warm">, t.LiteralC<"withdrawn">, t.LiteralC<"witty">, t.LiteralC<"zealous">]>>;
            response_length: t.UnionC<[t.LiteralC<"short">, t.LiteralC<"conversational">, t.LiteralC<"long">]>;
            response_format: t.UnionC<[t.LiteralC<"lists">, t.LiteralC<"paragraphs">, t.LiteralC<"mixed">]>;
        }>]>, t.NullC]>;
        custom_instructions: t.UnionC<[t.StringC, t.NullC]>;
    }>, t.NullC]>;
}>]>;
export declare const AIAnswerV: t.TypeC<{
    chat_id: t.StringC;
    message_id: t.StringC;
}>;
export declare const CreateAnswerFeedbackPayloadV: t.TypeC<{
    message_id: t.NumberC;
    rating: t.NumberC;
}>;
export declare const ChatV: t.TypeC<{
    id: t.StringC;
    answer: t.UnionC<[t.NullC, t.NumberC]>;
    messages: t.ArrayC<t.UnionC<[t.TypeC<{
        message_type: t.LiteralC<"AI">;
        value: t.IntersectionC<[t.TypeC<{
            answer: t.StringC;
            command_id: t.UnionC<[t.NumberC, t.NullC]>;
            command_title: t.StringC;
            passage_id: t.UnionC<[t.NumberC, t.NullC]>;
            passage_heading: t.UnionC<[t.StringC, t.NullC]>;
            doc: t.UnionC<[t.TypeC<{
                title: t.StringC;
                excerpt: t.StringC;
                content: t.StringC;
                command: t.Type<{
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                }, {
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                }, any>;
            }>, t.NullC]>;
        }>, t.PartialC<{
            message_id: t.NumberC;
            chat_id: t.StringC;
            copilot_argument_values: t.UnionC<[t.RecordC<t.StringC, t.UnknownC>, t.NullC]>;
            copilot_argument_values_abort: t.BooleanC;
            copilot_command: t.Type<{
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, {
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }, any>;
            experiences: t.UnionC<[t.NullC, t.ArrayC<t.UnionC<[t.TypeC<{
                type: t.LiteralC<"command">;
                value: t.UnionC<[t.NumberC, t.StringC]>;
                description: t.StringC;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
                description: t.StringC;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
                description: t.StringC;
            }>]>>]>;
        }>]>;
        uuid: t.UnionC<[t.NullC, t.StringC]>;
        error: t.StringC;
        incomplete: t.BooleanC;
        no_answer: t.BooleanC;
        used_fallback: t.BooleanC;
        feedback: t.UnionC<[t.NullC, t.TypeC<{
            rating: t.UnionC<[t.LiteralC<-1>, t.LiteralC<0>, t.LiteralC<1>]>;
        }>]>;
        continuations: t.UnionC<[t.NullC, t.ArrayC<t.StringC>]>;
        fallback_ctas: t.UnionC<[t.NullC, t.ArrayC<t.StringC>]>;
        fallback_labeled_actions: t.ArrayC<t.TypeC<{
            cta: t.StringC;
            action: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.IntersectionC<[t.TypeC<{
                    command: t.StringC;
                }>, t.PartialC<{
                    type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                }>]>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.TypeC<{
                type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                value: t.ArrayC<t.StringC>;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_chat">;
                meta: t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"dismiss">;
            }>, t.TypeC<{
                type: t.LiteralC<"snooze">;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"go_to_step">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"step_back">;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"open_bar">;
            }>, t.PartialC<{
                value: t.StringC;
                categoryFilter: t.NumberC;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_helphub">;
            }>, t.TypeC<{
                type: t.LiteralC<"open_copilot">;
            }>]>;
        }>>;
    }>, t.TypeC<{
        message_type: t.LiteralC<"USER">;
        value: t.TypeC<{
            question: t.StringC;
            command_ids: t.ArrayC<t.NumberC>;
        }>;
        uuid: t.UnionC<[t.NullC, t.StringC]>;
    }>]>>;
    created: t.StringC;
    modified: t.StringC;
    context: t.AnyC;
    organization: t.NumberC;
    end_user: t.UnionC<[t.NullC, t.NumberC, t.StringC]>;
}>;
export declare const CreateChatPayloadV: t.TypeC<{
    organization: t.UnionC<[t.StringC, t.NumberC]>;
    user: t.UnionC<[t.StringC, t.NullC, t.UndefinedC]>;
}>;
export declare class Chat {
    static get: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
        onSuccess?: (() => void) | undefined;
        onError?: ((err: string) => void) | undefined;
    } | undefined) => Promise<{
        id: string;
        answer: number | null;
        messages: ({
            message_type: "AI";
            value: {
                answer: string;
                command_id: number | null;
                command_title: string;
                passage_id: number | null;
                passage_heading: string | null;
                doc: {
                    title: string;
                    excerpt: string;
                    content: string;
                    command: {
                        id: number;
                        text: string;
                        template: ({
                            type: "admin";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "callback";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "builtin";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "webhook";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "script";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "request";
                            value: {
                                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                                url: string;
                            } & {
                                headers?: {
                                    [key: string]: unknown;
                                } | undefined;
                                body?: {
                                    [key: string]: unknown;
                                } | undefined;
                                onSend?: string | undefined;
                                onSuccess?: string | undefined;
                                onError?: string | undefined;
                            };
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "appcues";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "pendo_guide";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "video";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "helpdoc";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            doc_metadata?: {
                                content_type?: string | undefined;
                                date?: string | undefined;
                            } | undefined;
                        } & {
                            doc_type?: "answer" | "doc" | undefined;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "trigger";
                            value: {
                                type: "execute_command";
                                meta: {
                                    command: string;
                                } & {
                                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                                };
                            } | {
                                type: "click";
                                value: string;
                            } | {
                                type: "click" | "clickBySelector" | "clickByXpath";
                                value: string[];
                            } | ({
                                type: "link";
                                value: string;
                            } & {
                                operation?: "self" | "router" | "blank" | undefined;
                            }) | {
                                type: "open_chat";
                                meta: {
                                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                                };
                            } | {
                                type: "dismiss";
                            } | {
                                type: "snooze";
                            } | {
                                type: "questlist";
                                value: number;
                            } | {
                                type: "step_back";
                            } | {
                                type: "nudge";
                                value: number;
                            } | {
                                type: "go_to_step";
                                value: number;
                            } | ({
                                type: "open_bar";
                            } & {
                                value?: string | undefined;
                                categoryFilter?: number | undefined;
                            }) | {
                                type: "open_helphub";
                            } | {
                                type: "open_copilot";
                            } | {
                                type: "no_action";
                            };
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        });
                    } & {
                        disabledReason?: string | undefined;
                        source?: string | undefined;
                        name?: string | undefined;
                        last_available?: string | null | undefined;
                        modified?: string | undefined;
                        isAsync?: boolean | undefined;
                    } & {
                        arguments: {
                            [x: string]: ({
                                type: "context";
                                value: string;
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                show_in_record_action_list?: boolean | undefined;
                                show_in_default_list?: boolean | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "set";
                                value: string[] | number[] | {
                                    [key: string]: unknown;
                                }[];
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "provided";
                                value: "time" | "text";
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                dateTimeArgumentTypeId?: number | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "html" | "video";
                                value: {
                                    source: string;
                                } & {
                                    title?: string | undefined;
                                    description?: string | undefined;
                                    url?: string | undefined;
                                };
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                is_private?: boolean | undefined;
                                auto_choose?: boolean | undefined;
                            });
                        };
                        tags: string[];
                        availability_rules: (({
                            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                        } & {
                            field?: string | undefined;
                            value?: string | undefined;
                            reason?: string | undefined;
                            rule_id?: string | number | undefined;
                        }) | ({
                            type: "nudge_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            nudge_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "questlist_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            questlist_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "browser" | "language" | "os";
                            operator: "includes" | "doesNotInclude";
                            values: string[];
                        } & {
                            reason?: string | undefined;
                        }))[];
                        recommend_rules: (({
                            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                        } & {
                            field?: string | undefined;
                            value?: string | undefined;
                            reason?: string | undefined;
                            rule_id?: string | number | undefined;
                        }) | ({
                            type: "nudge_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            nudge_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "questlist_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            questlist_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "browser" | "language" | "os";
                            operator: "includes" | "doesNotInclude";
                            values: string[];
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "always";
                        } & {
                            operator?: null | undefined;
                            field?: null | undefined;
                            value?: null | undefined;
                            reason?: null | undefined;
                            rule_id?: string | number | undefined;
                        }))[];
                        availability_expression: import("./helpers/rules").RuleExpression | null;
                        recommend_expression: import("./helpers/rules").RuleExpression | null;
                        always_recommend: boolean;
                        confirm: string;
                        shortcut: string[];
                        explanation: string;
                        heading: string;
                        is_live: boolean;
                        category: number | null;
                        sort_key: number | null;
                        icon: string | null;
                        icon_color: string | null;
                        image_color: string | null;
                        image: string | null;
                        celebrate: boolean | {
                            angle?: number | undefined;
                            spread?: number | undefined;
                            width?: string | undefined;
                            height?: string | undefined;
                            duration?: number | undefined;
                            dragFriction?: number | undefined;
                            stagger?: number | undefined;
                            startVelocity?: number | undefined;
                            elementCount?: number | undefined;
                            decay?: number | undefined;
                            colors?: string[] | undefined;
                            random?: any;
                        } | null;
                        recommend_sort_key: number | null;
                        shortcut_mac: string[];
                        shortcut_win: string[];
                        hotkey_mac: string;
                        hotkey_win: string;
                        detail: string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }) | (string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }))[] | null;
                        content: string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }) | (string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }))[] | null;
                        show_preview: boolean;
                        next_steps: (string | number | {
                            cta: string;
                            action: {
                                type: "execute_command";
                                meta: {
                                    command: string;
                                } & {
                                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                                };
                            } | {
                                type: "click";
                                value: string;
                            } | {
                                type: "click" | "clickBySelector" | "clickByXpath";
                                value: string[];
                            } | ({
                                type: "link";
                                value: string;
                            } & {
                                operation?: "self" | "router" | "blank" | undefined;
                            }) | {
                                type: "open_chat";
                                meta: {
                                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                                };
                            } | {
                                type: "dismiss";
                            } | {
                                type: "snooze";
                            } | {
                                type: "questlist";
                                value: number;
                            } | {
                                type: "step_back";
                            } | {
                                type: "nudge";
                                value: number;
                            } | {
                                type: "go_to_step";
                                value: number;
                            } | ({
                                type: "open_bar";
                            } & {
                                value?: string | undefined;
                                categoryFilter?: number | undefined;
                            }) | {
                                type: "open_helphub";
                            } | {
                                type: "open_copilot";
                            } | {
                                type: "no_action";
                            };
                        })[];
                        extra: string | null;
                        thumbnail: {
                            src: string;
                            file_name: string;
                            size: string;
                        } | null;
                        copilot_suggest: boolean;
                        show_in_spotlight_search: boolean;
                        show_in_helphub_search: boolean;
                        copilot_cta_label: string;
                        copilot_description: string;
                    } & {
                        third_party_source?: string | null | undefined;
                        third_party_id?: string | null | undefined;
                        training_only?: boolean | undefined;
                        integration?: {
                            id: number;
                            helphub_view_article_button_hidden: boolean | undefined;
                        } | null | undefined;
                    };
                } | null;
            } & {
                message_id?: number | undefined;
                chat_id?: string | undefined;
                copilot_argument_values?: {
                    [x: string]: unknown;
                } | null | undefined;
                copilot_argument_values_abort?: boolean | undefined;
                copilot_command?: ({
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                }) | undefined;
                experiences?: ({
                    type: "command";
                    value: string | number;
                    description: string;
                } | {
                    type: "nudge";
                    value: number;
                    description: string;
                } | {
                    type: "questlist";
                    value: number;
                    description: string;
                })[] | null | undefined;
            };
            uuid: string | null;
            error: string;
            incomplete: boolean;
            no_answer: boolean;
            used_fallback: boolean;
            feedback: {
                rating: 0 | 1 | -1;
            } | null;
            continuations: string[] | null;
            fallback_ctas: string[] | null;
            fallback_labeled_actions: {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            }[];
        } | {
            message_type: "USER";
            value: {
                question: string;
                command_ids: number[];
            };
            uuid: string | null;
        })[];
        created: string;
        modified: string;
        context: any;
        organization: number;
        end_user: string | number | null;
    }>;
    static update: (object: {
        id: string;
        answer: number | null;
        messages: ({
            message_type: "AI";
            value: {
                answer: string;
                command_id: number | null;
                command_title: string;
                passage_id: number | null;
                passage_heading: string | null;
                doc: {
                    title: string;
                    excerpt: string;
                    content: string;
                    command: {
                        id: number;
                        text: string;
                        template: ({
                            type: "admin";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "callback";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "builtin";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "webhook";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "script";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "request";
                            value: {
                                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                                url: string;
                            } & {
                                headers?: {
                                    [key: string]: unknown;
                                } | undefined;
                                body?: {
                                    [key: string]: unknown;
                                } | undefined;
                                onSend?: string | undefined;
                                onSuccess?: string | undefined;
                                onError?: string | undefined;
                            };
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "appcues";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "pendo_guide";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "video";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "helpdoc";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            doc_metadata?: {
                                content_type?: string | undefined;
                                date?: string | undefined;
                            } | undefined;
                        } & {
                            doc_type?: "answer" | "doc" | undefined;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "trigger";
                            value: {
                                type: "execute_command";
                                meta: {
                                    command: string;
                                } & {
                                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                                };
                            } | {
                                type: "click";
                                value: string;
                            } | {
                                type: "click" | "clickBySelector" | "clickByXpath";
                                value: string[];
                            } | ({
                                type: "link";
                                value: string;
                            } & {
                                operation?: "self" | "router" | "blank" | undefined;
                            }) | {
                                type: "open_chat";
                                meta: {
                                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                                };
                            } | {
                                type: "dismiss";
                            } | {
                                type: "snooze";
                            } | {
                                type: "questlist";
                                value: number;
                            } | {
                                type: "step_back";
                            } | {
                                type: "nudge";
                                value: number;
                            } | {
                                type: "go_to_step";
                                value: number;
                            } | ({
                                type: "open_bar";
                            } & {
                                value?: string | undefined;
                                categoryFilter?: number | undefined;
                            }) | {
                                type: "open_helphub";
                            } | {
                                type: "open_copilot";
                            } | {
                                type: "no_action";
                            };
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        });
                    } & {
                        disabledReason?: string | undefined;
                        source?: string | undefined;
                        name?: string | undefined;
                        last_available?: string | null | undefined;
                        modified?: string | undefined;
                        isAsync?: boolean | undefined;
                    } & {
                        arguments: {
                            [x: string]: ({
                                type: "context";
                                value: string;
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                show_in_record_action_list?: boolean | undefined;
                                show_in_default_list?: boolean | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "set";
                                value: string[] | number[] | {
                                    [key: string]: unknown;
                                }[];
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "provided";
                                value: "time" | "text";
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                dateTimeArgumentTypeId?: number | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "html" | "video";
                                value: {
                                    source: string;
                                } & {
                                    title?: string | undefined;
                                    description?: string | undefined;
                                    url?: string | undefined;
                                };
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                is_private?: boolean | undefined;
                                auto_choose?: boolean | undefined;
                            });
                        };
                        tags: string[];
                        availability_rules: (({
                            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                        } & {
                            field?: string | undefined;
                            value?: string | undefined;
                            reason?: string | undefined;
                            rule_id?: string | number | undefined;
                        }) | ({
                            type: "nudge_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            nudge_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "questlist_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            questlist_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "browser" | "language" | "os";
                            operator: "includes" | "doesNotInclude";
                            values: string[];
                        } & {
                            reason?: string | undefined;
                        }))[];
                        recommend_rules: (({
                            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                        } & {
                            field?: string | undefined;
                            value?: string | undefined;
                            reason?: string | undefined;
                            rule_id?: string | number | undefined;
                        }) | ({
                            type: "nudge_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            nudge_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "questlist_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            questlist_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "browser" | "language" | "os";
                            operator: "includes" | "doesNotInclude";
                            values: string[];
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "always";
                        } & {
                            operator?: null | undefined;
                            field?: null | undefined;
                            value?: null | undefined;
                            reason?: null | undefined;
                            rule_id?: string | number | undefined;
                        }))[];
                        availability_expression: import("./helpers/rules").RuleExpression | null;
                        recommend_expression: import("./helpers/rules").RuleExpression | null;
                        always_recommend: boolean;
                        confirm: string;
                        shortcut: string[];
                        explanation: string;
                        heading: string;
                        is_live: boolean;
                        category: number | null;
                        sort_key: number | null;
                        icon: string | null;
                        icon_color: string | null;
                        image_color: string | null;
                        image: string | null;
                        celebrate: boolean | {
                            angle?: number | undefined;
                            spread?: number | undefined;
                            width?: string | undefined;
                            height?: string | undefined;
                            duration?: number | undefined;
                            dragFriction?: number | undefined;
                            stagger?: number | undefined;
                            startVelocity?: number | undefined;
                            elementCount?: number | undefined;
                            decay?: number | undefined;
                            colors?: string[] | undefined;
                            random?: any;
                        } | null;
                        recommend_sort_key: number | null;
                        shortcut_mac: string[];
                        shortcut_win: string[];
                        hotkey_mac: string;
                        hotkey_win: string;
                        detail: string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }) | (string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }))[] | null;
                        content: string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }) | (string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }))[] | null;
                        show_preview: boolean;
                        next_steps: (string | number | {
                            cta: string;
                            action: {
                                type: "execute_command";
                                meta: {
                                    command: string;
                                } & {
                                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                                };
                            } | {
                                type: "click";
                                value: string;
                            } | {
                                type: "click" | "clickBySelector" | "clickByXpath";
                                value: string[];
                            } | ({
                                type: "link";
                                value: string;
                            } & {
                                operation?: "self" | "router" | "blank" | undefined;
                            }) | {
                                type: "open_chat";
                                meta: {
                                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                                };
                            } | {
                                type: "dismiss";
                            } | {
                                type: "snooze";
                            } | {
                                type: "questlist";
                                value: number;
                            } | {
                                type: "step_back";
                            } | {
                                type: "nudge";
                                value: number;
                            } | {
                                type: "go_to_step";
                                value: number;
                            } | ({
                                type: "open_bar";
                            } & {
                                value?: string | undefined;
                                categoryFilter?: number | undefined;
                            }) | {
                                type: "open_helphub";
                            } | {
                                type: "open_copilot";
                            } | {
                                type: "no_action";
                            };
                        })[];
                        extra: string | null;
                        thumbnail: {
                            src: string;
                            file_name: string;
                            size: string;
                        } | null;
                        copilot_suggest: boolean;
                        show_in_spotlight_search: boolean;
                        show_in_helphub_search: boolean;
                        copilot_cta_label: string;
                        copilot_description: string;
                    } & {
                        third_party_source?: string | null | undefined;
                        third_party_id?: string | null | undefined;
                        training_only?: boolean | undefined;
                        integration?: {
                            id: number;
                            helphub_view_article_button_hidden: boolean | undefined;
                        } | null | undefined;
                    };
                } | null;
            } & {
                message_id?: number | undefined;
                chat_id?: string | undefined;
                copilot_argument_values?: {
                    [x: string]: unknown;
                } | null | undefined;
                copilot_argument_values_abort?: boolean | undefined;
                copilot_command?: ({
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                }) | undefined;
                experiences?: ({
                    type: "command";
                    value: string | number;
                    description: string;
                } | {
                    type: "nudge";
                    value: number;
                    description: string;
                } | {
                    type: "questlist";
                    value: number;
                    description: string;
                })[] | null | undefined;
            };
            uuid: string | null;
            error: string;
            incomplete: boolean;
            no_answer: boolean;
            used_fallback: boolean;
            feedback: {
                rating: 0 | 1 | -1;
            } | null;
            continuations: string[] | null;
            fallback_ctas: string[] | null;
            fallback_labeled_actions: {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            }[];
        } | {
            message_type: "USER";
            value: {
                question: string;
                command_ids: number[];
            };
            uuid: string | null;
        })[];
        created: string;
        modified: string;
        context: any;
        organization: number;
        end_user: string | number | null;
    }, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
        id: string;
        answer: number | null;
        messages: ({
            message_type: "AI";
            value: {
                answer: string;
                command_id: number | null;
                command_title: string;
                passage_id: number | null;
                passage_heading: string | null;
                doc: {
                    title: string;
                    excerpt: string;
                    content: string;
                    command: {
                        id: number;
                        text: string;
                        template: ({
                            type: "admin";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "callback";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "builtin";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "webhook";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "script";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "request";
                            value: {
                                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                                url: string;
                            } & {
                                headers?: {
                                    [key: string]: unknown;
                                } | undefined;
                                body?: {
                                    [key: string]: unknown;
                                } | undefined;
                                onSend?: string | undefined;
                                onSuccess?: string | undefined;
                                onError?: string | undefined;
                            };
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "appcues";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "pendo_guide";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "video";
                            value: string;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "helpdoc";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            doc_metadata?: {
                                content_type?: string | undefined;
                                date?: string | undefined;
                            } | undefined;
                        } & {
                            doc_type?: "answer" | "doc" | undefined;
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        }) | ({
                            type: "trigger";
                            value: {
                                type: "execute_command";
                                meta: {
                                    command: string;
                                } & {
                                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                                };
                            } | {
                                type: "click";
                                value: string;
                            } | {
                                type: "click" | "clickBySelector" | "clickByXpath";
                                value: string[];
                            } | ({
                                type: "link";
                                value: string;
                            } & {
                                operation?: "self" | "router" | "blank" | undefined;
                            }) | {
                                type: "open_chat";
                                meta: {
                                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                                };
                            } | {
                                type: "dismiss";
                            } | {
                                type: "snooze";
                            } | {
                                type: "questlist";
                                value: number;
                            } | {
                                type: "step_back";
                            } | {
                                type: "nudge";
                                value: number;
                            } | {
                                type: "go_to_step";
                                value: number;
                            } | ({
                                type: "open_bar";
                            } & {
                                value?: string | undefined;
                                categoryFilter?: number | undefined;
                            }) | {
                                type: "open_helphub";
                            } | {
                                type: "open_copilot";
                            } | {
                                type: "no_action";
                            };
                        } & {} & {
                            commandType?: "object" | "help" | "independent" | undefined;
                            object?: string | undefined;
                            hoverTooltip?: boolean | undefined;
                            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                            metadata?: {
                                [key: string]: unknown;
                            } | undefined;
                        });
                    } & {
                        disabledReason?: string | undefined;
                        source?: string | undefined;
                        name?: string | undefined;
                        last_available?: string | null | undefined;
                        modified?: string | undefined;
                        isAsync?: boolean | undefined;
                    } & {
                        arguments: {
                            [x: string]: ({
                                type: "context";
                                value: string;
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                show_in_record_action_list?: boolean | undefined;
                                show_in_default_list?: boolean | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "set";
                                value: string[] | number[] | {
                                    [key: string]: unknown;
                                }[];
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "provided";
                                value: "time" | "text";
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                dateTimeArgumentTypeId?: number | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                auto_choose?: boolean | undefined;
                                is_private?: boolean | undefined;
                            }) | ({
                                type: "html" | "video";
                                value: {
                                    source: string;
                                } & {
                                    title?: string | undefined;
                                    description?: string | undefined;
                                    url?: string | undefined;
                                };
                                order_key: number;
                            } & {
                                label?: string | undefined;
                                chosen?: string | number | undefined;
                                selected?: any[] | undefined;
                                input_type?: string | undefined;
                                preselected_key?: string | undefined;
                                label_field?: string | undefined;
                                loaded?: any[] | undefined;
                                allow_create?: boolean | undefined;
                                allow_create_label?: string | undefined;
                                is_private?: boolean | undefined;
                                auto_choose?: boolean | undefined;
                            });
                        };
                        tags: string[];
                        availability_rules: (({
                            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                        } & {
                            field?: string | undefined;
                            value?: string | undefined;
                            reason?: string | undefined;
                            rule_id?: string | number | undefined;
                        }) | ({
                            type: "nudge_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            nudge_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "questlist_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            questlist_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "browser" | "language" | "os";
                            operator: "includes" | "doesNotInclude";
                            values: string[];
                        } & {
                            reason?: string | undefined;
                        }))[];
                        recommend_rules: (({
                            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                        } & {
                            field?: string | undefined;
                            value?: string | undefined;
                            reason?: string | undefined;
                            rule_id?: string | number | undefined;
                        }) | ({
                            type: "nudge_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            nudge_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "questlist_interaction";
                            operator: "is" | "isNot";
                            value: "completed" | "dismissed" | "viewed";
                            questlist_id: number;
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "browser" | "language" | "os";
                            operator: "includes" | "doesNotInclude";
                            values: string[];
                        } & {
                            reason?: string | undefined;
                        }) | ({
                            type: "always";
                        } & {
                            operator?: null | undefined;
                            field?: null | undefined;
                            value?: null | undefined;
                            reason?: null | undefined;
                            rule_id?: string | number | undefined;
                        }))[];
                        availability_expression: import("./helpers/rules").RuleExpression | null;
                        recommend_expression: import("./helpers/rules").RuleExpression | null;
                        always_recommend: boolean;
                        confirm: string;
                        shortcut: string[];
                        explanation: string;
                        heading: string;
                        is_live: boolean;
                        category: number | null;
                        sort_key: number | null;
                        icon: string | null;
                        icon_color: string | null;
                        image_color: string | null;
                        image: string | null;
                        celebrate: boolean | {
                            angle?: number | undefined;
                            spread?: number | undefined;
                            width?: string | undefined;
                            height?: string | undefined;
                            duration?: number | undefined;
                            dragFriction?: number | undefined;
                            stagger?: number | undefined;
                            startVelocity?: number | undefined;
                            elementCount?: number | undefined;
                            decay?: number | undefined;
                            colors?: string[] | undefined;
                            random?: any;
                        } | null;
                        recommend_sort_key: number | null;
                        shortcut_mac: string[];
                        shortcut_win: string[];
                        hotkey_mac: string;
                        hotkey_win: string;
                        detail: string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }) | (string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }))[] | null;
                        content: string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }) | (string | ({
                            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                            value: string;
                        } & {
                            position?: "inline" | "popover" | undefined;
                        }))[] | null;
                        show_preview: boolean;
                        next_steps: (string | number | {
                            cta: string;
                            action: {
                                type: "execute_command";
                                meta: {
                                    command: string;
                                } & {
                                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                                };
                            } | {
                                type: "click";
                                value: string;
                            } | {
                                type: "click" | "clickBySelector" | "clickByXpath";
                                value: string[];
                            } | ({
                                type: "link";
                                value: string;
                            } & {
                                operation?: "self" | "router" | "blank" | undefined;
                            }) | {
                                type: "open_chat";
                                meta: {
                                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                                };
                            } | {
                                type: "dismiss";
                            } | {
                                type: "snooze";
                            } | {
                                type: "questlist";
                                value: number;
                            } | {
                                type: "step_back";
                            } | {
                                type: "nudge";
                                value: number;
                            } | {
                                type: "go_to_step";
                                value: number;
                            } | ({
                                type: "open_bar";
                            } & {
                                value?: string | undefined;
                                categoryFilter?: number | undefined;
                            }) | {
                                type: "open_helphub";
                            } | {
                                type: "open_copilot";
                            } | {
                                type: "no_action";
                            };
                        })[];
                        extra: string | null;
                        thumbnail: {
                            src: string;
                            file_name: string;
                            size: string;
                        } | null;
                        copilot_suggest: boolean;
                        show_in_spotlight_search: boolean;
                        show_in_helphub_search: boolean;
                        copilot_cta_label: string;
                        copilot_description: string;
                    } & {
                        third_party_source?: string | null | undefined;
                        third_party_id?: string | null | undefined;
                        training_only?: boolean | undefined;
                        integration?: {
                            id: number;
                            helphub_view_article_button_hidden: boolean | undefined;
                        } | null | undefined;
                    };
                } | null;
            } & {
                message_id?: number | undefined;
                chat_id?: string | undefined;
                copilot_argument_values?: {
                    [x: string]: unknown;
                } | null | undefined;
                copilot_argument_values_abort?: boolean | undefined;
                copilot_command?: ({
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                }) | undefined;
                experiences?: ({
                    type: "command";
                    value: string | number;
                    description: string;
                } | {
                    type: "nudge";
                    value: number;
                    description: string;
                } | {
                    type: "questlist";
                    value: number;
                    description: string;
                })[] | null | undefined;
            };
            uuid: string | null;
            error: string;
            incomplete: boolean;
            no_answer: boolean;
            used_fallback: boolean;
            feedback: {
                rating: 0 | 1 | -1;
            } | null;
            continuations: string[] | null;
            fallback_ctas: string[] | null;
            fallback_labeled_actions: {
                cta: string;
                action: {
                    type: "execute_command";
                    meta: {
                        command: string;
                    } & {
                        type?: "link" | "video" | "action" | "helpdoc" | undefined;
                    };
                } | {
                    type: "click";
                    value: string;
                } | {
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                }) | {
                    type: "open_chat";
                    meta: {
                        type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                    };
                } | {
                    type: "dismiss";
                } | {
                    type: "snooze";
                } | {
                    type: "questlist";
                    value: number;
                } | {
                    type: "step_back";
                } | {
                    type: "nudge";
                    value: number;
                } | {
                    type: "go_to_step";
                    value: number;
                } | ({
                    type: "open_bar";
                } & {
                    value?: string | undefined;
                    categoryFilter?: number | undefined;
                }) | {
                    type: "open_helphub";
                } | {
                    type: "open_copilot";
                } | {
                    type: "no_action";
                };
            }[];
        } | {
            message_type: "USER";
            value: {
                question: string;
                command_ids: number[];
            };
            uuid: string | null;
        })[];
        created: string;
        modified: string;
        context: any;
        organization: number;
        end_user: string | number | null;
    }>;
    static create: (payload: ICreateChatPayloadType) => Promise<{
        chat_id: string;
    }>;
    static listContinuations: (orgUID: IOrganizationType['id'], payload: IContinuationsPayloadType) => Promise<string[]>;
    static createAnswerFeedback: (orgUID: IOrganizationType['id'], payload: ICreateAnswerFeedbackPayloadType) => Promise<{
        chat_id: string;
        message_id: string;
    } | null | undefined>;
    static generateAIAnswer: (orgUID: IOrganizationType['id'], payload: IAIAnswerPayloadType, config?: axiosInstance.FetchOptions) => Promise<{
        chat_id: string;
        message_id: string;
    }>;
    static collectArgumentValues: (orgUID: IOrganizationType['id'], chat_id: string, command_id: number, user: string | null | undefined, query: string) => Promise<{
        chat_id: string;
        message_id: string;
    }>;
    static generateQuestionSuggestions: (orgUID: IOrganizationType['id'], payload: IQuestionSuggestionsPayloadType) => Promise<{
        suggestions: string[];
    }>;
    static readMessage: (chatId: string, messageId: string, signal?: AbortSignal) => Promise<{
        message_type: "AI";
        value: {
            answer: string;
            command_id: number | null;
            command_title: string;
            passage_id: number | null;
            passage_heading: string | null;
            doc: {
                title: string;
                excerpt: string;
                content: string;
                command: {
                    id: number;
                    text: string;
                    template: ({
                        type: "admin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "callback";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "builtin";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "webhook";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "script";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "request";
                        value: {
                            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                            url: string;
                        } & {
                            headers?: {
                                [key: string]: unknown;
                            } | undefined;
                            body?: {
                                [key: string]: unknown;
                            } | undefined;
                            onSend?: string | undefined;
                            onSuccess?: string | undefined;
                            onError?: string | undefined;
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "appcues";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "pendo_guide";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "video";
                        value: string;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "helpdoc";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        doc_metadata?: {
                            content_type?: string | undefined;
                            date?: string | undefined;
                        } | undefined;
                    } & {
                        doc_type?: "answer" | "doc" | undefined;
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    }) | ({
                        type: "trigger";
                        value: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    } & {} & {
                        commandType?: "object" | "help" | "independent" | undefined;
                        object?: string | undefined;
                        hoverTooltip?: boolean | undefined;
                        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                        metadata?: {
                            [key: string]: unknown;
                        } | undefined;
                    });
                } & {
                    disabledReason?: string | undefined;
                    source?: string | undefined;
                    name?: string | undefined;
                    last_available?: string | null | undefined;
                    modified?: string | undefined;
                    isAsync?: boolean | undefined;
                } & {
                    arguments: {
                        [x: string]: ({
                            type: "context";
                            value: string;
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            show_in_record_action_list?: boolean | undefined;
                            show_in_default_list?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "set";
                            value: string[] | number[] | {
                                [key: string]: unknown;
                            }[];
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "provided";
                            value: "time" | "text";
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            dateTimeArgumentTypeId?: number | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            auto_choose?: boolean | undefined;
                            is_private?: boolean | undefined;
                        }) | ({
                            type: "html" | "video";
                            value: {
                                source: string;
                            } & {
                                title?: string | undefined;
                                description?: string | undefined;
                                url?: string | undefined;
                            };
                            order_key: number;
                        } & {
                            label?: string | undefined;
                            chosen?: string | number | undefined;
                            selected?: any[] | undefined;
                            input_type?: string | undefined;
                            preselected_key?: string | undefined;
                            label_field?: string | undefined;
                            loaded?: any[] | undefined;
                            allow_create?: boolean | undefined;
                            allow_create_label?: string | undefined;
                            is_private?: boolean | undefined;
                            auto_choose?: boolean | undefined;
                        });
                    };
                    tags: string[];
                    availability_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }))[];
                    recommend_rules: (({
                        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                    } & {
                        field?: string | undefined;
                        value?: string | undefined;
                        reason?: string | undefined;
                        rule_id?: string | number | undefined;
                    }) | ({
                        type: "nudge_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        nudge_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "questlist_interaction";
                        operator: "is" | "isNot";
                        value: "completed" | "dismissed" | "viewed";
                        questlist_id: number;
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "browser" | "language" | "os";
                        operator: "includes" | "doesNotInclude";
                        values: string[];
                    } & {
                        reason?: string | undefined;
                    }) | ({
                        type: "always";
                    } & {
                        operator?: null | undefined;
                        field?: null | undefined;
                        value?: null | undefined;
                        reason?: null | undefined;
                        rule_id?: string | number | undefined;
                    }))[];
                    availability_expression: import("./helpers/rules").RuleExpression | null;
                    recommend_expression: import("./helpers/rules").RuleExpression | null;
                    always_recommend: boolean;
                    confirm: string;
                    shortcut: string[];
                    explanation: string;
                    heading: string;
                    is_live: boolean;
                    category: number | null;
                    sort_key: number | null;
                    icon: string | null;
                    icon_color: string | null;
                    image_color: string | null;
                    image: string | null;
                    celebrate: boolean | {
                        angle?: number | undefined;
                        spread?: number | undefined;
                        width?: string | undefined;
                        height?: string | undefined;
                        duration?: number | undefined;
                        dragFriction?: number | undefined;
                        stagger?: number | undefined;
                        startVelocity?: number | undefined;
                        elementCount?: number | undefined;
                        decay?: number | undefined;
                        colors?: string[] | undefined;
                        random?: any;
                    } | null;
                    recommend_sort_key: number | null;
                    shortcut_mac: string[];
                    shortcut_win: string[];
                    hotkey_mac: string;
                    hotkey_win: string;
                    detail: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    content: string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }) | (string | ({
                        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                        value: string;
                    } & {
                        position?: "inline" | "popover" | undefined;
                    }))[] | null;
                    show_preview: boolean;
                    next_steps: (string | number | {
                        cta: string;
                        action: {
                            type: "execute_command";
                            meta: {
                                command: string;
                            } & {
                                type?: "link" | "video" | "action" | "helpdoc" | undefined;
                            };
                        } | {
                            type: "click";
                            value: string;
                        } | {
                            type: "click" | "clickBySelector" | "clickByXpath";
                            value: string[];
                        } | ({
                            type: "link";
                            value: string;
                        } & {
                            operation?: "self" | "router" | "blank" | undefined;
                        }) | {
                            type: "open_chat";
                            meta: {
                                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                            };
                        } | {
                            type: "dismiss";
                        } | {
                            type: "snooze";
                        } | {
                            type: "questlist";
                            value: number;
                        } | {
                            type: "step_back";
                        } | {
                            type: "nudge";
                            value: number;
                        } | {
                            type: "go_to_step";
                            value: number;
                        } | ({
                            type: "open_bar";
                        } & {
                            value?: string | undefined;
                            categoryFilter?: number | undefined;
                        }) | {
                            type: "open_helphub";
                        } | {
                            type: "open_copilot";
                        } | {
                            type: "no_action";
                        };
                    })[];
                    extra: string | null;
                    thumbnail: {
                        src: string;
                        file_name: string;
                        size: string;
                    } | null;
                    copilot_suggest: boolean;
                    show_in_spotlight_search: boolean;
                    show_in_helphub_search: boolean;
                    copilot_cta_label: string;
                    copilot_description: string;
                } & {
                    third_party_source?: string | null | undefined;
                    third_party_id?: string | null | undefined;
                    training_only?: boolean | undefined;
                    integration?: {
                        id: number;
                        helphub_view_article_button_hidden: boolean | undefined;
                    } | null | undefined;
                };
            } | null;
        } & {
            message_id?: number | undefined;
            chat_id?: string | undefined;
            copilot_argument_values?: {
                [x: string]: unknown;
            } | null | undefined;
            copilot_argument_values_abort?: boolean | undefined;
            copilot_command?: ({
                id: number;
                text: string;
                template: ({
                    type: "admin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "callback";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "link";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "click" | "clickBySelector" | "clickByXpath";
                    value: string[];
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "builtin";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "webhook";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "script";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "request";
                    value: {
                        method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                        url: string;
                    } & {
                        headers?: {
                            [key: string]: unknown;
                        } | undefined;
                        body?: {
                            [key: string]: unknown;
                        } | undefined;
                        onSend?: string | undefined;
                        onSuccess?: string | undefined;
                        onError?: string | undefined;
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "appcues";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "pendo_guide";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "video";
                    value: string;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "helpdoc";
                    value: string;
                } & {
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    doc_metadata?: {
                        content_type?: string | undefined;
                        date?: string | undefined;
                    } | undefined;
                } & {
                    doc_type?: "answer" | "doc" | undefined;
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                }) | ({
                    type: "trigger";
                    value: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                } & {} & {
                    commandType?: "object" | "help" | "independent" | undefined;
                    object?: string | undefined;
                    hoverTooltip?: boolean | undefined;
                    operation?: "self" | "router" | "blank" | "help_hub" | undefined;
                    metadata?: {
                        [key: string]: unknown;
                    } | undefined;
                });
            } & {
                disabledReason?: string | undefined;
                source?: string | undefined;
                name?: string | undefined;
                last_available?: string | null | undefined;
                modified?: string | undefined;
                isAsync?: boolean | undefined;
            } & {
                arguments: {
                    [x: string]: ({
                        type: "context";
                        value: string;
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        show_in_record_action_list?: boolean | undefined;
                        show_in_default_list?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "set";
                        value: string[] | number[] | {
                            [key: string]: unknown;
                        }[];
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "provided";
                        value: "time" | "text";
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        dateTimeArgumentTypeId?: number | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        auto_choose?: boolean | undefined;
                        is_private?: boolean | undefined;
                    }) | ({
                        type: "html" | "video";
                        value: {
                            source: string;
                        } & {
                            title?: string | undefined;
                            description?: string | undefined;
                            url?: string | undefined;
                        };
                        order_key: number;
                    } & {
                        label?: string | undefined;
                        chosen?: string | number | undefined;
                        selected?: any[] | undefined;
                        input_type?: string | undefined;
                        preselected_key?: string | undefined;
                        label_field?: string | undefined;
                        loaded?: any[] | undefined;
                        allow_create?: boolean | undefined;
                        allow_create_label?: string | undefined;
                        is_private?: boolean | undefined;
                        auto_choose?: boolean | undefined;
                    });
                };
                tags: string[];
                availability_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }))[];
                recommend_rules: (({
                    type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
                    operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
                } & {
                    field?: string | undefined;
                    value?: string | undefined;
                    reason?: string | undefined;
                    rule_id?: string | number | undefined;
                }) | ({
                    type: "nudge_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    nudge_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "questlist_interaction";
                    operator: "is" | "isNot";
                    value: "completed" | "dismissed" | "viewed";
                    questlist_id: number;
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "browser" | "language" | "os";
                    operator: "includes" | "doesNotInclude";
                    values: string[];
                } & {
                    reason?: string | undefined;
                }) | ({
                    type: "always";
                } & {
                    operator?: null | undefined;
                    field?: null | undefined;
                    value?: null | undefined;
                    reason?: null | undefined;
                    rule_id?: string | number | undefined;
                }))[];
                availability_expression: import("./helpers/rules").RuleExpression | null;
                recommend_expression: import("./helpers/rules").RuleExpression | null;
                always_recommend: boolean;
                confirm: string;
                shortcut: string[];
                explanation: string;
                heading: string;
                is_live: boolean;
                category: number | null;
                sort_key: number | null;
                icon: string | null;
                icon_color: string | null;
                image_color: string | null;
                image: string | null;
                celebrate: boolean | {
                    angle?: number | undefined;
                    spread?: number | undefined;
                    width?: string | undefined;
                    height?: string | undefined;
                    duration?: number | undefined;
                    dragFriction?: number | undefined;
                    stagger?: number | undefined;
                    startVelocity?: number | undefined;
                    elementCount?: number | undefined;
                    decay?: number | undefined;
                    colors?: string[] | undefined;
                    random?: any;
                } | null;
                recommend_sort_key: number | null;
                shortcut_mac: string[];
                shortcut_win: string[];
                hotkey_mac: string;
                hotkey_win: string;
                detail: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                content: string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }) | (string | ({
                    type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
                    value: string;
                } & {
                    position?: "inline" | "popover" | undefined;
                }))[] | null;
                show_preview: boolean;
                next_steps: (string | number | {
                    cta: string;
                    action: {
                        type: "execute_command";
                        meta: {
                            command: string;
                        } & {
                            type?: "link" | "video" | "action" | "helpdoc" | undefined;
                        };
                    } | {
                        type: "click";
                        value: string;
                    } | {
                        type: "click" | "clickBySelector" | "clickByXpath";
                        value: string[];
                    } | ({
                        type: "link";
                        value: string;
                    } & {
                        operation?: "self" | "router" | "blank" | undefined;
                    }) | {
                        type: "open_chat";
                        meta: {
                            type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                        };
                    } | {
                        type: "dismiss";
                    } | {
                        type: "snooze";
                    } | {
                        type: "questlist";
                        value: number;
                    } | {
                        type: "step_back";
                    } | {
                        type: "nudge";
                        value: number;
                    } | {
                        type: "go_to_step";
                        value: number;
                    } | ({
                        type: "open_bar";
                    } & {
                        value?: string | undefined;
                        categoryFilter?: number | undefined;
                    }) | {
                        type: "open_helphub";
                    } | {
                        type: "open_copilot";
                    } | {
                        type: "no_action";
                    };
                })[];
                extra: string | null;
                thumbnail: {
                    src: string;
                    file_name: string;
                    size: string;
                } | null;
                copilot_suggest: boolean;
                show_in_spotlight_search: boolean;
                show_in_helphub_search: boolean;
                copilot_cta_label: string;
                copilot_description: string;
            } & {
                third_party_source?: string | null | undefined;
                third_party_id?: string | null | undefined;
                training_only?: boolean | undefined;
                integration?: {
                    id: number;
                    helphub_view_article_button_hidden: boolean | undefined;
                } | null | undefined;
            }) | undefined;
            experiences?: ({
                type: "command";
                value: string | number;
                description: string;
            } | {
                type: "nudge";
                value: number;
                description: string;
            } | {
                type: "questlist";
                value: number;
                description: string;
            })[] | null | undefined;
        };
        uuid: string | null;
        error: string;
        incomplete: boolean;
        no_answer: boolean;
        used_fallback: boolean;
        feedback: {
            rating: 0 | 1 | -1;
        } | null;
        continuations: string[] | null;
        fallback_ctas: string[] | null;
        fallback_labeled_actions: {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        }[];
    } | {
        message_type: "USER";
        value: {
            question: string;
            command_ids: number[];
        };
        uuid: string | null;
    }>;
}
