/********************************************************************************/
import * as t from 'io-ts';
import { GenericBatchRequest } from './generics';
import { ContentType, ICommandType, ICommandTypeLite, IEditorCommandType, IEditorCommandTypeLite } from './types';
export { CommandFromClientV } from './CommandFromClientV';
declare const CommandBaseV: t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pendo_guide">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
        doc_metadata: t.PartialC<{
            content_type: t.StringC;
            date: t.StringC;
        }>;
    }>]>, t.PartialC<{
        doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"trigger">;
        value: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>;
declare const HelpSyncCommandAdditionalV: t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
    training_only: t.BooleanC;
    integration: t.UnionC<[t.TypeC<{
        id: t.NumberC;
        helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    }>, t.NullC]>;
}>;
export declare const helpSyncDefaults: t.TypeOf<typeof HelpSyncCommandAdditionalV>;
export declare const CommandV: t.Type<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression | null;
    recommend_expression: import("./helpers/rules").RuleExpression | null;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    extra: string | null;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression | null;
    recommend_expression: import("./helpers/rules").RuleExpression | null;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    extra: string | null;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, any>;
export declare const EditorCommandV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pendo_guide">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
        doc_metadata: t.PartialC<{
            content_type: t.StringC;
            date: t.StringC;
        }>;
    }>]>, t.PartialC<{
        doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"trigger">;
        value: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>]>;
    recommend_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>>]>;
    availability_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    recommend_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    show_preview: t.BooleanC;
    thumbnail: t.UnionC<[t.NullC, t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>]>;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC, t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>]>>;
    generated_tags: t.PartialC<{
        automated: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        manual: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        deny: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
    }>;
    copilot_suggest: t.BooleanC;
    show_in_spotlight_search: t.BooleanC;
    show_in_helphub_search: t.BooleanC;
    copilot_cta_label: t.StringC;
    copilot_description: t.StringC;
    editor_tags: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
    training_only: t.BooleanC;
    integration: t.UnionC<[t.TypeC<{
        id: t.NumberC;
        helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    }>, t.NullC]>;
}>]>;
export declare const CommandLiteV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pendo_guide">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
        doc_metadata: t.PartialC<{
            content_type: t.StringC;
            date: t.StringC;
        }>;
    }>]>, t.PartialC<{
        doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"trigger">;
        value: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<Pick<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>;
    recommend_rules: t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>>;
    availability_expression: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC]>;
    recommend_expression: t.UnionC<[t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>, t.NullC]>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    show_preview: t.BooleanC;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC, t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>]>>;
    extra: t.UnionC<[t.StringC, t.NullC]>;
    thumbnail: t.UnionC<[t.NullC, t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>]>;
    copilot_suggest: t.BooleanC;
    show_in_spotlight_search: t.BooleanC;
    show_in_helphub_search: t.BooleanC;
    copilot_cta_label: t.StringC;
    copilot_description: t.StringC;
}, "image" | "confirm" | "icon" | "heading" | "sort_key" | "is_live" | "copilot_suggest" | "show_in_spotlight_search" | "show_in_helphub_search" | "copilot_cta_label" | "copilot_description" | "tags" | "arguments" | "extra" | "shortcut" | "celebrate" | "icon_color" | "image_color" | "show_preview" | "availability_rules" | "recommend_rules" | "availability_expression" | "recommend_expression" | "always_recommend" | "category" | "recommend_sort_key" | "shortcut_mac" | "shortcut_win" | "hotkey_mac" | "hotkey_win" | "next_steps" | "thumbnail">>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
    training_only: t.BooleanC;
    integration: t.UnionC<[t.TypeC<{
        id: t.NumberC;
        helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    }>, t.NullC]>;
}>]>;
export declare const EditorCommandLiteV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pendo_guide">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
        doc_metadata: t.PartialC<{
            content_type: t.StringC;
            date: t.StringC;
        }>;
    }>]>, t.PartialC<{
        doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"trigger">;
        value: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<Pick<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>]>;
    recommend_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>>]>;
    availability_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    recommend_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    show_preview: t.BooleanC;
    thumbnail: t.UnionC<[t.NullC, t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>]>;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC, t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>]>>;
    generated_tags: t.PartialC<{
        automated: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        manual: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        deny: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
    }>;
    copilot_suggest: t.BooleanC;
    show_in_spotlight_search: t.BooleanC;
    show_in_helphub_search: t.BooleanC;
    copilot_cta_label: t.StringC;
    copilot_description: t.StringC;
    editor_tags: t.ArrayC<t.StringC>;
}, "image" | "confirm" | "icon" | "heading" | "sort_key" | "is_live" | "copilot_suggest" | "show_in_spotlight_search" | "show_in_helphub_search" | "copilot_cta_label" | "copilot_description" | "editor_tags" | "tags" | "arguments" | "shortcut" | "celebrate" | "icon_color" | "image_color" | "show_preview" | "availability_rules" | "recommend_rules" | "availability_expression" | "recommend_expression" | "always_recommend" | "category" | "recommend_sort_key" | "shortcut_mac" | "shortcut_win" | "hotkey_mac" | "hotkey_win" | "next_steps" | "thumbnail" | "generated_tags">>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
    training_only: t.BooleanC;
    integration: t.UnionC<[t.TypeC<{
        id: t.NumberC;
        helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    }>, t.NullC]>;
}>]>;
export declare const BatchOperationV: t.UnionC<[t.TypeC<{
    op: t.LiteralC<"update">;
    id: t.NumberC;
    data: t.UnknownC;
}>, t.TypeC<{
    op: t.LiteralC<"create">;
    data: t.UnknownC;
}>, t.TypeC<{
    op: t.LiteralC<"delete">;
    id: t.NumberC;
}>]>;
export declare const BatchEditorCommandResponseV: t.TypeC<{
    batch: t.ArrayC<t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        id: t.NumberC;
        text: t.StringC;
        template: t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"admin">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"callback">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"builtin">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"webhook">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"script">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"request">;
            value: t.IntersectionC<[t.TypeC<{
                method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
                url: t.StringC;
            }>, t.PartialC<{
                headers: t.UnknownRecordC;
                body: t.UnknownRecordC;
                onSend: t.StringC;
                onSuccess: t.StringC;
                onError: t.StringC;
            }>]>;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"appcues">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"pendo_guide">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"video">;
            value: t.StringC;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"helpdoc">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
            doc_metadata: t.PartialC<{
                content_type: t.StringC;
                date: t.StringC;
            }>;
        }>]>, t.PartialC<{
            doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"trigger">;
            value: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.IntersectionC<[t.TypeC<{
                    command: t.StringC;
                }>, t.PartialC<{
                    type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                }>]>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.TypeC<{
                type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                value: t.ArrayC<t.StringC>;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_chat">;
                meta: t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"dismiss">;
            }>, t.TypeC<{
                type: t.LiteralC<"snooze">;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"go_to_step">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"step_back">;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"open_bar">;
            }>, t.PartialC<{
                value: t.StringC;
                categoryFilter: t.NumberC;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_helphub">;
            }>, t.TypeC<{
                type: t.LiteralC<"open_copilot">;
            }>]>;
        }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
            commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
            object: t.StringC;
            hoverTooltip: t.BooleanC;
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
            metadata: t.UnknownRecordC;
        }>]>]>]>;
    }>, t.PartialC<{
        disabledReason: t.StringC;
        source: t.StringC;
        name: t.StringC;
        last_available: t.UnionC<[t.StringC, t.NullC]>;
        modified: t.StringC;
        isAsync: t.BooleanC;
    }>]>, t.TypeC<{
        arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"context">;
            value: t.StringC;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            show_in_record_action_list: t.BooleanC;
            show_in_default_list: t.BooleanC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"set">;
            value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"provided">;
            value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            dateTimeArgumentTypeId: t.NumberC;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            auto_choose: t.BooleanC;
            is_private: t.BooleanC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
            value: t.IntersectionC<[t.TypeC<{
                source: t.StringC;
            }>, t.PartialC<{
                title: t.StringC;
                description: t.StringC;
                url: t.StringC;
            }>]>;
            order_key: t.NumberC;
        }>, t.PartialC<{
            label: t.StringC;
            chosen: t.UnionC<[t.StringC, t.NumberC]>;
            selected: t.ArrayC<t.AnyC>;
            input_type: t.StringC;
            preselected_key: t.StringC;
            label_field: t.StringC;
            loaded: t.ArrayC<t.AnyC>;
            allow_create: t.BooleanC;
            allow_create_label: t.StringC;
            is_private: t.BooleanC;
            auto_choose: t.BooleanC;
        }>]>]>>;
        tags: t.ArrayC<t.StringC>;
        availability_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                matchesRegex: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
                classnameNotOnPage: null;
                idNotOnPage: null;
                selectorNotOnPage: null;
                doesNotInclude: null;
                isNot: null;
                isGreaterThan: null;
                isLessThan: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"nudge_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            nudge_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"questlist_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            questlist_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
            operator: t.KeyofC<{
                includes: null;
                doesNotInclude: null;
            }>;
            values: t.ArrayC<t.StringC>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>>, t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                matchesRegex: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
                classnameNotOnPage: null;
                idNotOnPage: null;
                selectorNotOnPage: null;
                doesNotInclude: null;
                isNot: null;
                isGreaterThan: null;
                isLessThan: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"nudge_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            nudge_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"questlist_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            questlist_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
            operator: t.KeyofC<{
                includes: null;
                doesNotInclude: null;
            }>;
            values: t.ArrayC<t.StringC>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>>]>;
        recommend_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"always">;
        }>, t.PartialC<{
            operator: t.UnionC<[t.UndefinedC, t.NullC]>;
            field: t.UnionC<[t.UndefinedC, t.NullC]>;
            value: t.UnionC<[t.UndefinedC, t.NullC]>;
            reason: t.UnionC<[t.UndefinedC, t.NullC]>;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                matchesRegex: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
                classnameNotOnPage: null;
                idNotOnPage: null;
                selectorNotOnPage: null;
                doesNotInclude: null;
                isNot: null;
                isGreaterThan: null;
                isLessThan: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"nudge_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            nudge_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"questlist_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            questlist_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
            operator: t.KeyofC<{
                includes: null;
                doesNotInclude: null;
            }>;
            values: t.ArrayC<t.StringC>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"named_rule">;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"always">;
        }>, t.PartialC<{
            operator: t.UnionC<[t.UndefinedC, t.NullC]>;
            field: t.UnionC<[t.UndefinedC, t.NullC]>;
            value: t.UnionC<[t.UndefinedC, t.NullC]>;
            reason: t.UnionC<[t.UndefinedC, t.NullC]>;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
            operator: t.KeyofC<{
                includes: null;
                endsWith: null;
                startsWith: null;
                is: null;
                isTrue: null;
                isFalse: null;
                isTruthy: null;
                isFalsy: null;
                matchesRegex: null;
                isDefined: null;
                isNotDefined: null;
                classnameOnPage: null;
                idOnPage: null;
                selectorOnPage: null;
                classnameNotOnPage: null;
                idNotOnPage: null;
                selectorNotOnPage: null;
                doesNotInclude: null;
                isNot: null;
                isGreaterThan: null;
                isLessThan: null;
            }>;
        }>, t.PartialC<{
            field: t.StringC;
            value: t.StringC;
            reason: t.StringC;
            rule_id: t.UnionC<[t.NumberC, t.StringC]>;
        }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"nudge_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            nudge_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"questlist_interaction">;
            operator: t.KeyofC<{
                is: null;
                isNot: null;
            }>;
            value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
            questlist_id: t.NumberC;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>]>, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
            operator: t.KeyofC<{
                includes: null;
                doesNotInclude: null;
            }>;
            values: t.ArrayC<t.StringC>;
        }>, t.PartialC<{
            reason: t.StringC;
        }>]>]>]>>]>;
        availability_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        recommend_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
        always_recommend: t.BooleanC;
        confirm: t.StringC;
        shortcut: t.ArrayC<t.StringC>;
        explanation: t.StringC;
        heading: t.StringC;
        is_live: t.BooleanC;
        category: t.UnionC<[t.NumberC, t.NullC]>;
        sort_key: t.UnionC<[t.NumberC, t.NullC]>;
        icon: t.UnionC<[t.StringC, t.NullC]>;
        icon_color: t.UnionC<[t.StringC, t.NullC]>;
        image_color: t.UnionC<[t.StringC, t.NullC]>;
        image: t.UnionC<[t.StringC, t.NullC]>;
        celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
            angle: t.NumberC;
            spread: t.NumberC;
            width: t.StringC;
            height: t.StringC;
            duration: t.NumberC;
            dragFriction: t.NumberC;
            stagger: t.NumberC;
            startVelocity: t.NumberC;
            elementCount: t.NumberC;
            decay: t.NumberC;
            colors: t.ArrayC<t.StringC>;
            random: t.AnyC;
        }>, t.NullC]>;
        recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
        shortcut_mac: t.ArrayC<t.StringC>;
        shortcut_win: t.ArrayC<t.StringC>;
        hotkey_mac: t.StringC;
        hotkey_win: t.StringC;
        detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
            type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
            value: t.StringC;
        }>, t.PartialC<{
            position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
        }>]>]>>]>;
        show_preview: t.BooleanC;
        thumbnail: t.UnionC<[t.NullC, t.TypeC<{
            src: t.StringC;
            file_name: t.StringC;
            size: t.StringC;
        }>]>;
        next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC, t.TypeC<{
            cta: t.StringC;
            action: t.UnionC<[t.TypeC<{
                type: t.LiteralC<"execute_command">;
                meta: t.IntersectionC<[t.TypeC<{
                    command: t.StringC;
                }>, t.PartialC<{
                    type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
                }>]>;
            }>, t.TypeC<{
                type: t.LiteralC<"no_action">;
            }>, t.TypeC<{
                type: t.LiteralC<"click">;
                value: t.StringC;
            }>, t.TypeC<{
                type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
                value: t.ArrayC<t.StringC>;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"link">;
                value: t.StringC;
            }>, t.PartialC<{
                operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_chat">;
                meta: t.TypeC<{
                    type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
                }>;
            }>, t.TypeC<{
                type: t.LiteralC<"dismiss">;
            }>, t.TypeC<{
                type: t.LiteralC<"snooze">;
            }>, t.TypeC<{
                type: t.LiteralC<"questlist">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"nudge">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"go_to_step">;
                value: t.NumberC;
            }>, t.TypeC<{
                type: t.LiteralC<"step_back">;
            }>, t.IntersectionC<[t.TypeC<{
                type: t.LiteralC<"open_bar">;
            }>, t.PartialC<{
                value: t.StringC;
                categoryFilter: t.NumberC;
            }>]>, t.TypeC<{
                type: t.LiteralC<"open_helphub">;
            }>, t.TypeC<{
                type: t.LiteralC<"open_copilot">;
            }>]>;
        }>]>>;
        generated_tags: t.PartialC<{
            automated: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
            manual: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
            deny: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        }>;
        copilot_suggest: t.BooleanC;
        show_in_spotlight_search: t.BooleanC;
        show_in_helphub_search: t.BooleanC;
        copilot_cta_label: t.StringC;
        copilot_description: t.StringC;
        editor_tags: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        third_party_source: t.UnionC<[t.StringC, t.NullC]>;
        third_party_id: t.UnionC<[t.StringC, t.NullC]>;
        training_only: t.BooleanC;
        integration: t.UnionC<[t.TypeC<{
            id: t.NumberC;
            helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC]>;
        }>, t.NullC]>;
    }>]>>;
}>;
export declare const create: (object: {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const update: (object: {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const del: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
export declare const get: (arg0: string, params?: Record<string, string> | undefined, callbacks?: {
    onSuccess?: (() => void) | undefined;
    onError?: ((err: string) => void) | undefined;
} | undefined) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const updatePartial: (command: Pick<IEditorCommandType, 'id'> & Partial<IEditorCommandType>) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const batch: (request: t.TypeOf<typeof GenericBatchRequest>) => Promise<{
    batch: ({
        id: number;
        text: string;
        template: ({
            type: "admin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "callback";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "builtin";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "webhook";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "script";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "request";
            value: {
                method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
                url: string;
            } & {
                headers?: {
                    [key: string]: unknown;
                } | undefined;
                body?: {
                    [key: string]: unknown;
                } | undefined;
                onSend?: string | undefined;
                onSuccess?: string | undefined;
                onError?: string | undefined;
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "appcues";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "pendo_guide";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "video";
            value: string;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "helpdoc";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            doc_metadata?: {
                content_type?: string | undefined;
                date?: string | undefined;
            } | undefined;
        } & {
            doc_type?: "answer" | "doc" | undefined;
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        }) | ({
            type: "trigger";
            value: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        } & {} & {
            commandType?: "object" | "help" | "independent" | undefined;
            object?: string | undefined;
            hoverTooltip?: boolean | undefined;
            operation?: "self" | "router" | "blank" | "help_hub" | undefined;
            metadata?: {
                [key: string]: unknown;
            } | undefined;
        });
    } & {
        disabledReason?: string | undefined;
        source?: string | undefined;
        name?: string | undefined;
        last_available?: string | null | undefined;
        modified?: string | undefined;
        isAsync?: boolean | undefined;
    } & {
        arguments: {
            [x: string]: ({
                type: "context";
                value: string;
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                show_in_record_action_list?: boolean | undefined;
                show_in_default_list?: boolean | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "set";
                value: string[] | number[] | {
                    [key: string]: unknown;
                }[];
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "provided";
                value: "time" | "text";
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                dateTimeArgumentTypeId?: number | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                auto_choose?: boolean | undefined;
                is_private?: boolean | undefined;
            }) | ({
                type: "html" | "video";
                value: {
                    source: string;
                } & {
                    title?: string | undefined;
                    description?: string | undefined;
                    url?: string | undefined;
                };
                order_key: number;
            } & {
                label?: string | undefined;
                chosen?: string | number | undefined;
                selected?: any[] | undefined;
                input_type?: string | undefined;
                preselected_key?: string | undefined;
                label_field?: string | undefined;
                loaded?: any[] | undefined;
                allow_create?: boolean | undefined;
                allow_create_label?: string | undefined;
                is_private?: boolean | undefined;
                auto_choose?: boolean | undefined;
            });
        };
        tags: string[];
        availability_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[] | (({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }))[];
        recommend_rules: (({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[] | (({
            type: "named_rule";
            rule_id: string | number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
            operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
        } & {
            field?: string | undefined;
            value?: string | undefined;
            reason?: string | undefined;
            rule_id?: string | number | undefined;
        }) | ({
            type: "nudge_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            nudge_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "questlist_interaction";
            operator: "is" | "isNot";
            value: "completed" | "dismissed" | "viewed";
            questlist_id: number;
        } & {
            reason?: string | undefined;
        }) | ({
            type: "browser" | "language" | "os";
            operator: "includes" | "doesNotInclude";
            values: string[];
        } & {
            reason?: string | undefined;
        }) | ({
            type: "always";
        } & {
            operator?: null | undefined;
            field?: null | undefined;
            value?: null | undefined;
            reason?: null | undefined;
            rule_id?: string | number | undefined;
        }))[];
        availability_expression: import("./helpers/rules").RuleExpression;
        recommend_expression: import("./helpers/rules").RuleExpression;
        always_recommend: boolean;
        confirm: string;
        shortcut: string[];
        explanation: string;
        heading: string;
        is_live: boolean;
        category: number | null;
        sort_key: number | null;
        icon: string | null;
        icon_color: string | null;
        image_color: string | null;
        image: string | null;
        celebrate: boolean | {
            angle?: number | undefined;
            spread?: number | undefined;
            width?: string | undefined;
            height?: string | undefined;
            duration?: number | undefined;
            dragFriction?: number | undefined;
            stagger?: number | undefined;
            startVelocity?: number | undefined;
            elementCount?: number | undefined;
            decay?: number | undefined;
            colors?: string[] | undefined;
            random?: any;
        } | null;
        recommend_sort_key: number | null;
        shortcut_mac: string[];
        shortcut_win: string[];
        hotkey_mac: string;
        hotkey_win: string;
        detail: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        content: string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }) | (string | ({
            type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
            value: string;
        } & {
            position?: "inline" | "popover" | undefined;
        }))[] | null;
        show_preview: boolean;
        thumbnail: {
            src: string;
            file_name: string;
            size: string;
        } | null;
        next_steps: (string | number | {
            cta: string;
            action: {
                type: "execute_command";
                meta: {
                    command: string;
                } & {
                    type?: "link" | "video" | "action" | "helpdoc" | undefined;
                };
            } | {
                type: "click";
                value: string;
            } | {
                type: "click" | "clickBySelector" | "clickByXpath";
                value: string[];
            } | ({
                type: "link";
                value: string;
            } & {
                operation?: "self" | "router" | "blank" | undefined;
            }) | {
                type: "open_chat";
                meta: {
                    type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
                };
            } | {
                type: "dismiss";
            } | {
                type: "snooze";
            } | {
                type: "questlist";
                value: number;
            } | {
                type: "step_back";
            } | {
                type: "nudge";
                value: number;
            } | {
                type: "go_to_step";
                value: number;
            } | ({
                type: "open_bar";
            } & {
                value?: string | undefined;
                categoryFilter?: number | undefined;
            }) | {
                type: "open_helphub";
            } | {
                type: "open_copilot";
            } | {
                type: "no_action";
            };
        })[];
        generated_tags: {
            automated?: string[] | null | undefined;
            manual?: string[] | null | undefined;
            deny?: string[] | null | undefined;
        };
        copilot_suggest: boolean;
        show_in_spotlight_search: boolean;
        show_in_helphub_search: boolean;
        copilot_cta_label: string;
        copilot_description: string;
        editor_tags: string[];
    } & {
        third_party_source?: string | null | undefined;
        third_party_id?: string | null | undefined;
        training_only?: boolean | undefined;
        integration?: {
            id: number;
            helphub_view_article_button_hidden: boolean | undefined;
        } | null | undefined;
    })[];
}>;
export declare const validateFromClient: (data: any) => Promise<{
    name: string;
    template: ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
    text: string;
} & {
    shortcut_mac?: string[] | undefined;
    shortcut_win?: string[] | undefined;
    hotkey_mac?: string | undefined;
    hotkey_win?: string | undefined;
    tags?: string[] | undefined;
    explanation?: string | undefined;
    heading?: string | undefined;
    sort_key?: number | null | undefined;
    arguments?: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    } | undefined;
    category?: string | number | null | undefined;
    icon?: string | null | undefined;
    icon_color?: string | null | undefined;
    image_color?: string | null | undefined;
    image?: string | null | undefined;
    celebrate?: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null | undefined;
    availability_rules?: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | undefined;
    recommend_rules?: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | undefined;
    availability_expression?: import("./helpers/rules").RuleExpression[] | undefined;
    recommend_expression?: import("./helpers/rules").RuleExpression[] | undefined;
    detail?: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    })[] | undefined;
    content?: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    })[] | undefined;
    show_preview?: boolean | undefined;
    extra?: string | null | undefined;
}>;
export declare const decode: (data: any) => ICommandType;
export declare const decodeEditorCommand: (data: {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    [key: string]: any;
}) => {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
};
export declare const createWithoutThrottle: (object: {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const updateWithoutThrottle: (object: {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
export declare const deleteWithoutThrottle: (id: string | number, params?: Record<string, string> | undefined, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<void>;
export declare const commandUID: (cmd: ICommandTypeLite | IEditorCommandTypeLite) => string;
export declare const isProgrammatic: (cmd: ICommandTypeLite | IEditorCommandTypeLite) => boolean;
export declare const ContentTypeV: t.UnionC<[t.LiteralC<"source">, t.LiteralC<"answer">, t.LiteralC<"file">, t.LiteralC<"video">]>;
export declare const getContentType: (cmd: ICommandTypeLite | IEditorCommandTypeLite) => ContentType | null;
export declare const isRecordAction: (cmd: ICommandTypeLite | IEditorCommandTypeLite, recordKey?: string) => boolean;
export declare const isHelpSyncCommand: (cmd: ICommandTypeLite | IEditorCommandTypeLite) => boolean;
export declare const showInDefaultList: (cmd: ICommandTypeLite | IEditorCommandTypeLite) => boolean;
export declare const HelpSyncCommandV: t.IntersectionC<[t.IntersectionC<[t.TypeC<{
    id: t.NumberC;
    text: t.StringC;
    template: t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"admin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"callback">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"link">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
    }>]>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
        value: t.ArrayC<t.StringC>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"builtin">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"webhook">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"script">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"request">;
        value: t.IntersectionC<[t.TypeC<{
            method: t.UnionC<[t.LiteralC<"get">, t.LiteralC<"delete">, t.LiteralC<"head">, t.LiteralC<"options">, t.LiteralC<"post">, t.LiteralC<"put">, t.LiteralC<"patch">]>;
            url: t.StringC;
        }>, t.PartialC<{
            headers: t.UnknownRecordC;
            body: t.UnknownRecordC;
            onSend: t.StringC;
            onSuccess: t.StringC;
            onError: t.StringC;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"appcues">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"pendo_guide">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"video">;
        value: t.StringC;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"helpdoc">;
        value: t.StringC;
    }>, t.PartialC<{
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.LiteralC<"help_hub">, t.UndefinedC]>;
        doc_metadata: t.PartialC<{
            content_type: t.StringC;
            date: t.StringC;
        }>;
    }>]>, t.PartialC<{
        doc_type: t.UnionC<[t.LiteralC<"answer">, t.LiteralC<"doc">]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"trigger">;
        value: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>, t.IntersectionC<[t.TypeC<{}>, t.PartialC<{
        commandType: t.UnionC<[t.LiteralC<"independent">, t.LiteralC<"object">, t.LiteralC<"help">]>;
        object: t.StringC;
        hoverTooltip: t.BooleanC;
        operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"help_hub">, t.LiteralC<"blank">, t.UndefinedC]>;
        metadata: t.UnknownRecordC;
    }>]>]>]>;
}>, t.PartialC<{
    disabledReason: t.StringC;
    source: t.StringC;
    name: t.StringC;
    last_available: t.UnionC<[t.StringC, t.NullC]>;
    modified: t.StringC;
    isAsync: t.BooleanC;
}>]>, t.TypeC<{
    arguments: t.RecordC<t.StringC, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"context">;
        value: t.StringC;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        show_in_record_action_list: t.BooleanC;
        show_in_default_list: t.BooleanC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"set">;
        value: t.UnionC<[t.ArrayC<t.StringC>, t.ArrayC<t.NumberC>, t.ArrayC<t.UnknownRecordC>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"provided">;
        value: t.UnionC<[t.LiteralC<"text">, t.LiteralC<"time">]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        dateTimeArgumentTypeId: t.NumberC;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        auto_choose: t.BooleanC;
        is_private: t.BooleanC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"video">, t.LiteralC<"html">]>;
        value: t.IntersectionC<[t.TypeC<{
            source: t.StringC;
        }>, t.PartialC<{
            title: t.StringC;
            description: t.StringC;
            url: t.StringC;
        }>]>;
        order_key: t.NumberC;
    }>, t.PartialC<{
        label: t.StringC;
        chosen: t.UnionC<[t.StringC, t.NumberC]>;
        selected: t.ArrayC<t.AnyC>;
        input_type: t.StringC;
        preselected_key: t.StringC;
        label_field: t.StringC;
        loaded: t.ArrayC<t.AnyC>;
        allow_create: t.BooleanC;
        allow_create_label: t.StringC;
        is_private: t.BooleanC;
        auto_choose: t.BooleanC;
    }>]>]>>;
    tags: t.ArrayC<t.StringC>;
    availability_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>]>;
    recommend_rules: t.UnionC<[t.ArrayC<t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"named_rule">;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>>, t.ArrayC<t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"always">;
    }>, t.PartialC<{
        operator: t.UnionC<[t.UndefinedC, t.NullC]>;
        field: t.UnionC<[t.UndefinedC, t.NullC]>;
        value: t.UnionC<[t.UndefinedC, t.NullC]>;
        reason: t.UnionC<[t.UndefinedC, t.NullC]>;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"user_property">, t.LiteralC<"event_property">, t.LiteralC<"context">, t.LiteralC<"url">, t.LiteralC<"hostname">, t.LiteralC<"element">, t.LiteralC<"executions">, t.LiteralC<"shortcuts">, t.LiteralC<"last_seen">, t.LiteralC<"first_seen">, t.LiteralC<"sessions">, t.LiteralC<"opens">, t.LiteralC<"deadends">, t.LiteralC<"heap">, t.LiteralC<"hubspot">, t.LiteralC<"device_type">, t.LiteralC<"ab_test">, t.LiteralC<"intent">, t.LiteralC<"help_doc_interaction">, t.LiteralC<"video_interaction">, t.LiteralC<"survey_response">]>;
        operator: t.KeyofC<{
            includes: null;
            endsWith: null;
            startsWith: null;
            is: null;
            isTrue: null;
            isFalse: null;
            isTruthy: null;
            isFalsy: null;
            matchesRegex: null;
            isDefined: null;
            isNotDefined: null;
            classnameOnPage: null;
            idOnPage: null;
            selectorOnPage: null;
            classnameNotOnPage: null;
            idNotOnPage: null;
            selectorNotOnPage: null;
            doesNotInclude: null;
            isNot: null;
            isGreaterThan: null;
            isLessThan: null;
        }>;
    }>, t.PartialC<{
        field: t.StringC;
        value: t.StringC;
        reason: t.StringC;
        rule_id: t.UnionC<[t.NumberC, t.StringC]>;
    }>]>, t.UnionC<[t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"nudge_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        nudge_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>, t.IntersectionC<[t.TypeC<{
        type: t.LiteralC<"questlist_interaction">;
        operator: t.KeyofC<{
            is: null;
            isNot: null;
        }>;
        value: t.UnionC<[t.LiteralC<"viewed">, t.LiteralC<"completed">, t.LiteralC<"dismissed">]>;
        questlist_id: t.NumberC;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"browser">, t.LiteralC<"os">, t.LiteralC<"language">]>;
        operator: t.KeyofC<{
            includes: null;
            doesNotInclude: null;
        }>;
        values: t.ArrayC<t.StringC>;
    }>, t.PartialC<{
        reason: t.StringC;
    }>]>]>]>>]>;
    availability_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    recommend_expression: t.Type<import("./helpers/rules").RuleExpression, import("./helpers/rules").RuleExpression, unknown>;
    always_recommend: t.BooleanC;
    confirm: t.StringC;
    shortcut: t.ArrayC<t.StringC>;
    explanation: t.StringC;
    heading: t.StringC;
    is_live: t.BooleanC;
    category: t.UnionC<[t.NumberC, t.NullC]>;
    sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    icon: t.UnionC<[t.StringC, t.NullC]>;
    icon_color: t.UnionC<[t.StringC, t.NullC]>;
    image_color: t.UnionC<[t.StringC, t.NullC]>;
    image: t.UnionC<[t.StringC, t.NullC]>;
    celebrate: t.UnionC<[t.BooleanC, t.PartialC<{
        angle: t.NumberC;
        spread: t.NumberC;
        width: t.StringC;
        height: t.StringC;
        duration: t.NumberC;
        dragFriction: t.NumberC;
        stagger: t.NumberC;
        startVelocity: t.NumberC;
        elementCount: t.NumberC;
        decay: t.NumberC;
        colors: t.ArrayC<t.StringC>;
        random: t.AnyC;
    }>, t.NullC]>;
    recommend_sort_key: t.UnionC<[t.NumberC, t.NullC]>;
    shortcut_mac: t.ArrayC<t.StringC>;
    shortcut_win: t.ArrayC<t.StringC>;
    hotkey_mac: t.StringC;
    hotkey_win: t.StringC;
    detail: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    content: t.UnionC<[t.NullC, t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>, t.ArrayC<t.UnionC<[t.StringC, t.IntersectionC<[t.TypeC<{
        type: t.UnionC<[t.LiteralC<"plaintext">, t.LiteralC<"markdown">, t.LiteralC<"html">, t.LiteralC<"react">, t.LiteralC<"video">, t.LiteralC<"component">]>;
        value: t.StringC;
    }>, t.PartialC<{
        position: t.UnionC<[t.LiteralC<"inline">, t.LiteralC<"popover">]>;
    }>]>]>>]>;
    show_preview: t.BooleanC;
    thumbnail: t.UnionC<[t.NullC, t.TypeC<{
        src: t.StringC;
        file_name: t.StringC;
        size: t.StringC;
    }>]>;
    next_steps: t.ArrayC<t.UnionC<[t.StringC, t.NumberC, t.TypeC<{
        cta: t.StringC;
        action: t.UnionC<[t.TypeC<{
            type: t.LiteralC<"execute_command">;
            meta: t.IntersectionC<[t.TypeC<{
                command: t.StringC;
            }>, t.PartialC<{
                type: t.UnionC<[t.LiteralC<"action">, t.LiteralC<"link">, t.LiteralC<"helpdoc">, t.LiteralC<"video">]>;
            }>]>;
        }>, t.TypeC<{
            type: t.LiteralC<"no_action">;
        }>, t.TypeC<{
            type: t.LiteralC<"click">;
            value: t.StringC;
        }>, t.TypeC<{
            type: t.UnionC<[t.LiteralC<"click">, t.LiteralC<"clickBySelector">, t.LiteralC<"clickByXpath">]>;
            value: t.ArrayC<t.StringC>;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"link">;
            value: t.StringC;
        }>, t.PartialC<{
            operation: t.UnionC<[t.LiteralC<"router">, t.LiteralC<"self">, t.LiteralC<"blank">, t.UndefinedC]>;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_chat">;
            meta: t.TypeC<{
                type: t.UnionC<[t.LiteralC<"intercom">, t.LiteralC<"helpscout">, t.LiteralC<"freshdesk">, t.LiteralC<"crisp">, t.LiteralC<"zendesk">, t.LiteralC<"liveChat">, t.LiteralC<"gist">, t.LiteralC<"olark">, t.LiteralC<"hubspot">, t.LiteralC<"drift">, t.LiteralC<"">]>;
            }>;
        }>, t.TypeC<{
            type: t.LiteralC<"dismiss">;
        }>, t.TypeC<{
            type: t.LiteralC<"snooze">;
        }>, t.TypeC<{
            type: t.LiteralC<"questlist">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"nudge">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"go_to_step">;
            value: t.NumberC;
        }>, t.TypeC<{
            type: t.LiteralC<"step_back">;
        }>, t.IntersectionC<[t.TypeC<{
            type: t.LiteralC<"open_bar">;
        }>, t.PartialC<{
            value: t.StringC;
            categoryFilter: t.NumberC;
        }>]>, t.TypeC<{
            type: t.LiteralC<"open_helphub">;
        }>, t.TypeC<{
            type: t.LiteralC<"open_copilot">;
        }>]>;
    }>]>>;
    generated_tags: t.PartialC<{
        automated: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        manual: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
        deny: t.UnionC<[t.ArrayC<t.StringC>, t.NullC]>;
    }>;
    copilot_suggest: t.BooleanC;
    show_in_spotlight_search: t.BooleanC;
    show_in_helphub_search: t.BooleanC;
    copilot_cta_label: t.StringC;
    copilot_description: t.StringC;
    editor_tags: t.ArrayC<t.StringC>;
}>, t.PartialC<{
    third_party_source: t.UnionC<[t.StringC, t.NullC]>;
    third_party_id: t.UnionC<[t.StringC, t.NullC]>;
    training_only: t.BooleanC;
    integration: t.UnionC<[t.TypeC<{
        id: t.NumberC;
        helphub_view_article_button_hidden: t.UnionC<[t.BooleanC, t.UndefinedC]>;
    }>, t.NullC]>;
}>]>;
export declare const listHelpCenter: (onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<({
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    image: string | null;
    confirm: string;
    icon: string | null;
    heading: string;
    sort_key: number | null;
    is_live: boolean;
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
    tags: string[];
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    shortcut: string[];
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    icon_color: string | null;
    image_color: string | null;
    show_preview: boolean;
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    category: number | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
})[]>;
export declare const updateHelpSyncCommandWithoutThrottle: (object: {
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}, onSuccess?: (() => void) | undefined, onError?: ((err: string) => void) | undefined) => Promise<{
    id: number;
    text: string;
    template: ({
        type: "admin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "callback";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "link";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "click" | "clickBySelector" | "clickByXpath";
        value: string[];
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "builtin";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "webhook";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "script";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "request";
        value: {
            method: "head" | "options" | "get" | "post" | "put" | "delete" | "patch";
            url: string;
        } & {
            headers?: {
                [key: string]: unknown;
            } | undefined;
            body?: {
                [key: string]: unknown;
            } | undefined;
            onSend?: string | undefined;
            onSuccess?: string | undefined;
            onError?: string | undefined;
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "appcues";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "pendo_guide";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "video";
        value: string;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "helpdoc";
        value: string;
    } & {
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        doc_metadata?: {
            content_type?: string | undefined;
            date?: string | undefined;
        } | undefined;
    } & {
        doc_type?: "answer" | "doc" | undefined;
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    }) | ({
        type: "trigger";
        value: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    } & {} & {
        commandType?: "object" | "help" | "independent" | undefined;
        object?: string | undefined;
        hoverTooltip?: boolean | undefined;
        operation?: "self" | "router" | "blank" | "help_hub" | undefined;
        metadata?: {
            [key: string]: unknown;
        } | undefined;
    });
} & {
    disabledReason?: string | undefined;
    source?: string | undefined;
    name?: string | undefined;
    last_available?: string | null | undefined;
    modified?: string | undefined;
    isAsync?: boolean | undefined;
} & {
    arguments: {
        [x: string]: ({
            type: "context";
            value: string;
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            show_in_record_action_list?: boolean | undefined;
            show_in_default_list?: boolean | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "set";
            value: string[] | number[] | {
                [key: string]: unknown;
            }[];
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "provided";
            value: "time" | "text";
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            dateTimeArgumentTypeId?: number | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            auto_choose?: boolean | undefined;
            is_private?: boolean | undefined;
        }) | ({
            type: "html" | "video";
            value: {
                source: string;
            } & {
                title?: string | undefined;
                description?: string | undefined;
                url?: string | undefined;
            };
            order_key: number;
        } & {
            label?: string | undefined;
            chosen?: string | number | undefined;
            selected?: any[] | undefined;
            input_type?: string | undefined;
            preselected_key?: string | undefined;
            label_field?: string | undefined;
            loaded?: any[] | undefined;
            allow_create?: boolean | undefined;
            allow_create_label?: string | undefined;
            is_private?: boolean | undefined;
            auto_choose?: boolean | undefined;
        });
    };
    tags: string[];
    availability_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }))[];
    recommend_rules: (({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[] | (({
        type: "named_rule";
        rule_id: string | number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "url" | "element" | "context" | "hubspot" | "device_type" | "sessions" | "survey_response" | "user_property" | "event_property" | "hostname" | "executions" | "shortcuts" | "last_seen" | "first_seen" | "opens" | "deadends" | "heap" | "ab_test" | "intent" | "help_doc_interaction" | "video_interaction";
        operator: "includes" | "endsWith" | "startsWith" | "is" | "isTrue" | "isFalse" | "isTruthy" | "isFalsy" | "matchesRegex" | "isDefined" | "isNotDefined" | "classnameOnPage" | "idOnPage" | "selectorOnPage" | "classnameNotOnPage" | "idNotOnPage" | "selectorNotOnPage" | "doesNotInclude" | "isNot" | "isGreaterThan" | "isLessThan";
    } & {
        field?: string | undefined;
        value?: string | undefined;
        reason?: string | undefined;
        rule_id?: string | number | undefined;
    }) | ({
        type: "nudge_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        nudge_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "questlist_interaction";
        operator: "is" | "isNot";
        value: "completed" | "dismissed" | "viewed";
        questlist_id: number;
    } & {
        reason?: string | undefined;
    }) | ({
        type: "browser" | "language" | "os";
        operator: "includes" | "doesNotInclude";
        values: string[];
    } & {
        reason?: string | undefined;
    }) | ({
        type: "always";
    } & {
        operator?: null | undefined;
        field?: null | undefined;
        value?: null | undefined;
        reason?: null | undefined;
        rule_id?: string | number | undefined;
    }))[];
    availability_expression: import("./helpers/rules").RuleExpression;
    recommend_expression: import("./helpers/rules").RuleExpression;
    always_recommend: boolean;
    confirm: string;
    shortcut: string[];
    explanation: string;
    heading: string;
    is_live: boolean;
    category: number | null;
    sort_key: number | null;
    icon: string | null;
    icon_color: string | null;
    image_color: string | null;
    image: string | null;
    celebrate: boolean | {
        angle?: number | undefined;
        spread?: number | undefined;
        width?: string | undefined;
        height?: string | undefined;
        duration?: number | undefined;
        dragFriction?: number | undefined;
        stagger?: number | undefined;
        startVelocity?: number | undefined;
        elementCount?: number | undefined;
        decay?: number | undefined;
        colors?: string[] | undefined;
        random?: any;
    } | null;
    recommend_sort_key: number | null;
    shortcut_mac: string[];
    shortcut_win: string[];
    hotkey_mac: string;
    hotkey_win: string;
    detail: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    content: string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }) | (string | ({
        type: "html" | "video" | "plaintext" | "markdown" | "component" | "react";
        value: string;
    } & {
        position?: "inline" | "popover" | undefined;
    }))[] | null;
    show_preview: boolean;
    thumbnail: {
        src: string;
        file_name: string;
        size: string;
    } | null;
    next_steps: (string | number | {
        cta: string;
        action: {
            type: "execute_command";
            meta: {
                command: string;
            } & {
                type?: "link" | "video" | "action" | "helpdoc" | undefined;
            };
        } | {
            type: "click";
            value: string;
        } | {
            type: "click" | "clickBySelector" | "clickByXpath";
            value: string[];
        } | ({
            type: "link";
            value: string;
        } & {
            operation?: "self" | "router" | "blank" | undefined;
        }) | {
            type: "open_chat";
            meta: {
                type: "" | "intercom" | "helpscout" | "freshdesk" | "crisp" | "zendesk" | "liveChat" | "gist" | "olark" | "hubspot" | "drift";
            };
        } | {
            type: "dismiss";
        } | {
            type: "snooze";
        } | {
            type: "questlist";
            value: number;
        } | {
            type: "step_back";
        } | {
            type: "nudge";
            value: number;
        } | {
            type: "go_to_step";
            value: number;
        } | ({
            type: "open_bar";
        } & {
            value?: string | undefined;
            categoryFilter?: number | undefined;
        }) | {
            type: "open_helphub";
        } | {
            type: "open_copilot";
        } | {
            type: "no_action";
        };
    })[];
    generated_tags: {
        automated?: string[] | null | undefined;
        manual?: string[] | null | undefined;
        deny?: string[] | null | undefined;
    };
    copilot_suggest: boolean;
    show_in_spotlight_search: boolean;
    show_in_helphub_search: boolean;
    copilot_cta_label: string;
    copilot_description: string;
    editor_tags: string[];
} & {
    third_party_source?: string | null | undefined;
    third_party_id?: string | null | undefined;
    training_only?: boolean | undefined;
    integration?: {
        id: number;
        helphub_view_article_button_hidden: boolean | undefined;
    } | null | undefined;
}>;
